
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_2', 1: 'RBRACE', 2: '__ANON_0', 3: '$END', 4: '__ANON_1', 5: 'IDENTIFIER', 6: '__anon_star_0', 7: '__anon_plus_2', 8: 'new_line_or_comment', 9: 'start', 10: 'one_line_block', 11: 'block', 12: 'body', 13: 'attribute', 14: 'RPAR', 15: 'LSQB', 16: 'MINUS', 17: 'DECIMAL', 18: '__ANON_9', 19: 'IF', 20: 'TRUE', 21: '__ANON_10', 22: 'RSQB', 23: 'FALSE', 24: 'IN', 25: 'BANG', 26: 'STRING_LIT', 27: 'LBRACE', 28: 'COMMA', 29: 'FOR', 30: 'LPAR', 31: 'NULL', 32: '__anon_star_1', 33: 'EQUAL', 34: 'expression', 35: '__anon_plus_3', 36: 'for_object_expr', 37: 'false_lit', 38: 'attr_splat_expr_term', 39: 'heredoc_template', 40: 'expr_term', 41: 'float_lit', 42: 'null_lit', 43: 'int_lit', 44: 'object', 45: 'conditional', 46: 'get_attr_expr_term', 47: 'binary_op', 48: 'operation', 49: 'for_tuple_expr', 50: 'tuple', 51: 'full_splat_expr_term', 52: 'heredoc_template_trim', 53: 'function_call', 54: 'unary_op', 55: 'index_expr_term', 56: 'true_lit', 57: 'for_intro', 58: 'object_elem', 59: '__ANON_7', 60: '__ANON_4', 61: '__ANON_6', 62: 'STAR', 63: 'PLUS', 64: 'MORETHAN', 65: 'LESSTHAN', 66: '__ANON_5', 67: '__ANON_8', 68: 'QMARK', 69: 'PERCENT', 70: '__ANON_3', 71: 'SLASH', 72: 'binary_operator', 73: 'binary_term', 74: '__ANON_13', 75: '__ANON_11', 76: 'COLON', 77: 'DOT', 78: '__ANON_12', 79: 'EXP_MARK', 80: 'get_attr', 81: 'attr_splat', 82: 'full_splat', 83: 'index', 84: '__anon_star_5', 85: 'new_line_and_or_comma', 86: '__anon_star_4', 87: 'arguments', 88: '__anon_star_6', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (0, 4), 1: (1, {'@': 45}), 2: (0, 1), 3: (1, {'@': 45}), 4: (0, 9), 5: (0, 2), 6: (0, 3), 7: (0, 5), 8: (0, 6), 9: (0, 7), 10: (0, 8), 11: (0, 10), 12: (0, 11), 13: (0, 12)}, 1: {14: (1, {'@': 46}), 15: (1, {'@': 46}), 16: (1, {'@': 46}), 1: (1, {'@': 46}), 17: (1, {'@': 46}), 4: (1, {'@': 46}), 0: (1, {'@': 46}), 18: (1, {'@': 46}), 19: (1, {'@': 46}), 20: (1, {'@': 46}), 21: (1, {'@': 46}), 22: (1, {'@': 46}), 23: (1, {'@': 46}), 5: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 26: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 2: (1, {'@': 46}), 30: (1, {'@': 46}), 31: (1, {'@': 46}), 3: (1, {'@': 46})}, 2: {32: (0, 13), 26: (0, 14), 27: (0, 15), 33: (0, 16), 5: (0, 17)}, 3: {0: (1, {'@': 47}), 1: (1, {'@': 47}), 2: (1, {'@': 47}), 3: (1, {'@': 47}), 4: (1, {'@': 47}), 5: (0, 2), 11: (0, 18), 10: (0, 19), 13: (0, 20)}, 4: {14: (1, {'@': 48}), 15: (1, {'@': 48}), 16: (1, {'@': 48}), 1: (1, {'@': 48}), 17: (1, {'@': 48}), 4: (1, {'@': 48}), 0: (1, {'@': 48}), 18: (1, {'@': 48}), 19: (1, {'@': 48}), 20: (1, {'@': 48}), 21: (1, {'@': 48}), 22: (1, {'@': 48}), 23: (1, {'@': 48}), 5: (1, {'@': 48}), 24: (1, {'@': 48}), 25: (1, {'@': 48}), 26: (1, {'@': 48}), 27: (1, {'@': 48}), 28: (1, {'@': 48}), 29: (1, {'@': 48}), 2: (1, {'@': 48}), 30: (1, {'@': 48}), 31: (1, {'@': 48}), 3: (1, {'@': 48})}, 5: {14: (1, {'@': 49}), 15: (1, {'@': 49}), 16: (1, {'@': 49}), 1: (1, {'@': 49}), 26: (1, {'@': 49}), 17: (1, {'@': 49}), 4: (0, 22), 0: (0, 23), 18: (1, {'@': 49}), 19: (1, {'@': 49}), 20: (1, {'@': 49}), 27: (1, {'@': 49}), 28: (1, {'@': 49}), 21: (1, {'@': 49}), 29: (1, {'@': 49}), 22: (1, {'@': 49}), 2: (0, 21), 23: (1, {'@': 49}), 30: (1, {'@': 49}), 5: (1, {'@': 49}), 31: (1, {'@': 49}), 24: (1, {'@': 49}), 3: (1, {'@': 49}), 25: (1, {'@': 49})}, 6: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 12: (0, 24), 5: (0, 2), 6: (0, 3), 10: (0, 8), 11: (0, 10), 13: (0, 12)}, 7: {3: (0, 25)}, 8: {1: (1, {'@': 50}), 2: (1, {'@': 50}), 4: (1, {'@': 50}), 0: (1, {'@': 50}), 5: (1, {'@': 50}), 3: (1, {'@': 50})}, 9: {14: (1, {'@': 51}), 15: (1, {'@': 51}), 16: (1, {'@': 51}), 1: (1, {'@': 51}), 17: (1, {'@': 51}), 4: (1, {'@': 51}), 0: (1, {'@': 51}), 18: (1, {'@': 51}), 19: (1, {'@': 51}), 20: (1, {'@': 51}), 21: (1, {'@': 51}), 22: (1, {'@': 51}), 23: (1, {'@': 51}), 5: (1, {'@': 51}), 24: (1, {'@': 51}), 25: (1, {'@': 51}), 26: (1, {'@': 51}), 27: (1, {'@': 51}), 28: (1, {'@': 51}), 29: (1, {'@': 51}), 2: (1, {'@': 51}), 30: (1, {'@': 51}), 31: (1, {'@': 51}), 3: (1, {'@': 51})}, 10: {1: (1, {'@': 52}), 2: (1, {'@': 52}), 4: (1, {'@': 52}), 0: (1, {'@': 52}), 5: (1, {'@': 52}), 3: (1, {'@': 52})}, 11: {3: (1, {'@': 53}), 7: (0, 5), 2: (0, 1), 4: (0, 9), 0: (0, 4), 8: (0, 26)}, 12: {1: (1, {'@': 54}), 2: (1, {'@': 54}), 4: (1, {'@': 54}), 0: (1, {'@': 54}), 5: (1, {'@': 54}), 3: (1, {'@': 54})}, 13: {26: (0, 27), 27: (0, 28), 5: (0, 29)}, 14: {5: (1, {'@': 55}), 26: (1, {'@': 55}), 27: (1, {'@': 55})}, 15: {2: (0, 1), 4: (0, 9), 7: (0, 5), 1: (0, 30), 8: (0, 31), 5: (0, 32), 0: (0, 4)}, 16: {27: (0, 33), 34: (0, 34), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 17: {5: (1, {'@': 56}), 26: (1, {'@': 56}), 27: (1, {'@': 56})}, 18: {1: (1, {'@': 57}), 2: (1, {'@': 57}), 4: (1, {'@': 57}), 0: (1, {'@': 57}), 5: (1, {'@': 57}), 3: (1, {'@': 57})}, 19: {1: (1, {'@': 58}), 2: (1, {'@': 58}), 4: (1, {'@': 58}), 0: (1, {'@': 58}), 5: (1, {'@': 58}), 3: (1, {'@': 58})}, 20: {1: (1, {'@': 59}), 2: (1, {'@': 59}), 4: (1, {'@': 59}), 0: (1, {'@': 59}), 5: (1, {'@': 59}), 3: (1, {'@': 59})}, 21: {14: (1, {'@': 60}), 15: (1, {'@': 60}), 16: (1, {'@': 60}), 1: (1, {'@': 60}), 17: (1, {'@': 60}), 4: (1, {'@': 60}), 0: (1, {'@': 60}), 18: (1, {'@': 60}), 19: (1, {'@': 60}), 20: (1, {'@': 60}), 21: (1, {'@': 60}), 22: (1, {'@': 60}), 23: (1, {'@': 60}), 5: (1, {'@': 60}), 24: (1, {'@': 60}), 25: (1, {'@': 60}), 26: (1, {'@': 60}), 27: (1, {'@': 60}), 28: (1, {'@': 60}), 29: (1, {'@': 60}), 2: (1, {'@': 60}), 30: (1, {'@': 60}), 31: (1, {'@': 60}), 3: (1, {'@': 60})}, 22: {14: (1, {'@': 61}), 15: (1, {'@': 61}), 16: (1, {'@': 61}), 1: (1, {'@': 61}), 17: (1, {'@': 61}), 4: (1, {'@': 61}), 0: (1, {'@': 61}), 18: (1, {'@': 61}), 19: (1, {'@': 61}), 20: (1, {'@': 61}), 21: (1, {'@': 61}), 22: (1, {'@': 61}), 23: (1, {'@': 61}), 5: (1, {'@': 61}), 24: (1, {'@': 61}), 25: (1, {'@': 61}), 26: (1, {'@': 61}), 27: (1, {'@': 61}), 28: (1, {'@': 61}), 29: (1, {'@': 61}), 2: (1, {'@': 61}), 30: (1, {'@': 61}), 31: (1, {'@': 61}), 3: (1, {'@': 61})}, 23: {14: (1, {'@': 62}), 15: (1, {'@': 62}), 16: (1, {'@': 62}), 1: (1, {'@': 62}), 17: (1, {'@': 62}), 4: (1, {'@': 62}), 0: (1, {'@': 62}), 18: (1, {'@': 62}), 19: (1, {'@': 62}), 20: (1, {'@': 62}), 21: (1, {'@': 62}), 22: (1, {'@': 62}), 23: (1, {'@': 62}), 5: (1, {'@': 62}), 24: (1, {'@': 62}), 25: (1, {'@': 62}), 26: (1, {'@': 62}), 27: (1, {'@': 62}), 28: (1, {'@': 62}), 29: (1, {'@': 62}), 2: (1, {'@': 62}), 30: (1, {'@': 62}), 31: (1, {'@': 62}), 3: (1, {'@': 62})}, 24: {3: (1, {'@': 63}), 2: (0, 1), 4: (0, 9), 8: (0, 69), 7: (0, 5), 0: (0, 4)}, 25: {}, 26: {3: (1, {'@': 64})}, 27: {5: (1, {'@': 65}), 26: (1, {'@': 65}), 27: (1, {'@': 65})}, 28: {2: (0, 1), 4: (0, 9), 1: (0, 70), 8: (0, 71), 7: (0, 5), 0: (0, 4), 5: (0, 72)}, 29: {5: (1, {'@': 66}), 26: (1, {'@': 66}), 27: (1, {'@': 66})}, 30: {2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 73), 0: (0, 4)}, 31: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 2), 6: (0, 3), 10: (0, 8), 11: (0, 10), 12: (0, 74), 13: (0, 12)}, 32: {33: (0, 75)}, 33: {27: (0, 33), 29: (0, 76), 34: (0, 77), 15: (0, 35), 8: (0, 78), 35: (0, 36), 5: (0, 79), 25: (0, 38), 57: (0, 80), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 58: (0, 81), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 1: (0, 82), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 47: (0, 54), 45: (0, 52), 46: (0, 53), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 34: {2: (0, 1), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 0: (0, 4), 64: (0, 88), 7: (0, 5), 65: (0, 89), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 16: (0, 93), 69: (0, 94), 8: (0, 95), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 35: {27: (0, 33), 34: (0, 100), 15: (0, 35), 8: (0, 101), 29: (0, 76), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 57: (0, 102), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 22: (0, 103), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 47: (0, 54), 46: (0, 53), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 36: {14: (1, {'@': 67}), 15: (1, {'@': 67}), 16: (1, {'@': 67}), 1: (1, {'@': 67}), 33: (1, {'@': 67}), 60: (1, {'@': 67}), 17: (0, 105), 4: (1, {'@': 67}), 0: (1, {'@': 67}), 18: (1, {'@': 67}), 19: (1, {'@': 67}), 20: (1, {'@': 67}), 74: (1, {'@': 67}), 70: (1, {'@': 67}), 21: (1, {'@': 67}), 69: (1, {'@': 67}), 22: (1, {'@': 67}), 65: (1, {'@': 67}), 23: (1, {'@': 67}), 5: (1, {'@': 67}), 25: (1, {'@': 67}), 59: (1, {'@': 67}), 66: (1, {'@': 67}), 62: (1, {'@': 67}), 26: (1, {'@': 67}), 75: (1, {'@': 67}), 67: (1, {'@': 67}), 76: (1, {'@': 67}), 68: (1, {'@': 67}), 71: (1, {'@': 67}), 27: (1, {'@': 67}), 61: (1, {'@': 67}), 28: (1, {'@': 67}), 63: (1, {'@': 67}), 77: (0, 104), 2: (1, {'@': 67}), 78: (1, {'@': 67}), 30: (1, {'@': 67}), 31: (1, {'@': 67}), 64: (1, {'@': 67}), 79: (0, 106)}, 37: {14: (1, {'@': 68}), 15: (1, {'@': 68}), 16: (1, {'@': 68}), 1: (1, {'@': 68}), 33: (1, {'@': 68}), 60: (1, {'@': 68}), 17: (1, {'@': 68}), 4: (1, {'@': 68}), 0: (1, {'@': 68}), 18: (1, {'@': 68}), 19: (1, {'@': 68}), 20: (1, {'@': 68}), 74: (1, {'@': 68}), 70: (1, {'@': 68}), 21: (1, {'@': 68}), 69: (1, {'@': 68}), 22: (1, {'@': 68}), 65: (1, {'@': 68}), 23: (1, {'@': 68}), 5: (1, {'@': 68}), 25: (1, {'@': 68}), 59: (1, {'@': 68}), 66: (1, {'@': 68}), 62: (1, {'@': 68}), 26: (1, {'@': 68}), 75: (1, {'@': 68}), 67: (1, {'@': 68}), 76: (1, {'@': 68}), 68: (1, {'@': 68}), 71: (1, {'@': 68}), 27: (1, {'@': 68}), 61: (1, {'@': 68}), 28: (1, {'@': 68}), 63: (1, {'@': 68}), 77: (1, {'@': 68}), 2: (1, {'@': 68}), 78: (1, {'@': 68}), 30: (0, 107), 31: (1, {'@': 68}), 64: (1, {'@': 68})}, 38: {27: (0, 33), 15: (0, 35), 35: (0, 36), 5: (0, 37), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 108), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 46: (0, 53), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 39: {27: (0, 33), 15: (0, 35), 35: (0, 36), 5: (0, 37), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 109), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 46: (0, 53), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 40: {14: (1, {'@': 69}), 15: (1, {'@': 69}), 16: (1, {'@': 69}), 1: (1, {'@': 69}), 33: (1, {'@': 69}), 60: (1, {'@': 69}), 17: (1, {'@': 69}), 4: (1, {'@': 69}), 0: (1, {'@': 69}), 18: (1, {'@': 69}), 19: (1, {'@': 69}), 20: (1, {'@': 69}), 74: (1, {'@': 69}), 70: (1, {'@': 69}), 21: (1, {'@': 69}), 69: (1, {'@': 69}), 22: (1, {'@': 69}), 65: (1, {'@': 69}), 23: (1, {'@': 69}), 5: (1, {'@': 69}), 25: (1, {'@': 69}), 59: (1, {'@': 69}), 66: (1, {'@': 69}), 62: (1, {'@': 69}), 26: (1, {'@': 69}), 75: (1, {'@': 69}), 67: (1, {'@': 69}), 76: (1, {'@': 69}), 68: (1, {'@': 69}), 71: (1, {'@': 69}), 27: (1, {'@': 69}), 61: (1, {'@': 69}), 28: (1, {'@': 69}), 63: (1, {'@': 69}), 77: (1, {'@': 69}), 2: (1, {'@': 69}), 78: (1, {'@': 69}), 30: (1, {'@': 69}), 31: (1, {'@': 69}), 64: (1, {'@': 69})}, 41: {27: (0, 33), 34: (0, 110), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 42: {14: (1, {'@': 70}), 15: (1, {'@': 70}), 16: (1, {'@': 70}), 1: (1, {'@': 70}), 33: (1, {'@': 70}), 60: (1, {'@': 70}), 17: (1, {'@': 70}), 4: (1, {'@': 70}), 0: (1, {'@': 70}), 18: (1, {'@': 70}), 19: (1, {'@': 70}), 20: (1, {'@': 70}), 74: (1, {'@': 70}), 70: (1, {'@': 70}), 21: (1, {'@': 70}), 69: (1, {'@': 70}), 22: (1, {'@': 70}), 65: (1, {'@': 70}), 23: (1, {'@': 70}), 5: (1, {'@': 70}), 25: (1, {'@': 70}), 59: (1, {'@': 70}), 66: (1, {'@': 70}), 62: (1, {'@': 70}), 26: (1, {'@': 70}), 75: (1, {'@': 70}), 67: (1, {'@': 70}), 76: (1, {'@': 70}), 68: (1, {'@': 70}), 71: (1, {'@': 70}), 27: (1, {'@': 70}), 61: (1, {'@': 70}), 28: (1, {'@': 70}), 63: (1, {'@': 70}), 77: (1, {'@': 70}), 2: (1, {'@': 70}), 78: (1, {'@': 70}), 30: (1, {'@': 70}), 31: (1, {'@': 70}), 64: (1, {'@': 70})}, 43: {14: (1, {'@': 71}), 15: (1, {'@': 71}), 16: (1, {'@': 71}), 1: (1, {'@': 71}), 33: (1, {'@': 71}), 60: (1, {'@': 71}), 17: (1, {'@': 71}), 4: (1, {'@': 71}), 0: (1, {'@': 71}), 18: (1, {'@': 71}), 19: (1, {'@': 71}), 20: (1, {'@': 71}), 74: (1, {'@': 71}), 70: (1, {'@': 71}), 21: (1, {'@': 71}), 69: (1, {'@': 71}), 22: (1, {'@': 71}), 65: (1, {'@': 71}), 23: (1, {'@': 71}), 5: (1, {'@': 71}), 25: (1, {'@': 71}), 59: (1, {'@': 71}), 66: (1, {'@': 71}), 62: (1, {'@': 71}), 26: (1, {'@': 71}), 75: (1, {'@': 71}), 67: (1, {'@': 71}), 76: (1, {'@': 71}), 68: (1, {'@': 71}), 71: (1, {'@': 71}), 27: (1, {'@': 71}), 61: (1, {'@': 71}), 28: (1, {'@': 71}), 63: (1, {'@': 71}), 77: (1, {'@': 71}), 2: (1, {'@': 71}), 78: (1, {'@': 71}), 30: (1, {'@': 71}), 31: (1, {'@': 71}), 64: (1, {'@': 71})}, 44: {14: (1, {'@': 72}), 15: (1, {'@': 72}), 16: (1, {'@': 72}), 1: (1, {'@': 72}), 33: (1, {'@': 72}), 60: (1, {'@': 72}), 17: (1, {'@': 72}), 4: (1, {'@': 72}), 0: (1, {'@': 72}), 18: (1, {'@': 72}), 19: (1, {'@': 72}), 20: (1, {'@': 72}), 74: (1, {'@': 72}), 70: (1, {'@': 72}), 21: (1, {'@': 72}), 69: (1, {'@': 72}), 22: (1, {'@': 72}), 65: (1, {'@': 72}), 23: (1, {'@': 72}), 5: (1, {'@': 72}), 25: (1, {'@': 72}), 59: (1, {'@': 72}), 66: (1, {'@': 72}), 62: (1, {'@': 72}), 26: (1, {'@': 72}), 75: (1, {'@': 72}), 67: (1, {'@': 72}), 76: (1, {'@': 72}), 68: (1, {'@': 72}), 71: (1, {'@': 72}), 27: (1, {'@': 72}), 61: (1, {'@': 72}), 28: (1, {'@': 72}), 63: (1, {'@': 72}), 77: (1, {'@': 72}), 2: (1, {'@': 72}), 78: (1, {'@': 72}), 30: (1, {'@': 72}), 31: (1, {'@': 72}), 64: (1, {'@': 72})}, 45: {14: (1, {'@': 73}), 15: (0, 114), 33: (1, {'@': 73}), 17: (1, {'@': 73}), 0: (1, {'@': 73}), 18: (1, {'@': 73}), 19: (1, {'@': 73}), 20: (1, {'@': 73}), 21: (1, {'@': 73}), 69: (1, {'@': 73}), 22: (1, {'@': 73}), 65: (1, {'@': 73}), 23: (1, {'@': 73}), 25: (1, {'@': 73}), 66: (1, {'@': 73}), 62: (1, {'@': 73}), 75: (1, {'@': 73}), 67: (1, {'@': 73}), 71: (1, {'@': 73}), 28: (1, {'@': 73}), 2: (1, {'@': 73}), 31: (1, {'@': 73}), 16: (1, {'@': 73}), 1: (1, {'@': 73}), 60: (1, {'@': 73}), 4: (1, {'@': 73}), 74: (1, {'@': 73}), 70: (1, {'@': 73}), 5: (1, {'@': 73}), 59: (1, {'@': 73}), 26: (1, {'@': 73}), 76: (1, {'@': 73}), 68: (1, {'@': 73}), 27: (1, {'@': 73}), 61: (1, {'@': 73}), 63: (1, {'@': 73}), 30: (1, {'@': 73}), 64: (1, {'@': 73}), 80: (0, 111), 78: (0, 112), 81: (0, 113), 77: (0, 115), 82: (0, 116), 83: (0, 117)}, 46: {14: (1, {'@': 74}), 15: (1, {'@': 74}), 16: (1, {'@': 74}), 1: (1, {'@': 74}), 33: (1, {'@': 74}), 60: (1, {'@': 74}), 17: (1, {'@': 74}), 4: (1, {'@': 74}), 0: (1, {'@': 74}), 18: (1, {'@': 74}), 19: (1, {'@': 74}), 20: (1, {'@': 74}), 74: (1, {'@': 74}), 70: (1, {'@': 74}), 21: (1, {'@': 74}), 69: (1, {'@': 74}), 22: (1, {'@': 74}), 65: (1, {'@': 74}), 23: (1, {'@': 74}), 5: (1, {'@': 74}), 25: (1, {'@': 74}), 59: (1, {'@': 74}), 66: (1, {'@': 74}), 62: (1, {'@': 74}), 26: (1, {'@': 74}), 75: (1, {'@': 74}), 67: (1, {'@': 74}), 76: (1, {'@': 74}), 68: (1, {'@': 74}), 71: (1, {'@': 74}), 27: (1, {'@': 74}), 61: (1, {'@': 74}), 28: (1, {'@': 74}), 63: (1, {'@': 74}), 77: (1, {'@': 74}), 2: (1, {'@': 74}), 78: (1, {'@': 74}), 30: (1, {'@': 74}), 31: (1, {'@': 74}), 64: (1, {'@': 74})}, 47: {14: (1, {'@': 75}), 15: (1, {'@': 75}), 16: (1, {'@': 75}), 1: (1, {'@': 75}), 33: (1, {'@': 75}), 60: (1, {'@': 75}), 17: (1, {'@': 75}), 4: (1, {'@': 75}), 0: (1, {'@': 75}), 18: (1, {'@': 75}), 19: (1, {'@': 75}), 20: (1, {'@': 75}), 74: (1, {'@': 75}), 70: (1, {'@': 75}), 21: (1, {'@': 75}), 69: (1, {'@': 75}), 22: (1, {'@': 75}), 65: (1, {'@': 75}), 23: (1, {'@': 75}), 5: (1, {'@': 75}), 25: (1, {'@': 75}), 59: (1, {'@': 75}), 66: (1, {'@': 75}), 62: (1, {'@': 75}), 26: (1, {'@': 75}), 75: (1, {'@': 75}), 67: (1, {'@': 75}), 76: (1, {'@': 75}), 68: (1, {'@': 75}), 71: (1, {'@': 75}), 27: (1, {'@': 75}), 61: (1, {'@': 75}), 28: (1, {'@': 75}), 63: (1, {'@': 75}), 77: (1, {'@': 75}), 2: (1, {'@': 75}), 78: (1, {'@': 75}), 30: (1, {'@': 75}), 31: (1, {'@': 75}), 64: (1, {'@': 75})}, 48: {14: (1, {'@': 76}), 15: (1, {'@': 76}), 16: (1, {'@': 76}), 1: (1, {'@': 76}), 33: (1, {'@': 76}), 60: (1, {'@': 76}), 17: (1, {'@': 76}), 4: (1, {'@': 76}), 0: (1, {'@': 76}), 18: (1, {'@': 76}), 19: (1, {'@': 76}), 20: (1, {'@': 76}), 74: (1, {'@': 76}), 70: (1, {'@': 76}), 21: (1, {'@': 76}), 69: (1, {'@': 76}), 22: (1, {'@': 76}), 65: (1, {'@': 76}), 23: (1, {'@': 76}), 5: (1, {'@': 76}), 25: (1, {'@': 76}), 59: (1, {'@': 76}), 66: (1, {'@': 76}), 62: (1, {'@': 76}), 26: (1, {'@': 76}), 75: (1, {'@': 76}), 67: (1, {'@': 76}), 76: (1, {'@': 76}), 68: (1, {'@': 76}), 71: (1, {'@': 76}), 27: (1, {'@': 76}), 61: (1, {'@': 76}), 28: (1, {'@': 76}), 63: (1, {'@': 76}), 77: (1, {'@': 76}), 2: (1, {'@': 76}), 78: (1, {'@': 76}), 30: (1, {'@': 76}), 31: (1, {'@': 76}), 64: (1, {'@': 76})}, 49: {14: (1, {'@': 77}), 15: (1, {'@': 77}), 16: (1, {'@': 77}), 1: (1, {'@': 77}), 33: (1, {'@': 77}), 60: (1, {'@': 77}), 17: (1, {'@': 77}), 4: (1, {'@': 77}), 0: (1, {'@': 77}), 18: (1, {'@': 77}), 19: (1, {'@': 77}), 20: (1, {'@': 77}), 74: (1, {'@': 77}), 70: (1, {'@': 77}), 21: (1, {'@': 77}), 69: (1, {'@': 77}), 22: (1, {'@': 77}), 65: (1, {'@': 77}), 23: (1, {'@': 77}), 5: (1, {'@': 77}), 25: (1, {'@': 77}), 59: (1, {'@': 77}), 66: (1, {'@': 77}), 62: (1, {'@': 77}), 26: (1, {'@': 77}), 75: (1, {'@': 77}), 67: (1, {'@': 77}), 76: (1, {'@': 77}), 68: (1, {'@': 77}), 71: (1, {'@': 77}), 27: (1, {'@': 77}), 61: (1, {'@': 77}), 28: (1, {'@': 77}), 63: (1, {'@': 77}), 77: (1, {'@': 77}), 2: (1, {'@': 77}), 78: (1, {'@': 77}), 30: (1, {'@': 77}), 31: (1, {'@': 77}), 64: (1, {'@': 77})}, 50: {14: (1, {'@': 78}), 15: (1, {'@': 78}), 16: (1, {'@': 78}), 1: (1, {'@': 78}), 33: (1, {'@': 78}), 60: (1, {'@': 78}), 17: (1, {'@': 78}), 4: (1, {'@': 78}), 0: (1, {'@': 78}), 18: (1, {'@': 78}), 19: (1, {'@': 78}), 20: (1, {'@': 78}), 74: (1, {'@': 78}), 70: (1, {'@': 78}), 21: (1, {'@': 78}), 69: (1, {'@': 78}), 22: (1, {'@': 78}), 65: (1, {'@': 78}), 23: (1, {'@': 78}), 5: (1, {'@': 78}), 25: (1, {'@': 78}), 59: (1, {'@': 78}), 66: (1, {'@': 78}), 62: (1, {'@': 78}), 26: (1, {'@': 78}), 75: (1, {'@': 78}), 67: (1, {'@': 78}), 76: (1, {'@': 78}), 68: (1, {'@': 78}), 71: (1, {'@': 78}), 27: (1, {'@': 78}), 61: (1, {'@': 78}), 28: (1, {'@': 78}), 63: (1, {'@': 78}), 77: (1, {'@': 78}), 2: (1, {'@': 78}), 78: (1, {'@': 78}), 30: (1, {'@': 78}), 31: (1, {'@': 78}), 64: (1, {'@': 78})}, 51: {14: (1, {'@': 79}), 15: (1, {'@': 79}), 16: (1, {'@': 79}), 1: (1, {'@': 79}), 33: (1, {'@': 79}), 60: (1, {'@': 79}), 17: (1, {'@': 79}), 4: (1, {'@': 79}), 0: (1, {'@': 79}), 18: (1, {'@': 79}), 19: (1, {'@': 79}), 20: (1, {'@': 79}), 74: (1, {'@': 79}), 70: (1, {'@': 79}), 21: (1, {'@': 79}), 69: (1, {'@': 79}), 22: (1, {'@': 79}), 65: (1, {'@': 79}), 23: (1, {'@': 79}), 5: (1, {'@': 79}), 25: (1, {'@': 79}), 59: (1, {'@': 79}), 66: (1, {'@': 79}), 62: (1, {'@': 79}), 26: (1, {'@': 79}), 75: (1, {'@': 79}), 67: (1, {'@': 79}), 76: (1, {'@': 79}), 68: (1, {'@': 79}), 71: (1, {'@': 79}), 27: (1, {'@': 79}), 61: (1, {'@': 79}), 28: (1, {'@': 79}), 63: (1, {'@': 79}), 77: (1, {'@': 79}), 2: (1, {'@': 79}), 78: (1, {'@': 79}), 30: (1, {'@': 79}), 31: (1, {'@': 79}), 64: (1, {'@': 79})}, 52: {14: (1, {'@': 80}), 15: (1, {'@': 80}), 33: (1, {'@': 80}), 17: (1, {'@': 80}), 0: (1, {'@': 80}), 18: (1, {'@': 80}), 19: (1, {'@': 80}), 20: (1, {'@': 80}), 21: (1, {'@': 80}), 69: (1, {'@': 80}), 22: (1, {'@': 80}), 65: (1, {'@': 80}), 23: (1, {'@': 80}), 25: (1, {'@': 80}), 66: (1, {'@': 80}), 62: (1, {'@': 80}), 75: (1, {'@': 80}), 67: (1, {'@': 80}), 71: (1, {'@': 80}), 28: (1, {'@': 80}), 2: (1, {'@': 80}), 31: (1, {'@': 80}), 16: (1, {'@': 80}), 1: (1, {'@': 80}), 60: (1, {'@': 80}), 4: (1, {'@': 80}), 74: (1, {'@': 80}), 70: (1, {'@': 80}), 5: (1, {'@': 80}), 59: (1, {'@': 80}), 26: (1, {'@': 80}), 76: (1, {'@': 80}), 68: (1, {'@': 80}), 27: (1, {'@': 80}), 61: (1, {'@': 80}), 63: (1, {'@': 80}), 30: (1, {'@': 80}), 64: (1, {'@': 80})}, 53: {14: (1, {'@': 81}), 15: (1, {'@': 81}), 16: (1, {'@': 81}), 1: (1, {'@': 81}), 33: (1, {'@': 81}), 60: (1, {'@': 81}), 17: (1, {'@': 81}), 4: (1, {'@': 81}), 0: (1, {'@': 81}), 18: (1, {'@': 81}), 19: (1, {'@': 81}), 20: (1, {'@': 81}), 74: (1, {'@': 81}), 70: (1, {'@': 81}), 21: (1, {'@': 81}), 69: (1, {'@': 81}), 22: (1, {'@': 81}), 65: (1, {'@': 81}), 23: (1, {'@': 81}), 5: (1, {'@': 81}), 25: (1, {'@': 81}), 59: (1, {'@': 81}), 66: (1, {'@': 81}), 62: (1, {'@': 81}), 26: (1, {'@': 81}), 75: (1, {'@': 81}), 67: (1, {'@': 81}), 76: (1, {'@': 81}), 68: (1, {'@': 81}), 71: (1, {'@': 81}), 27: (1, {'@': 81}), 61: (1, {'@': 81}), 28: (1, {'@': 81}), 63: (1, {'@': 81}), 77: (1, {'@': 81}), 2: (1, {'@': 81}), 78: (1, {'@': 81}), 30: (1, {'@': 81}), 31: (1, {'@': 81}), 64: (1, {'@': 81})}, 54: {14: (1, {'@': 82}), 15: (1, {'@': 82}), 16: (1, {'@': 82}), 1: (1, {'@': 82}), 33: (1, {'@': 82}), 60: (1, {'@': 82}), 17: (1, {'@': 82}), 4: (1, {'@': 82}), 0: (1, {'@': 82}), 18: (1, {'@': 82}), 19: (1, {'@': 82}), 20: (1, {'@': 82}), 74: (1, {'@': 82}), 70: (1, {'@': 82}), 21: (1, {'@': 82}), 69: (1, {'@': 82}), 22: (1, {'@': 82}), 65: (1, {'@': 82}), 23: (1, {'@': 82}), 5: (1, {'@': 82}), 25: (1, {'@': 82}), 59: (1, {'@': 82}), 66: (1, {'@': 82}), 62: (1, {'@': 82}), 26: (1, {'@': 82}), 75: (1, {'@': 82}), 67: (1, {'@': 82}), 76: (1, {'@': 82}), 68: (1, {'@': 82}), 71: (1, {'@': 82}), 27: (1, {'@': 82}), 61: (1, {'@': 82}), 28: (1, {'@': 82}), 63: (1, {'@': 82}), 2: (1, {'@': 82}), 30: (1, {'@': 82}), 31: (1, {'@': 82}), 64: (1, {'@': 82})}, 55: {14: (1, {'@': 83}), 15: (1, {'@': 83}), 33: (1, {'@': 83}), 17: (1, {'@': 83}), 0: (1, {'@': 83}), 18: (1, {'@': 83}), 19: (1, {'@': 83}), 20: (1, {'@': 83}), 21: (1, {'@': 83}), 69: (1, {'@': 83}), 22: (1, {'@': 83}), 65: (1, {'@': 83}), 23: (1, {'@': 83}), 25: (1, {'@': 83}), 66: (1, {'@': 83}), 62: (1, {'@': 83}), 75: (1, {'@': 83}), 67: (1, {'@': 83}), 71: (1, {'@': 83}), 28: (1, {'@': 83}), 2: (1, {'@': 83}), 31: (1, {'@': 83}), 16: (1, {'@': 83}), 1: (1, {'@': 83}), 60: (1, {'@': 83}), 4: (1, {'@': 83}), 74: (1, {'@': 83}), 70: (1, {'@': 83}), 5: (1, {'@': 83}), 59: (1, {'@': 83}), 26: (1, {'@': 83}), 76: (1, {'@': 83}), 68: (1, {'@': 83}), 27: (1, {'@': 83}), 61: (1, {'@': 83}), 63: (1, {'@': 83}), 30: (1, {'@': 83}), 64: (1, {'@': 83})}, 56: {14: (1, {'@': 84}), 15: (1, {'@': 84}), 16: (1, {'@': 84}), 1: (1, {'@': 84}), 33: (1, {'@': 84}), 60: (1, {'@': 84}), 17: (1, {'@': 84}), 4: (1, {'@': 84}), 0: (1, {'@': 84}), 18: (1, {'@': 84}), 19: (1, {'@': 84}), 20: (1, {'@': 84}), 74: (1, {'@': 84}), 70: (1, {'@': 84}), 21: (1, {'@': 84}), 69: (1, {'@': 84}), 22: (1, {'@': 84}), 65: (1, {'@': 84}), 23: (1, {'@': 84}), 5: (1, {'@': 84}), 25: (1, {'@': 84}), 59: (1, {'@': 84}), 79: (1, {'@': 84}), 66: (1, {'@': 84}), 62: (1, {'@': 84}), 26: (1, {'@': 84}), 75: (1, {'@': 84}), 67: (1, {'@': 84}), 76: (1, {'@': 84}), 68: (1, {'@': 84}), 71: (1, {'@': 84}), 27: (1, {'@': 84}), 61: (1, {'@': 84}), 28: (1, {'@': 84}), 63: (1, {'@': 84}), 77: (1, {'@': 84}), 2: (1, {'@': 84}), 78: (1, {'@': 84}), 30: (1, {'@': 84}), 31: (1, {'@': 84}), 64: (1, {'@': 84})}, 57: {14: (1, {'@': 85}), 15: (1, {'@': 85}), 16: (1, {'@': 85}), 1: (1, {'@': 85}), 33: (1, {'@': 85}), 60: (1, {'@': 85}), 17: (1, {'@': 85}), 4: (1, {'@': 85}), 0: (1, {'@': 85}), 18: (1, {'@': 85}), 19: (1, {'@': 85}), 20: (1, {'@': 85}), 74: (1, {'@': 85}), 70: (1, {'@': 85}), 21: (1, {'@': 85}), 69: (1, {'@': 85}), 22: (1, {'@': 85}), 65: (1, {'@': 85}), 23: (1, {'@': 85}), 5: (1, {'@': 85}), 25: (1, {'@': 85}), 59: (1, {'@': 85}), 66: (1, {'@': 85}), 62: (1, {'@': 85}), 26: (1, {'@': 85}), 75: (1, {'@': 85}), 67: (1, {'@': 85}), 76: (1, {'@': 85}), 68: (1, {'@': 85}), 71: (1, {'@': 85}), 27: (1, {'@': 85}), 61: (1, {'@': 85}), 28: (1, {'@': 85}), 63: (1, {'@': 85}), 77: (1, {'@': 85}), 2: (1, {'@': 85}), 78: (1, {'@': 85}), 30: (1, {'@': 85}), 31: (1, {'@': 85}), 64: (1, {'@': 85})}, 58: {14: (1, {'@': 86}), 15: (1, {'@': 86}), 16: (1, {'@': 86}), 1: (1, {'@': 86}), 33: (1, {'@': 86}), 60: (1, {'@': 86}), 17: (1, {'@': 86}), 4: (1, {'@': 86}), 0: (1, {'@': 86}), 18: (1, {'@': 86}), 19: (1, {'@': 86}), 20: (1, {'@': 86}), 74: (1, {'@': 86}), 70: (1, {'@': 86}), 21: (1, {'@': 86}), 69: (1, {'@': 86}), 22: (1, {'@': 86}), 65: (1, {'@': 86}), 23: (1, {'@': 86}), 5: (1, {'@': 86}), 25: (1, {'@': 86}), 59: (1, {'@': 86}), 66: (1, {'@': 86}), 62: (1, {'@': 86}), 26: (1, {'@': 86}), 75: (1, {'@': 86}), 67: (1, {'@': 86}), 76: (1, {'@': 86}), 68: (1, {'@': 86}), 71: (1, {'@': 86}), 27: (1, {'@': 86}), 61: (1, {'@': 86}), 28: (1, {'@': 86}), 63: (1, {'@': 86}), 77: (1, {'@': 86}), 2: (1, {'@': 86}), 78: (1, {'@': 86}), 30: (1, {'@': 86}), 31: (1, {'@': 86}), 64: (1, {'@': 86})}, 59: {14: (1, {'@': 87}), 15: (1, {'@': 87}), 16: (1, {'@': 87}), 1: (1, {'@': 87}), 33: (1, {'@': 87}), 60: (1, {'@': 87}), 17: (1, {'@': 87}), 4: (1, {'@': 87}), 0: (1, {'@': 87}), 18: (1, {'@': 87}), 19: (1, {'@': 87}), 20: (1, {'@': 87}), 74: (1, {'@': 87}), 70: (1, {'@': 87}), 21: (1, {'@': 87}), 69: (1, {'@': 87}), 22: (1, {'@': 87}), 65: (1, {'@': 87}), 23: (1, {'@': 87}), 5: (1, {'@': 87}), 25: (1, {'@': 87}), 59: (1, {'@': 87}), 66: (1, {'@': 87}), 62: (1, {'@': 87}), 26: (1, {'@': 87}), 75: (1, {'@': 87}), 67: (1, {'@': 87}), 76: (1, {'@': 87}), 68: (1, {'@': 87}), 71: (1, {'@': 87}), 27: (1, {'@': 87}), 61: (1, {'@': 87}), 28: (1, {'@': 87}), 63: (1, {'@': 87}), 77: (1, {'@': 87}), 2: (1, {'@': 87}), 78: (1, {'@': 87}), 30: (1, {'@': 87}), 31: (1, {'@': 87}), 64: (1, {'@': 87})}, 60: {14: (1, {'@': 88}), 15: (1, {'@': 88}), 16: (1, {'@': 88}), 1: (1, {'@': 88}), 33: (1, {'@': 88}), 60: (1, {'@': 88}), 17: (1, {'@': 88}), 4: (1, {'@': 88}), 0: (1, {'@': 88}), 18: (1, {'@': 88}), 19: (1, {'@': 88}), 20: (1, {'@': 88}), 74: (1, {'@': 88}), 70: (1, {'@': 88}), 21: (1, {'@': 88}), 69: (1, {'@': 88}), 22: (1, {'@': 88}), 65: (1, {'@': 88}), 23: (1, {'@': 88}), 5: (1, {'@': 88}), 25: (1, {'@': 88}), 59: (1, {'@': 88}), 66: (1, {'@': 88}), 62: (1, {'@': 88}), 26: (1, {'@': 88}), 75: (1, {'@': 88}), 67: (1, {'@': 88}), 76: (1, {'@': 88}), 68: (1, {'@': 88}), 71: (1, {'@': 88}), 27: (1, {'@': 88}), 61: (1, {'@': 88}), 28: (1, {'@': 88}), 63: (1, {'@': 88}), 77: (1, {'@': 88}), 2: (1, {'@': 88}), 78: (1, {'@': 88}), 30: (1, {'@': 88}), 31: (1, {'@': 88}), 64: (1, {'@': 88})}, 61: {14: (1, {'@': 89}), 15: (1, {'@': 89}), 16: (1, {'@': 89}), 1: (1, {'@': 89}), 33: (1, {'@': 89}), 60: (1, {'@': 89}), 17: (1, {'@': 89}), 4: (1, {'@': 89}), 0: (1, {'@': 89}), 18: (1, {'@': 89}), 19: (1, {'@': 89}), 20: (1, {'@': 89}), 74: (1, {'@': 89}), 70: (1, {'@': 89}), 21: (1, {'@': 89}), 69: (1, {'@': 89}), 22: (1, {'@': 89}), 65: (1, {'@': 89}), 23: (1, {'@': 89}), 5: (1, {'@': 89}), 25: (1, {'@': 89}), 59: (1, {'@': 89}), 66: (1, {'@': 89}), 62: (1, {'@': 89}), 26: (1, {'@': 89}), 75: (1, {'@': 89}), 67: (1, {'@': 89}), 76: (1, {'@': 89}), 68: (1, {'@': 89}), 71: (1, {'@': 89}), 27: (1, {'@': 89}), 61: (1, {'@': 89}), 28: (1, {'@': 89}), 63: (1, {'@': 89}), 77: (1, {'@': 89}), 2: (1, {'@': 89}), 78: (1, {'@': 89}), 30: (1, {'@': 89}), 31: (1, {'@': 89}), 64: (1, {'@': 89})}, 62: {14: (1, {'@': 90}), 15: (1, {'@': 90}), 16: (1, {'@': 90}), 1: (1, {'@': 90}), 33: (1, {'@': 90}), 60: (1, {'@': 90}), 17: (1, {'@': 90}), 4: (1, {'@': 90}), 0: (1, {'@': 90}), 18: (1, {'@': 90}), 19: (1, {'@': 90}), 20: (1, {'@': 90}), 74: (1, {'@': 90}), 70: (1, {'@': 90}), 21: (1, {'@': 90}), 69: (1, {'@': 90}), 22: (1, {'@': 90}), 65: (1, {'@': 90}), 23: (1, {'@': 90}), 5: (1, {'@': 90}), 25: (1, {'@': 90}), 59: (1, {'@': 90}), 66: (1, {'@': 90}), 62: (1, {'@': 90}), 26: (1, {'@': 90}), 75: (1, {'@': 90}), 67: (1, {'@': 90}), 76: (1, {'@': 90}), 68: (1, {'@': 90}), 71: (1, {'@': 90}), 27: (1, {'@': 90}), 61: (1, {'@': 90}), 28: (1, {'@': 90}), 63: (1, {'@': 90}), 77: (1, {'@': 90}), 2: (1, {'@': 90}), 78: (1, {'@': 90}), 30: (1, {'@': 90}), 31: (1, {'@': 90}), 64: (1, {'@': 90})}, 63: {14: (1, {'@': 91}), 15: (1, {'@': 91}), 16: (1, {'@': 91}), 1: (1, {'@': 91}), 33: (1, {'@': 91}), 60: (1, {'@': 91}), 17: (1, {'@': 91}), 4: (1, {'@': 91}), 0: (1, {'@': 91}), 18: (1, {'@': 91}), 19: (1, {'@': 91}), 20: (1, {'@': 91}), 74: (1, {'@': 91}), 70: (1, {'@': 91}), 21: (1, {'@': 91}), 69: (1, {'@': 91}), 22: (1, {'@': 91}), 65: (1, {'@': 91}), 23: (1, {'@': 91}), 5: (1, {'@': 91}), 25: (1, {'@': 91}), 59: (1, {'@': 91}), 66: (1, {'@': 91}), 62: (1, {'@': 91}), 26: (1, {'@': 91}), 75: (1, {'@': 91}), 67: (1, {'@': 91}), 76: (1, {'@': 91}), 68: (1, {'@': 91}), 71: (1, {'@': 91}), 27: (1, {'@': 91}), 61: (1, {'@': 91}), 28: (1, {'@': 91}), 63: (1, {'@': 91}), 77: (1, {'@': 91}), 2: (1, {'@': 91}), 78: (1, {'@': 91}), 30: (1, {'@': 91}), 31: (1, {'@': 91}), 64: (1, {'@': 91})}, 64: {14: (1, {'@': 92}), 15: (1, {'@': 92}), 16: (1, {'@': 92}), 1: (1, {'@': 92}), 33: (1, {'@': 92}), 60: (1, {'@': 92}), 17: (1, {'@': 92}), 4: (1, {'@': 92}), 0: (1, {'@': 92}), 18: (1, {'@': 92}), 19: (1, {'@': 92}), 20: (1, {'@': 92}), 74: (1, {'@': 92}), 70: (1, {'@': 92}), 21: (1, {'@': 92}), 69: (1, {'@': 92}), 22: (1, {'@': 92}), 65: (1, {'@': 92}), 23: (1, {'@': 92}), 5: (1, {'@': 92}), 25: (1, {'@': 92}), 59: (1, {'@': 92}), 66: (1, {'@': 92}), 62: (1, {'@': 92}), 26: (1, {'@': 92}), 75: (1, {'@': 92}), 67: (1, {'@': 92}), 76: (1, {'@': 92}), 68: (1, {'@': 92}), 71: (1, {'@': 92}), 27: (1, {'@': 92}), 61: (1, {'@': 92}), 28: (1, {'@': 92}), 63: (1, {'@': 92}), 2: (1, {'@': 92}), 30: (1, {'@': 92}), 31: (1, {'@': 92}), 64: (1, {'@': 92})}, 65: {14: (1, {'@': 93}), 15: (1, {'@': 93}), 16: (1, {'@': 93}), 1: (1, {'@': 93}), 33: (1, {'@': 93}), 60: (1, {'@': 93}), 17: (1, {'@': 93}), 4: (1, {'@': 93}), 0: (1, {'@': 93}), 18: (1, {'@': 93}), 19: (1, {'@': 93}), 20: (1, {'@': 93}), 74: (1, {'@': 93}), 70: (1, {'@': 93}), 21: (1, {'@': 93}), 69: (1, {'@': 93}), 22: (1, {'@': 93}), 65: (1, {'@': 93}), 23: (1, {'@': 93}), 5: (1, {'@': 93}), 25: (1, {'@': 93}), 59: (1, {'@': 93}), 66: (1, {'@': 93}), 62: (1, {'@': 93}), 26: (1, {'@': 93}), 75: (1, {'@': 93}), 67: (1, {'@': 93}), 76: (1, {'@': 93}), 68: (1, {'@': 93}), 71: (1, {'@': 93}), 27: (1, {'@': 93}), 61: (1, {'@': 93}), 28: (1, {'@': 93}), 63: (1, {'@': 93}), 77: (1, {'@': 93}), 2: (1, {'@': 93}), 78: (1, {'@': 93}), 30: (1, {'@': 93}), 31: (1, {'@': 93}), 64: (1, {'@': 93})}, 66: {14: (1, {'@': 94}), 15: (1, {'@': 94}), 16: (1, {'@': 94}), 1: (1, {'@': 94}), 33: (1, {'@': 94}), 60: (1, {'@': 94}), 17: (1, {'@': 94}), 4: (1, {'@': 94}), 0: (1, {'@': 94}), 18: (1, {'@': 94}), 19: (1, {'@': 94}), 20: (1, {'@': 94}), 74: (1, {'@': 94}), 70: (1, {'@': 94}), 21: (1, {'@': 94}), 69: (1, {'@': 94}), 22: (1, {'@': 94}), 65: (1, {'@': 94}), 23: (1, {'@': 94}), 5: (1, {'@': 94}), 25: (1, {'@': 94}), 59: (1, {'@': 94}), 66: (1, {'@': 94}), 62: (1, {'@': 94}), 26: (1, {'@': 94}), 75: (1, {'@': 94}), 67: (1, {'@': 94}), 76: (1, {'@': 94}), 68: (1, {'@': 94}), 71: (1, {'@': 94}), 27: (1, {'@': 94}), 61: (1, {'@': 94}), 28: (1, {'@': 94}), 63: (1, {'@': 94}), 77: (1, {'@': 94}), 2: (1, {'@': 94}), 78: (1, {'@': 94}), 30: (1, {'@': 94}), 31: (1, {'@': 94}), 64: (1, {'@': 94})}, 67: {14: (1, {'@': 95}), 15: (1, {'@': 95}), 16: (1, {'@': 95}), 1: (1, {'@': 95}), 33: (1, {'@': 95}), 60: (1, {'@': 95}), 17: (1, {'@': 95}), 4: (1, {'@': 95}), 0: (1, {'@': 95}), 18: (1, {'@': 95}), 19: (1, {'@': 95}), 20: (1, {'@': 95}), 74: (1, {'@': 95}), 70: (1, {'@': 95}), 21: (1, {'@': 95}), 69: (1, {'@': 95}), 22: (1, {'@': 95}), 65: (1, {'@': 95}), 23: (1, {'@': 95}), 5: (1, {'@': 95}), 25: (1, {'@': 95}), 59: (1, {'@': 95}), 66: (1, {'@': 95}), 62: (1, {'@': 95}), 26: (1, {'@': 95}), 75: (1, {'@': 95}), 67: (1, {'@': 95}), 76: (1, {'@': 95}), 68: (1, {'@': 95}), 71: (1, {'@': 95}), 27: (1, {'@': 95}), 61: (1, {'@': 95}), 28: (1, {'@': 95}), 63: (1, {'@': 95}), 77: (1, {'@': 95}), 2: (1, {'@': 95}), 78: (1, {'@': 95}), 30: (1, {'@': 95}), 31: (1, {'@': 95}), 64: (1, {'@': 95})}, 68: {14: (1, {'@': 96}), 15: (1, {'@': 96}), 16: (1, {'@': 96}), 1: (1, {'@': 96}), 33: (1, {'@': 96}), 60: (1, {'@': 96}), 17: (1, {'@': 96}), 4: (1, {'@': 96}), 0: (1, {'@': 96}), 18: (1, {'@': 96}), 19: (1, {'@': 96}), 20: (1, {'@': 96}), 74: (1, {'@': 96}), 70: (1, {'@': 96}), 21: (1, {'@': 96}), 69: (1, {'@': 96}), 22: (1, {'@': 96}), 65: (1, {'@': 96}), 23: (1, {'@': 96}), 5: (1, {'@': 96}), 25: (1, {'@': 96}), 59: (1, {'@': 96}), 66: (1, {'@': 96}), 62: (1, {'@': 96}), 26: (1, {'@': 96}), 75: (1, {'@': 96}), 67: (1, {'@': 96}), 76: (1, {'@': 96}), 68: (1, {'@': 96}), 71: (1, {'@': 96}), 27: (1, {'@': 96}), 61: (1, {'@': 96}), 28: (1, {'@': 96}), 63: (1, {'@': 96}), 77: (1, {'@': 96}), 2: (1, {'@': 96}), 78: (1, {'@': 96}), 30: (1, {'@': 96}), 31: (1, {'@': 96}), 64: (1, {'@': 96})}, 69: {3: (1, {'@': 97})}, 70: {2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 8: (0, 118)}, 71: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 2), 6: (0, 3), 12: (0, 119), 10: (0, 8), 11: (0, 10), 13: (0, 12)}, 72: {33: (0, 120)}, 73: {1: (1, {'@': 98}), 2: (1, {'@': 98}), 4: (1, {'@': 98}), 0: (1, {'@': 98}), 5: (1, {'@': 98}), 3: (1, {'@': 98})}, 74: {1: (0, 121)}, 75: {27: (0, 33), 34: (0, 122), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 76: {5: (0, 123), 8: (0, 124), 0: (0, 4), 7: (0, 5), 2: (0, 1), 4: (0, 9)}, 77: {27: (0, 33), 34: (0, 125), 15: (0, 35), 59: (0, 83), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 126), 72: (0, 98), 73: (0, 99), 36: (0, 40), 30: (0, 41), 37: (0, 42), 69: (0, 94), 38: (0, 43), 70: (0, 96), 61: (0, 85), 39: (0, 44), 40: (0, 45), 41: (0, 46), 65: (0, 89), 42: (0, 47), 31: (0, 48), 43: (0, 49), 60: (0, 84), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 62: (0, 86), 63: (0, 87), 64: (0, 88), 49: (0, 57), 33: (0, 127), 50: (0, 58), 67: (0, 91), 51: (0, 59), 68: (0, 92), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 71: (0, 97), 20: (0, 66), 56: (0, 67), 66: (0, 90), 23: (0, 68)}, 78: {27: (0, 33), 34: (0, 77), 15: (0, 35), 29: (0, 76), 57: (0, 128), 35: (0, 36), 5: (0, 79), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 47: (0, 54), 45: (0, 52), 46: (0, 53), 48: (0, 55), 17: (0, 56), 58: (0, 129), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 79: {14: (1, {'@': 68}), 15: (0, 35), 16: (0, 39), 1: (1, {'@': 68}), 33: (0, 130), 60: (1, {'@': 68}), 17: (0, 56), 4: (1, {'@': 68}), 0: (1, {'@': 68}), 18: (0, 61), 19: (1, {'@': 68}), 20: (0, 66), 74: (1, {'@': 68}), 70: (1, {'@': 68}), 21: (0, 51), 69: (1, {'@': 68}), 22: (1, {'@': 68}), 65: (1, {'@': 68}), 23: (0, 68), 5: (0, 37), 25: (0, 38), 59: (1, {'@': 68}), 66: (1, {'@': 68}), 62: (1, {'@': 68}), 26: (0, 63), 75: (1, {'@': 68}), 67: (1, {'@': 68}), 76: (1, {'@': 68}), 68: (1, {'@': 68}), 71: (1, {'@': 68}), 27: (0, 33), 61: (1, {'@': 68}), 28: (1, {'@': 68}), 63: (1, {'@': 68}), 77: (1, {'@': 68}), 2: (1, {'@': 68}), 78: (1, {'@': 68}), 30: (0, 132), 31: (0, 48), 64: (1, {'@': 68}), 34: (0, 131), 35: (0, 36), 36: (0, 40), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 43: (0, 49), 44: (0, 50), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 53: (0, 62), 54: (0, 64), 55: (0, 65), 56: (0, 67)}, 80: {27: (0, 33), 34: (0, 133), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 81: {8: (0, 134), 2: (0, 1), 28: (0, 135), 84: (0, 136), 0: (0, 4), 1: (0, 137), 7: (0, 5), 85: (0, 138), 4: (0, 9)}, 82: {14: (1, {'@': 99}), 15: (1, {'@': 99}), 16: (1, {'@': 99}), 1: (1, {'@': 99}), 33: (1, {'@': 99}), 60: (1, {'@': 99}), 17: (1, {'@': 99}), 4: (1, {'@': 99}), 0: (1, {'@': 99}), 18: (1, {'@': 99}), 19: (1, {'@': 99}), 20: (1, {'@': 99}), 74: (1, {'@': 99}), 70: (1, {'@': 99}), 21: (1, {'@': 99}), 69: (1, {'@': 99}), 22: (1, {'@': 99}), 65: (1, {'@': 99}), 23: (1, {'@': 99}), 5: (1, {'@': 99}), 25: (1, {'@': 99}), 59: (1, {'@': 99}), 66: (1, {'@': 99}), 62: (1, {'@': 99}), 26: (1, {'@': 99}), 75: (1, {'@': 99}), 67: (1, {'@': 99}), 76: (1, {'@': 99}), 68: (1, {'@': 99}), 71: (1, {'@': 99}), 27: (1, {'@': 99}), 61: (1, {'@': 99}), 28: (1, {'@': 99}), 63: (1, {'@': 99}), 77: (1, {'@': 99}), 2: (1, {'@': 99}), 78: (1, {'@': 99}), 30: (1, {'@': 99}), 31: (1, {'@': 99}), 64: (1, {'@': 99})}, 83: {15: (1, {'@': 100}), 16: (1, {'@': 100}), 26: (1, {'@': 100}), 17: (1, {'@': 100}), 18: (1, {'@': 100}), 20: (1, {'@': 100}), 27: (1, {'@': 100}), 21: (1, {'@': 100}), 23: (1, {'@': 100}), 30: (1, {'@': 100}), 5: (1, {'@': 100}), 31: (1, {'@': 100}), 25: (1, {'@': 100})}, 84: {15: (1, {'@': 101}), 16: (1, {'@': 101}), 26: (1, {'@': 101}), 17: (1, {'@': 101}), 18: (1, {'@': 101}), 20: (1, {'@': 101}), 27: (1, {'@': 101}), 21: (1, {'@': 101}), 23: (1, {'@': 101}), 30: (1, {'@': 101}), 5: (1, {'@': 101}), 31: (1, {'@': 101}), 25: (1, {'@': 101})}, 85: {15: (1, {'@': 102}), 16: (1, {'@': 102}), 26: (1, {'@': 102}), 17: (1, {'@': 102}), 18: (1, {'@': 102}), 20: (1, {'@': 102}), 27: (1, {'@': 102}), 21: (1, {'@': 102}), 23: (1, {'@': 102}), 30: (1, {'@': 102}), 5: (1, {'@': 102}), 31: (1, {'@': 102}), 25: (1, {'@': 102})}, 86: {15: (1, {'@': 103}), 16: (1, {'@': 103}), 26: (1, {'@': 103}), 17: (1, {'@': 103}), 18: (1, {'@': 103}), 20: (1, {'@': 103}), 27: (1, {'@': 103}), 21: (1, {'@': 103}), 23: (1, {'@': 103}), 30: (1, {'@': 103}), 5: (1, {'@': 103}), 31: (1, {'@': 103}), 25: (1, {'@': 103})}, 87: {15: (1, {'@': 104}), 16: (1, {'@': 104}), 26: (1, {'@': 104}), 17: (1, {'@': 104}), 18: (1, {'@': 104}), 20: (1, {'@': 104}), 27: (1, {'@': 104}), 21: (1, {'@': 104}), 23: (1, {'@': 104}), 30: (1, {'@': 104}), 5: (1, {'@': 104}), 31: (1, {'@': 104}), 25: (1, {'@': 104})}, 88: {15: (1, {'@': 105}), 16: (1, {'@': 105}), 26: (1, {'@': 105}), 17: (1, {'@': 105}), 18: (1, {'@': 105}), 20: (1, {'@': 105}), 27: (1, {'@': 105}), 21: (1, {'@': 105}), 23: (1, {'@': 105}), 30: (1, {'@': 105}), 5: (1, {'@': 105}), 31: (1, {'@': 105}), 25: (1, {'@': 105})}, 89: {15: (1, {'@': 106}), 16: (1, {'@': 106}), 26: (1, {'@': 106}), 17: (1, {'@': 106}), 18: (1, {'@': 106}), 20: (1, {'@': 106}), 27: (1, {'@': 106}), 21: (1, {'@': 106}), 23: (1, {'@': 106}), 30: (1, {'@': 106}), 5: (1, {'@': 106}), 31: (1, {'@': 106}), 25: (1, {'@': 106})}, 90: {15: (1, {'@': 107}), 16: (1, {'@': 107}), 26: (1, {'@': 107}), 17: (1, {'@': 107}), 18: (1, {'@': 107}), 20: (1, {'@': 107}), 27: (1, {'@': 107}), 21: (1, {'@': 107}), 23: (1, {'@': 107}), 30: (1, {'@': 107}), 5: (1, {'@': 107}), 31: (1, {'@': 107}), 25: (1, {'@': 107})}, 91: {15: (1, {'@': 108}), 16: (1, {'@': 108}), 26: (1, {'@': 108}), 17: (1, {'@': 108}), 18: (1, {'@': 108}), 20: (1, {'@': 108}), 27: (1, {'@': 108}), 21: (1, {'@': 108}), 23: (1, {'@': 108}), 30: (1, {'@': 108}), 5: (1, {'@': 108}), 31: (1, {'@': 108}), 25: (1, {'@': 108})}, 92: {27: (0, 33), 34: (0, 139), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 93: {15: (1, {'@': 109}), 16: (1, {'@': 109}), 26: (1, {'@': 109}), 17: (1, {'@': 109}), 18: (1, {'@': 109}), 20: (1, {'@': 109}), 27: (1, {'@': 109}), 21: (1, {'@': 109}), 23: (1, {'@': 109}), 30: (1, {'@': 109}), 5: (1, {'@': 109}), 31: (1, {'@': 109}), 25: (1, {'@': 109})}, 94: {15: (1, {'@': 110}), 16: (1, {'@': 110}), 26: (1, {'@': 110}), 17: (1, {'@': 110}), 18: (1, {'@': 110}), 20: (1, {'@': 110}), 27: (1, {'@': 110}), 21: (1, {'@': 110}), 23: (1, {'@': 110}), 30: (1, {'@': 110}), 5: (1, {'@': 110}), 31: (1, {'@': 110}), 25: (1, {'@': 110})}, 95: {1: (1, {'@': 111}), 2: (1, {'@': 111}), 4: (1, {'@': 111}), 0: (1, {'@': 111}), 5: (1, {'@': 111}), 3: (1, {'@': 111})}, 96: {15: (1, {'@': 112}), 16: (1, {'@': 112}), 26: (1, {'@': 112}), 17: (1, {'@': 112}), 18: (1, {'@': 112}), 20: (1, {'@': 112}), 27: (1, {'@': 112}), 21: (1, {'@': 112}), 23: (1, {'@': 112}), 30: (1, {'@': 112}), 5: (1, {'@': 112}), 31: (1, {'@': 112}), 25: (1, {'@': 112})}, 97: {15: (1, {'@': 113}), 16: (1, {'@': 113}), 26: (1, {'@': 113}), 17: (1, {'@': 113}), 18: (1, {'@': 113}), 20: (1, {'@': 113}), 27: (1, {'@': 113}), 21: (1, {'@': 113}), 23: (1, {'@': 113}), 30: (1, {'@': 113}), 5: (1, {'@': 113}), 31: (1, {'@': 113}), 25: (1, {'@': 113})}, 98: {27: (0, 33), 34: (0, 140), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 99: {14: (1, {'@': 114}), 15: (1, {'@': 114}), 16: (1, {'@': 114}), 1: (1, {'@': 114}), 33: (1, {'@': 114}), 60: (1, {'@': 114}), 17: (1, {'@': 114}), 4: (1, {'@': 114}), 0: (1, {'@': 114}), 18: (1, {'@': 114}), 19: (1, {'@': 114}), 20: (1, {'@': 114}), 74: (1, {'@': 114}), 70: (1, {'@': 114}), 21: (1, {'@': 114}), 69: (1, {'@': 114}), 22: (1, {'@': 114}), 65: (1, {'@': 114}), 23: (1, {'@': 114}), 5: (1, {'@': 114}), 25: (1, {'@': 114}), 59: (1, {'@': 114}), 66: (1, {'@': 114}), 62: (1, {'@': 114}), 26: (1, {'@': 114}), 75: (1, {'@': 114}), 67: (1, {'@': 114}), 76: (1, {'@': 114}), 68: (1, {'@': 114}), 71: (1, {'@': 114}), 27: (1, {'@': 114}), 61: (1, {'@': 114}), 28: (1, {'@': 114}), 63: (1, {'@': 114}), 2: (1, {'@': 114}), 30: (1, {'@': 114}), 31: (1, {'@': 114}), 64: (1, {'@': 114})}, 100: {86: (0, 141), 59: (0, 83), 61: (0, 85), 62: (0, 86), 28: (0, 142), 63: (0, 87), 0: (0, 4), 64: (0, 88), 7: (0, 5), 65: (0, 89), 8: (0, 143), 16: (0, 93), 71: (0, 97), 72: (0, 98), 73: (0, 99), 2: (0, 1), 60: (0, 84), 66: (0, 90), 22: (0, 144), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 101: {27: (0, 33), 34: (0, 145), 15: (0, 35), 29: (0, 76), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 57: (0, 146), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 22: (0, 147), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 47: (0, 54), 46: (0, 53), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 102: {27: (0, 33), 34: (0, 148), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 8: (0, 149), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 103: {14: (1, {'@': 115}), 15: (1, {'@': 115}), 16: (1, {'@': 115}), 1: (1, {'@': 115}), 33: (1, {'@': 115}), 60: (1, {'@': 115}), 17: (1, {'@': 115}), 4: (1, {'@': 115}), 0: (1, {'@': 115}), 18: (1, {'@': 115}), 19: (1, {'@': 115}), 20: (1, {'@': 115}), 74: (1, {'@': 115}), 70: (1, {'@': 115}), 21: (1, {'@': 115}), 69: (1, {'@': 115}), 22: (1, {'@': 115}), 65: (1, {'@': 115}), 23: (1, {'@': 115}), 5: (1, {'@': 115}), 25: (1, {'@': 115}), 59: (1, {'@': 115}), 66: (1, {'@': 115}), 62: (1, {'@': 115}), 26: (1, {'@': 115}), 75: (1, {'@': 115}), 67: (1, {'@': 115}), 76: (1, {'@': 115}), 68: (1, {'@': 115}), 71: (1, {'@': 115}), 27: (1, {'@': 115}), 61: (1, {'@': 115}), 28: (1, {'@': 115}), 63: (1, {'@': 115}), 77: (1, {'@': 115}), 2: (1, {'@': 115}), 78: (1, {'@': 115}), 30: (1, {'@': 115}), 31: (1, {'@': 115}), 64: (1, {'@': 115})}, 104: {35: (0, 150), 17: (0, 56)}, 105: {14: (1, {'@': 116}), 15: (1, {'@': 116}), 16: (1, {'@': 116}), 1: (1, {'@': 116}), 33: (1, {'@': 116}), 60: (1, {'@': 116}), 17: (1, {'@': 116}), 4: (1, {'@': 116}), 0: (1, {'@': 116}), 18: (1, {'@': 116}), 19: (1, {'@': 116}), 20: (1, {'@': 116}), 74: (1, {'@': 116}), 70: (1, {'@': 116}), 21: (1, {'@': 116}), 69: (1, {'@': 116}), 22: (1, {'@': 116}), 65: (1, {'@': 116}), 23: (1, {'@': 116}), 5: (1, {'@': 116}), 25: (1, {'@': 116}), 59: (1, {'@': 116}), 79: (1, {'@': 116}), 66: (1, {'@': 116}), 62: (1, {'@': 116}), 26: (1, {'@': 116}), 75: (1, {'@': 116}), 67: (1, {'@': 116}), 76: (1, {'@': 116}), 68: (1, {'@': 116}), 71: (1, {'@': 116}), 27: (1, {'@': 116}), 61: (1, {'@': 116}), 28: (1, {'@': 116}), 63: (1, {'@': 116}), 77: (1, {'@': 116}), 2: (1, {'@': 116}), 78: (1, {'@': 116}), 30: (1, {'@': 116}), 31: (1, {'@': 116}), 64: (1, {'@': 116})}, 106: {35: (0, 151), 17: (0, 56)}, 107: {27: (0, 33), 34: (0, 152), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 8: (0, 153), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 87: (0, 154), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 14: (0, 155), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 23: (0, 68), 56: (0, 67), 4: (0, 9)}, 108: {14: (1, {'@': 117}), 15: (0, 114), 16: (1, {'@': 117}), 1: (1, {'@': 117}), 33: (1, {'@': 117}), 60: (1, {'@': 117}), 17: (1, {'@': 117}), 4: (1, {'@': 117}), 0: (1, {'@': 117}), 18: (1, {'@': 117}), 19: (1, {'@': 117}), 20: (1, {'@': 117}), 74: (1, {'@': 117}), 70: (1, {'@': 117}), 21: (1, {'@': 117}), 69: (1, {'@': 117}), 22: (1, {'@': 117}), 65: (1, {'@': 117}), 23: (1, {'@': 117}), 5: (1, {'@': 117}), 25: (1, {'@': 117}), 59: (1, {'@': 117}), 66: (1, {'@': 117}), 62: (1, {'@': 117}), 26: (1, {'@': 117}), 75: (1, {'@': 117}), 67: (1, {'@': 117}), 76: (1, {'@': 117}), 68: (1, {'@': 117}), 71: (1, {'@': 117}), 27: (1, {'@': 117}), 61: (1, {'@': 117}), 28: (1, {'@': 117}), 63: (1, {'@': 117}), 2: (1, {'@': 117}), 30: (1, {'@': 117}), 31: (1, {'@': 117}), 64: (1, {'@': 117}), 80: (0, 111), 78: (0, 112), 81: (0, 113), 77: (0, 115), 82: (0, 116), 83: (0, 117)}, 109: {14: (1, {'@': 118}), 15: (0, 114), 16: (1, {'@': 118}), 1: (1, {'@': 118}), 33: (1, {'@': 118}), 60: (1, {'@': 118}), 17: (1, {'@': 118}), 4: (1, {'@': 118}), 0: (1, {'@': 118}), 18: (1, {'@': 118}), 19: (1, {'@': 118}), 20: (1, {'@': 118}), 74: (1, {'@': 118}), 70: (1, {'@': 118}), 21: (1, {'@': 118}), 69: (1, {'@': 118}), 22: (1, {'@': 118}), 65: (1, {'@': 118}), 23: (1, {'@': 118}), 5: (1, {'@': 118}), 25: (1, {'@': 118}), 59: (1, {'@': 118}), 66: (1, {'@': 118}), 62: (1, {'@': 118}), 26: (1, {'@': 118}), 75: (1, {'@': 118}), 67: (1, {'@': 118}), 76: (1, {'@': 118}), 68: (1, {'@': 118}), 71: (1, {'@': 118}), 27: (1, {'@': 118}), 61: (1, {'@': 118}), 28: (1, {'@': 118}), 63: (1, {'@': 118}), 2: (1, {'@': 118}), 30: (1, {'@': 118}), 31: (1, {'@': 118}), 64: (1, {'@': 118}), 80: (0, 111), 78: (0, 112), 81: (0, 113), 77: (0, 115), 82: (0, 116), 83: (0, 117)}, 110: {14: (0, 156), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 111: {14: (1, {'@': 119}), 15: (1, {'@': 119}), 16: (1, {'@': 119}), 1: (1, {'@': 119}), 33: (1, {'@': 119}), 60: (1, {'@': 119}), 17: (1, {'@': 119}), 4: (1, {'@': 119}), 0: (1, {'@': 119}), 18: (1, {'@': 119}), 19: (1, {'@': 119}), 20: (1, {'@': 119}), 74: (1, {'@': 119}), 70: (1, {'@': 119}), 21: (1, {'@': 119}), 69: (1, {'@': 119}), 22: (1, {'@': 119}), 65: (1, {'@': 119}), 23: (1, {'@': 119}), 5: (1, {'@': 119}), 25: (1, {'@': 119}), 59: (1, {'@': 119}), 66: (1, {'@': 119}), 62: (1, {'@': 119}), 26: (1, {'@': 119}), 75: (1, {'@': 119}), 67: (1, {'@': 119}), 76: (1, {'@': 119}), 68: (1, {'@': 119}), 71: (1, {'@': 119}), 27: (1, {'@': 119}), 61: (1, {'@': 119}), 28: (1, {'@': 119}), 63: (1, {'@': 119}), 77: (1, {'@': 119}), 2: (1, {'@': 119}), 78: (1, {'@': 119}), 30: (1, {'@': 119}), 31: (1, {'@': 119}), 64: (1, {'@': 119})}, 112: {14: (1, {'@': 120}), 15: (1, {'@': 120}), 16: (1, {'@': 120}), 1: (1, {'@': 120}), 33: (1, {'@': 120}), 60: (1, {'@': 120}), 17: (1, {'@': 120}), 4: (1, {'@': 120}), 0: (1, {'@': 120}), 18: (1, {'@': 120}), 19: (1, {'@': 120}), 20: (1, {'@': 120}), 74: (1, {'@': 120}), 70: (1, {'@': 120}), 21: (1, {'@': 120}), 69: (1, {'@': 120}), 22: (1, {'@': 120}), 65: (1, {'@': 120}), 23: (1, {'@': 120}), 5: (1, {'@': 120}), 25: (1, {'@': 120}), 59: (1, {'@': 120}), 66: (1, {'@': 120}), 62: (1, {'@': 120}), 26: (1, {'@': 120}), 75: (1, {'@': 120}), 67: (1, {'@': 120}), 76: (1, {'@': 120}), 68: (1, {'@': 120}), 71: (1, {'@': 120}), 27: (1, {'@': 120}), 61: (1, {'@': 120}), 28: (1, {'@': 120}), 63: (1, {'@': 120}), 77: (0, 115), 2: (1, {'@': 120}), 78: (1, {'@': 120}), 30: (1, {'@': 120}), 31: (1, {'@': 120}), 64: (1, {'@': 120}), 88: (0, 157), 80: (0, 158)}, 113: {14: (1, {'@': 121}), 15: (1, {'@': 121}), 16: (1, {'@': 121}), 1: (1, {'@': 121}), 33: (1, {'@': 121}), 60: (1, {'@': 121}), 17: (1, {'@': 121}), 4: (1, {'@': 121}), 0: (1, {'@': 121}), 18: (1, {'@': 121}), 19: (1, {'@': 121}), 20: (1, {'@': 121}), 74: (1, {'@': 121}), 70: (1, {'@': 121}), 21: (1, {'@': 121}), 69: (1, {'@': 121}), 22: (1, {'@': 121}), 65: (1, {'@': 121}), 23: (1, {'@': 121}), 5: (1, {'@': 121}), 25: (1, {'@': 121}), 59: (1, {'@': 121}), 66: (1, {'@': 121}), 62: (1, {'@': 121}), 26: (1, {'@': 121}), 75: (1, {'@': 121}), 67: (1, {'@': 121}), 76: (1, {'@': 121}), 68: (1, {'@': 121}), 71: (1, {'@': 121}), 27: (1, {'@': 121}), 61: (1, {'@': 121}), 28: (1, {'@': 121}), 63: (1, {'@': 121}), 77: (1, {'@': 121}), 2: (1, {'@': 121}), 78: (1, {'@': 121}), 30: (1, {'@': 121}), 31: (1, {'@': 121}), 64: (1, {'@': 121})}, 114: {27: (0, 33), 34: (0, 159), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 62: (0, 160), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 115: {5: (0, 161)}, 116: {14: (1, {'@': 122}), 15: (1, {'@': 122}), 16: (1, {'@': 122}), 1: (1, {'@': 122}), 33: (1, {'@': 122}), 60: (1, {'@': 122}), 17: (1, {'@': 122}), 4: (1, {'@': 122}), 0: (1, {'@': 122}), 18: (1, {'@': 122}), 19: (1, {'@': 122}), 20: (1, {'@': 122}), 74: (1, {'@': 122}), 70: (1, {'@': 122}), 21: (1, {'@': 122}), 69: (1, {'@': 122}), 22: (1, {'@': 122}), 65: (1, {'@': 122}), 23: (1, {'@': 122}), 5: (1, {'@': 122}), 25: (1, {'@': 122}), 59: (1, {'@': 122}), 66: (1, {'@': 122}), 62: (1, {'@': 122}), 26: (1, {'@': 122}), 75: (1, {'@': 122}), 67: (1, {'@': 122}), 76: (1, {'@': 122}), 68: (1, {'@': 122}), 71: (1, {'@': 122}), 27: (1, {'@': 122}), 61: (1, {'@': 122}), 28: (1, {'@': 122}), 63: (1, {'@': 122}), 77: (1, {'@': 122}), 2: (1, {'@': 122}), 78: (1, {'@': 122}), 30: (1, {'@': 122}), 31: (1, {'@': 122}), 64: (1, {'@': 122})}, 117: {14: (1, {'@': 123}), 15: (1, {'@': 123}), 16: (1, {'@': 123}), 1: (1, {'@': 123}), 33: (1, {'@': 123}), 60: (1, {'@': 123}), 17: (1, {'@': 123}), 4: (1, {'@': 123}), 0: (1, {'@': 123}), 18: (1, {'@': 123}), 19: (1, {'@': 123}), 20: (1, {'@': 123}), 74: (1, {'@': 123}), 70: (1, {'@': 123}), 21: (1, {'@': 123}), 69: (1, {'@': 123}), 22: (1, {'@': 123}), 65: (1, {'@': 123}), 23: (1, {'@': 123}), 5: (1, {'@': 123}), 25: (1, {'@': 123}), 59: (1, {'@': 123}), 66: (1, {'@': 123}), 62: (1, {'@': 123}), 26: (1, {'@': 123}), 75: (1, {'@': 123}), 67: (1, {'@': 123}), 76: (1, {'@': 123}), 68: (1, {'@': 123}), 71: (1, {'@': 123}), 27: (1, {'@': 123}), 61: (1, {'@': 123}), 28: (1, {'@': 123}), 63: (1, {'@': 123}), 77: (1, {'@': 123}), 2: (1, {'@': 123}), 78: (1, {'@': 123}), 30: (1, {'@': 123}), 31: (1, {'@': 123}), 64: (1, {'@': 123})}, 118: {1: (1, {'@': 124}), 2: (1, {'@': 124}), 4: (1, {'@': 124}), 0: (1, {'@': 124}), 5: (1, {'@': 124}), 3: (1, {'@': 124})}, 119: {1: (0, 162)}, 120: {27: (0, 33), 34: (0, 163), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 121: {2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 164), 0: (0, 4)}, 122: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 1: (0, 165), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 123: {2: (0, 1), 8: (0, 166), 28: (0, 167), 24: (0, 168), 0: (0, 4), 7: (0, 5), 4: (0, 9)}, 124: {5: (0, 169)}, 125: {1: (1, {'@': 125}), 2: (1, {'@': 125}), 4: (1, {'@': 125}), 0: (1, {'@': 125}), 28: (1, {'@': 125}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 126: {15: (0, 35), 16: (1, {'@': 109}), 26: (0, 63), 17: (0, 56), 18: (0, 61), 20: (0, 66), 27: (0, 33), 21: (0, 51), 23: (0, 68), 30: (0, 41), 5: (0, 37), 31: (0, 48), 25: (1, {'@': 109}), 35: (0, 36), 36: (0, 40), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 109), 41: (0, 46), 42: (0, 47), 43: (0, 49), 44: (0, 50), 46: (0, 53), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 53: (0, 62), 55: (0, 65), 56: (0, 67)}, 127: {27: (0, 33), 34: (0, 170), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 128: {27: (0, 33), 34: (0, 171), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 129: {85: (0, 172), 8: (0, 134), 2: (0, 1), 28: (0, 135), 84: (0, 173), 0: (0, 4), 7: (0, 5), 4: (0, 9), 1: (0, 174)}, 130: {27: (0, 33), 34: (0, 175), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 131: {1: (1, {'@': 126}), 2: (1, {'@': 126}), 4: (1, {'@': 126}), 0: (1, {'@': 126}), 28: (1, {'@': 126}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 132: {27: (0, 33), 34: (0, 176), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 8: (0, 153), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 87: (0, 154), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 14: (0, 155), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 23: (0, 68), 56: (0, 67), 4: (0, 9)}, 133: {74: (0, 177), 59: (0, 83), 60: (0, 84), 61: (0, 85), 72: (0, 98), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 73: (0, 99)}, 134: {21: (1, {'@': 127}), 15: (1, {'@': 127}), 16: (1, {'@': 127}), 1: (1, {'@': 127}), 23: (1, {'@': 127}), 30: (1, {'@': 127}), 26: (1, {'@': 127}), 17: (1, {'@': 127}), 18: (1, {'@': 127}), 5: (1, {'@': 127}), 20: (1, {'@': 127}), 27: (1, {'@': 127}), 31: (1, {'@': 127}), 25: (1, {'@': 127})}, 135: {21: (1, {'@': 128}), 15: (1, {'@': 128}), 16: (1, {'@': 128}), 1: (1, {'@': 128}), 23: (1, {'@': 128}), 30: (1, {'@': 128}), 26: (1, {'@': 128}), 17: (1, {'@': 128}), 18: (1, {'@': 128}), 5: (1, {'@': 128}), 20: (1, {'@': 128}), 27: (1, {'@': 128}), 31: (1, {'@': 128}), 25: (1, {'@': 128}), 2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 178), 0: (0, 4)}, 136: {85: (0, 179), 8: (0, 134), 2: (0, 1), 28: (0, 135), 4: (0, 9), 7: (0, 5), 1: (0, 180), 0: (0, 4)}, 137: {14: (1, {'@': 129}), 15: (1, {'@': 129}), 16: (1, {'@': 129}), 1: (1, {'@': 129}), 33: (1, {'@': 129}), 60: (1, {'@': 129}), 17: (1, {'@': 129}), 4: (1, {'@': 129}), 0: (1, {'@': 129}), 18: (1, {'@': 129}), 19: (1, {'@': 129}), 20: (1, {'@': 129}), 74: (1, {'@': 129}), 70: (1, {'@': 129}), 21: (1, {'@': 129}), 69: (1, {'@': 129}), 22: (1, {'@': 129}), 65: (1, {'@': 129}), 23: (1, {'@': 129}), 5: (1, {'@': 129}), 25: (1, {'@': 129}), 59: (1, {'@': 129}), 66: (1, {'@': 129}), 62: (1, {'@': 129}), 26: (1, {'@': 129}), 75: (1, {'@': 129}), 67: (1, {'@': 129}), 76: (1, {'@': 129}), 68: (1, {'@': 129}), 71: (1, {'@': 129}), 27: (1, {'@': 129}), 61: (1, {'@': 129}), 28: (1, {'@': 129}), 63: (1, {'@': 129}), 77: (1, {'@': 129}), 2: (1, {'@': 129}), 78: (1, {'@': 129}), 30: (1, {'@': 129}), 31: (1, {'@': 129}), 64: (1, {'@': 129})}, 138: {27: (0, 33), 34: (0, 77), 15: (0, 35), 35: (0, 36), 5: (0, 79), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 1: (0, 181), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68), 58: (0, 182)}, 139: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 76: (0, 183), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 140: {14: (1, {'@': 130}), 15: (1, {'@': 130}), 16: (0, 93), 1: (1, {'@': 130}), 33: (1, {'@': 130}), 60: (0, 84), 17: (1, {'@': 130}), 4: (1, {'@': 130}), 0: (1, {'@': 130}), 18: (1, {'@': 130}), 19: (1, {'@': 130}), 20: (1, {'@': 130}), 74: (1, {'@': 130}), 70: (0, 96), 21: (1, {'@': 130}), 69: (0, 94), 22: (1, {'@': 130}), 65: (0, 89), 23: (1, {'@': 130}), 5: (1, {'@': 130}), 25: (1, {'@': 130}), 59: (0, 83), 66: (0, 90), 62: (0, 86), 26: (1, {'@': 130}), 75: (1, {'@': 130}), 67: (0, 91), 76: (1, {'@': 130}), 68: (0, 92), 71: (0, 97), 27: (1, {'@': 130}), 61: (0, 85), 28: (1, {'@': 130}), 63: (0, 87), 2: (1, {'@': 130}), 30: (1, {'@': 130}), 31: (1, {'@': 130}), 64: (0, 88), 72: (0, 98), 73: (0, 99)}, 141: {28: (0, 184), 2: (0, 1), 8: (0, 185), 0: (0, 4), 7: (0, 5), 22: (0, 186), 4: (0, 9)}, 142: {27: (0, 33), 34: (0, 187), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 8: (0, 188), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 22: (0, 189), 23: (0, 68)}, 143: {7: (0, 5), 28: (0, 190), 2: (0, 1), 4: (0, 9), 22: (0, 191), 0: (0, 4), 8: (0, 192)}, 144: {14: (1, {'@': 131}), 15: (1, {'@': 131}), 16: (1, {'@': 131}), 1: (1, {'@': 131}), 33: (1, {'@': 131}), 60: (1, {'@': 131}), 17: (1, {'@': 131}), 4: (1, {'@': 131}), 0: (1, {'@': 131}), 18: (1, {'@': 131}), 19: (1, {'@': 131}), 20: (1, {'@': 131}), 74: (1, {'@': 131}), 70: (1, {'@': 131}), 21: (1, {'@': 131}), 69: (1, {'@': 131}), 22: (1, {'@': 131}), 65: (1, {'@': 131}), 23: (1, {'@': 131}), 5: (1, {'@': 131}), 25: (1, {'@': 131}), 59: (1, {'@': 131}), 66: (1, {'@': 131}), 62: (1, {'@': 131}), 26: (1, {'@': 131}), 75: (1, {'@': 131}), 67: (1, {'@': 131}), 76: (1, {'@': 131}), 68: (1, {'@': 131}), 71: (1, {'@': 131}), 27: (1, {'@': 131}), 61: (1, {'@': 131}), 28: (1, {'@': 131}), 63: (1, {'@': 131}), 77: (1, {'@': 131}), 2: (1, {'@': 131}), 78: (1, {'@': 131}), 30: (1, {'@': 131}), 31: (1, {'@': 131}), 64: (1, {'@': 131})}, 145: {8: (0, 193), 86: (0, 194), 59: (0, 83), 61: (0, 85), 62: (0, 86), 28: (0, 195), 63: (0, 87), 0: (0, 4), 64: (0, 88), 7: (0, 5), 65: (0, 89), 16: (0, 93), 71: (0, 97), 72: (0, 98), 73: (0, 99), 2: (0, 1), 60: (0, 84), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 22: (0, 196), 70: (0, 96)}, 146: {27: (0, 33), 34: (0, 197), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 8: (0, 198), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 147: {14: (1, {'@': 132}), 15: (1, {'@': 132}), 16: (1, {'@': 132}), 1: (1, {'@': 132}), 33: (1, {'@': 132}), 60: (1, {'@': 132}), 17: (1, {'@': 132}), 4: (1, {'@': 132}), 0: (1, {'@': 132}), 18: (1, {'@': 132}), 19: (1, {'@': 132}), 20: (1, {'@': 132}), 74: (1, {'@': 132}), 70: (1, {'@': 132}), 21: (1, {'@': 132}), 69: (1, {'@': 132}), 22: (1, {'@': 132}), 65: (1, {'@': 132}), 23: (1, {'@': 132}), 5: (1, {'@': 132}), 25: (1, {'@': 132}), 59: (1, {'@': 132}), 66: (1, {'@': 132}), 62: (1, {'@': 132}), 26: (1, {'@': 132}), 75: (1, {'@': 132}), 67: (1, {'@': 132}), 76: (1, {'@': 132}), 68: (1, {'@': 132}), 71: (1, {'@': 132}), 27: (1, {'@': 132}), 61: (1, {'@': 132}), 28: (1, {'@': 132}), 63: (1, {'@': 132}), 77: (1, {'@': 132}), 2: (1, {'@': 132}), 78: (1, {'@': 132}), 30: (1, {'@': 132}), 31: (1, {'@': 132}), 64: (1, {'@': 132})}, 148: {59: (0, 83), 61: (0, 85), 19: (0, 199), 62: (0, 86), 63: (0, 87), 8: (0, 200), 0: (0, 4), 64: (0, 88), 7: (0, 5), 65: (0, 89), 16: (0, 93), 89: (0, 201), 71: (0, 97), 72: (0, 98), 73: (0, 99), 22: (0, 202), 2: (0, 1), 60: (0, 84), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 149: {27: (0, 33), 34: (0, 203), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 150: {14: (1, {'@': 133}), 15: (1, {'@': 133}), 16: (1, {'@': 133}), 1: (1, {'@': 133}), 33: (1, {'@': 133}), 60: (1, {'@': 133}), 17: (0, 105), 4: (1, {'@': 133}), 0: (1, {'@': 133}), 18: (1, {'@': 133}), 19: (1, {'@': 133}), 20: (1, {'@': 133}), 74: (1, {'@': 133}), 70: (1, {'@': 133}), 21: (1, {'@': 133}), 69: (1, {'@': 133}), 22: (1, {'@': 133}), 65: (1, {'@': 133}), 23: (1, {'@': 133}), 5: (1, {'@': 133}), 25: (1, {'@': 133}), 59: (1, {'@': 133}), 66: (1, {'@': 133}), 62: (1, {'@': 133}), 26: (1, {'@': 133}), 75: (1, {'@': 133}), 67: (1, {'@': 133}), 76: (1, {'@': 133}), 68: (1, {'@': 133}), 71: (1, {'@': 133}), 27: (1, {'@': 133}), 61: (1, {'@': 133}), 28: (1, {'@': 133}), 63: (1, {'@': 133}), 77: (1, {'@': 133}), 2: (1, {'@': 133}), 78: (1, {'@': 133}), 30: (1, {'@': 133}), 31: (1, {'@': 133}), 64: (1, {'@': 133}), 79: (0, 204)}, 151: {14: (1, {'@': 134}), 15: (1, {'@': 134}), 16: (1, {'@': 134}), 1: (1, {'@': 134}), 33: (1, {'@': 134}), 60: (1, {'@': 134}), 17: (0, 105), 4: (1, {'@': 134}), 0: (1, {'@': 134}), 18: (1, {'@': 134}), 19: (1, {'@': 134}), 20: (1, {'@': 134}), 74: (1, {'@': 134}), 70: (1, {'@': 134}), 21: (1, {'@': 134}), 69: (1, {'@': 134}), 22: (1, {'@': 134}), 65: (1, {'@': 134}), 23: (1, {'@': 134}), 5: (1, {'@': 134}), 25: (1, {'@': 134}), 59: (1, {'@': 134}), 66: (1, {'@': 134}), 62: (1, {'@': 134}), 26: (1, {'@': 134}), 75: (1, {'@': 134}), 67: (1, {'@': 134}), 76: (1, {'@': 134}), 68: (1, {'@': 134}), 71: (1, {'@': 134}), 27: (1, {'@': 134}), 61: (1, {'@': 134}), 28: (1, {'@': 134}), 63: (1, {'@': 134}), 77: (1, {'@': 134}), 2: (1, {'@': 134}), 78: (1, {'@': 134}), 30: (1, {'@': 134}), 31: (1, {'@': 134}), 64: (1, {'@': 134})}, 152: {0: (0, 4), 14: (1, {'@': 135}), 2: (0, 1), 4: (0, 9), 86: (0, 205), 59: (0, 83), 61: (0, 85), 62: (0, 86), 28: (0, 206), 63: (0, 87), 64: (0, 88), 7: (0, 5), 65: (0, 89), 8: (0, 207), 16: (0, 93), 71: (0, 97), 75: (0, 208), 72: (0, 98), 73: (0, 99), 60: (0, 84), 66: (0, 90), 67: (0, 91), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 153: {27: (0, 33), 34: (0, 152), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 8: (0, 209), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 14: (0, 210), 49: (0, 57), 50: (0, 58), 87: (0, 211), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 154: {14: (0, 212), 2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 213), 0: (0, 4)}, 155: {14: (1, {'@': 136}), 15: (1, {'@': 136}), 16: (1, {'@': 136}), 1: (1, {'@': 136}), 33: (1, {'@': 136}), 60: (1, {'@': 136}), 17: (1, {'@': 136}), 4: (1, {'@': 136}), 0: (1, {'@': 136}), 18: (1, {'@': 136}), 19: (1, {'@': 136}), 20: (1, {'@': 136}), 74: (1, {'@': 136}), 70: (1, {'@': 136}), 21: (1, {'@': 136}), 69: (1, {'@': 136}), 22: (1, {'@': 136}), 65: (1, {'@': 136}), 23: (1, {'@': 136}), 5: (1, {'@': 136}), 25: (1, {'@': 136}), 59: (1, {'@': 136}), 66: (1, {'@': 136}), 62: (1, {'@': 136}), 26: (1, {'@': 136}), 75: (1, {'@': 136}), 67: (1, {'@': 136}), 76: (1, {'@': 136}), 68: (1, {'@': 136}), 71: (1, {'@': 136}), 27: (1, {'@': 136}), 61: (1, {'@': 136}), 28: (1, {'@': 136}), 63: (1, {'@': 136}), 77: (1, {'@': 136}), 2: (1, {'@': 136}), 78: (1, {'@': 136}), 30: (1, {'@': 136}), 31: (1, {'@': 136}), 64: (1, {'@': 136})}, 156: {14: (1, {'@': 137}), 15: (1, {'@': 137}), 16: (1, {'@': 137}), 1: (1, {'@': 137}), 33: (1, {'@': 137}), 60: (1, {'@': 137}), 17: (1, {'@': 137}), 4: (1, {'@': 137}), 0: (1, {'@': 137}), 18: (1, {'@': 137}), 19: (1, {'@': 137}), 20: (1, {'@': 137}), 74: (1, {'@': 137}), 70: (1, {'@': 137}), 21: (1, {'@': 137}), 69: (1, {'@': 137}), 22: (1, {'@': 137}), 65: (1, {'@': 137}), 23: (1, {'@': 137}), 5: (1, {'@': 137}), 25: (1, {'@': 137}), 59: (1, {'@': 137}), 66: (1, {'@': 137}), 62: (1, {'@': 137}), 26: (1, {'@': 137}), 75: (1, {'@': 137}), 67: (1, {'@': 137}), 76: (1, {'@': 137}), 68: (1, {'@': 137}), 71: (1, {'@': 137}), 27: (1, {'@': 137}), 61: (1, {'@': 137}), 28: (1, {'@': 137}), 63: (1, {'@': 137}), 77: (1, {'@': 137}), 2: (1, {'@': 137}), 78: (1, {'@': 137}), 30: (1, {'@': 137}), 31: (1, {'@': 137}), 64: (1, {'@': 137})}, 157: {14: (1, {'@': 138}), 15: (1, {'@': 138}), 16: (1, {'@': 138}), 1: (1, {'@': 138}), 33: (1, {'@': 138}), 60: (1, {'@': 138}), 17: (1, {'@': 138}), 4: (1, {'@': 138}), 0: (1, {'@': 138}), 18: (1, {'@': 138}), 19: (1, {'@': 138}), 20: (1, {'@': 138}), 74: (1, {'@': 138}), 70: (1, {'@': 138}), 21: (1, {'@': 138}), 69: (1, {'@': 138}), 22: (1, {'@': 138}), 65: (1, {'@': 138}), 23: (1, {'@': 138}), 5: (1, {'@': 138}), 25: (1, {'@': 138}), 59: (1, {'@': 138}), 66: (1, {'@': 138}), 62: (1, {'@': 138}), 26: (1, {'@': 138}), 75: (1, {'@': 138}), 67: (1, {'@': 138}), 76: (1, {'@': 138}), 68: (1, {'@': 138}), 71: (1, {'@': 138}), 27: (1, {'@': 138}), 61: (1, {'@': 138}), 28: (1, {'@': 138}), 63: (1, {'@': 138}), 77: (0, 115), 2: (1, {'@': 138}), 78: (1, {'@': 138}), 30: (1, {'@': 138}), 31: (1, {'@': 138}), 64: (1, {'@': 138}), 80: (0, 214)}, 158: {14: (1, {'@': 139}), 15: (1, {'@': 139}), 16: (1, {'@': 139}), 1: (1, {'@': 139}), 33: (1, {'@': 139}), 60: (1, {'@': 139}), 17: (1, {'@': 139}), 4: (1, {'@': 139}), 0: (1, {'@': 139}), 18: (1, {'@': 139}), 19: (1, {'@': 139}), 20: (1, {'@': 139}), 74: (1, {'@': 139}), 70: (1, {'@': 139}), 21: (1, {'@': 139}), 69: (1, {'@': 139}), 22: (1, {'@': 139}), 65: (1, {'@': 139}), 23: (1, {'@': 139}), 5: (1, {'@': 139}), 25: (1, {'@': 139}), 59: (1, {'@': 139}), 66: (1, {'@': 139}), 62: (1, {'@': 139}), 26: (1, {'@': 139}), 75: (1, {'@': 139}), 67: (1, {'@': 139}), 76: (1, {'@': 139}), 68: (1, {'@': 139}), 71: (1, {'@': 139}), 27: (1, {'@': 139}), 61: (1, {'@': 139}), 28: (1, {'@': 139}), 63: (1, {'@': 139}), 77: (1, {'@': 139}), 2: (1, {'@': 139}), 78: (1, {'@': 139}), 30: (1, {'@': 139}), 31: (1, {'@': 139}), 64: (1, {'@': 139})}, 159: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 22: (0, 215), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 160: {22: (0, 216)}, 161: {14: (1, {'@': 140}), 15: (1, {'@': 140}), 16: (1, {'@': 140}), 1: (1, {'@': 140}), 33: (1, {'@': 140}), 60: (1, {'@': 140}), 17: (1, {'@': 140}), 4: (1, {'@': 140}), 0: (1, {'@': 140}), 18: (1, {'@': 140}), 19: (1, {'@': 140}), 20: (1, {'@': 140}), 74: (1, {'@': 140}), 70: (1, {'@': 140}), 21: (1, {'@': 140}), 69: (1, {'@': 140}), 22: (1, {'@': 140}), 65: (1, {'@': 140}), 23: (1, {'@': 140}), 5: (1, {'@': 140}), 25: (1, {'@': 140}), 59: (1, {'@': 140}), 66: (1, {'@': 140}), 62: (1, {'@': 140}), 26: (1, {'@': 140}), 75: (1, {'@': 140}), 67: (1, {'@': 140}), 76: (1, {'@': 140}), 68: (1, {'@': 140}), 71: (1, {'@': 140}), 27: (1, {'@': 140}), 61: (1, {'@': 140}), 28: (1, {'@': 140}), 63: (1, {'@': 140}), 77: (1, {'@': 140}), 2: (1, {'@': 140}), 78: (1, {'@': 140}), 30: (1, {'@': 140}), 31: (1, {'@': 140}), 64: (1, {'@': 140})}, 162: {2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 8: (0, 217)}, 163: {59: (0, 83), 60: (0, 84), 61: (0, 85), 1: (0, 218), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 164: {1: (1, {'@': 141}), 2: (1, {'@': 141}), 4: (1, {'@': 141}), 0: (1, {'@': 141}), 5: (1, {'@': 141}), 3: (1, {'@': 141})}, 165: {2: (0, 1), 4: (0, 9), 8: (0, 219), 7: (0, 5), 0: (0, 4)}, 166: {24: (0, 220)}, 167: {5: (0, 221)}, 168: {27: (0, 33), 34: (0, 222), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 8: (0, 223), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 169: {28: (0, 224), 2: (0, 1), 8: (0, 225), 24: (0, 226), 0: (0, 4), 7: (0, 5), 4: (0, 9)}, 170: {1: (1, {'@': 142}), 2: (1, {'@': 142}), 4: (1, {'@': 142}), 0: (1, {'@': 142}), 28: (1, {'@': 142}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 171: {74: (0, 227), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 172: {27: (0, 33), 34: (0, 77), 15: (0, 35), 35: (0, 36), 5: (0, 79), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 1: (0, 228), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68), 58: (0, 182)}, 173: {8: (0, 134), 2: (0, 1), 28: (0, 135), 4: (0, 9), 7: (0, 5), 85: (0, 229), 0: (0, 4), 1: (0, 230)}, 174: {14: (1, {'@': 143}), 15: (1, {'@': 143}), 16: (1, {'@': 143}), 1: (1, {'@': 143}), 33: (1, {'@': 143}), 60: (1, {'@': 143}), 17: (1, {'@': 143}), 4: (1, {'@': 143}), 0: (1, {'@': 143}), 18: (1, {'@': 143}), 19: (1, {'@': 143}), 20: (1, {'@': 143}), 74: (1, {'@': 143}), 70: (1, {'@': 143}), 21: (1, {'@': 143}), 69: (1, {'@': 143}), 22: (1, {'@': 143}), 65: (1, {'@': 143}), 23: (1, {'@': 143}), 5: (1, {'@': 143}), 25: (1, {'@': 143}), 59: (1, {'@': 143}), 66: (1, {'@': 143}), 62: (1, {'@': 143}), 26: (1, {'@': 143}), 75: (1, {'@': 143}), 67: (1, {'@': 143}), 76: (1, {'@': 143}), 68: (1, {'@': 143}), 71: (1, {'@': 143}), 27: (1, {'@': 143}), 61: (1, {'@': 143}), 28: (1, {'@': 143}), 63: (1, {'@': 143}), 77: (1, {'@': 143}), 2: (1, {'@': 143}), 78: (1, {'@': 143}), 30: (1, {'@': 143}), 31: (1, {'@': 143}), 64: (1, {'@': 143})}, 175: {1: (1, {'@': 144}), 2: (1, {'@': 144}), 4: (1, {'@': 144}), 0: (1, {'@': 144}), 28: (1, {'@': 144}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 176: {0: (0, 4), 14: (0, 156), 2: (0, 1), 4: (0, 9), 86: (0, 205), 59: (0, 83), 61: (0, 85), 62: (0, 86), 28: (0, 206), 63: (0, 87), 64: (0, 88), 7: (0, 5), 65: (0, 89), 8: (0, 207), 16: (0, 93), 71: (0, 97), 75: (0, 208), 72: (0, 98), 73: (0, 99), 60: (0, 84), 66: (0, 90), 67: (0, 91), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 177: {27: (0, 33), 34: (0, 231), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 178: {21: (1, {'@': 145}), 15: (1, {'@': 145}), 16: (1, {'@': 145}), 1: (1, {'@': 145}), 23: (1, {'@': 145}), 30: (1, {'@': 145}), 26: (1, {'@': 145}), 17: (1, {'@': 145}), 18: (1, {'@': 145}), 5: (1, {'@': 145}), 20: (1, {'@': 145}), 27: (1, {'@': 145}), 31: (1, {'@': 145}), 25: (1, {'@': 145})}, 179: {27: (0, 33), 34: (0, 77), 15: (0, 35), 35: (0, 36), 5: (0, 79), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 58: (0, 232), 1: (0, 233), 23: (0, 68)}, 180: {14: (1, {'@': 146}), 15: (1, {'@': 146}), 16: (1, {'@': 146}), 1: (1, {'@': 146}), 33: (1, {'@': 146}), 60: (1, {'@': 146}), 17: (1, {'@': 146}), 4: (1, {'@': 146}), 0: (1, {'@': 146}), 18: (1, {'@': 146}), 19: (1, {'@': 146}), 20: (1, {'@': 146}), 74: (1, {'@': 146}), 70: (1, {'@': 146}), 21: (1, {'@': 146}), 69: (1, {'@': 146}), 22: (1, {'@': 146}), 65: (1, {'@': 146}), 23: (1, {'@': 146}), 5: (1, {'@': 146}), 25: (1, {'@': 146}), 59: (1, {'@': 146}), 66: (1, {'@': 146}), 62: (1, {'@': 146}), 26: (1, {'@': 146}), 75: (1, {'@': 146}), 67: (1, {'@': 146}), 76: (1, {'@': 146}), 68: (1, {'@': 146}), 71: (1, {'@': 146}), 27: (1, {'@': 146}), 61: (1, {'@': 146}), 28: (1, {'@': 146}), 63: (1, {'@': 146}), 77: (1, {'@': 146}), 2: (1, {'@': 146}), 78: (1, {'@': 146}), 30: (1, {'@': 146}), 31: (1, {'@': 146}), 64: (1, {'@': 146})}, 181: {14: (1, {'@': 147}), 15: (1, {'@': 147}), 16: (1, {'@': 147}), 1: (1, {'@': 147}), 33: (1, {'@': 147}), 60: (1, {'@': 147}), 17: (1, {'@': 147}), 4: (1, {'@': 147}), 0: (1, {'@': 147}), 18: (1, {'@': 147}), 19: (1, {'@': 147}), 20: (1, {'@': 147}), 74: (1, {'@': 147}), 70: (1, {'@': 147}), 21: (1, {'@': 147}), 69: (1, {'@': 147}), 22: (1, {'@': 147}), 65: (1, {'@': 147}), 23: (1, {'@': 147}), 5: (1, {'@': 147}), 25: (1, {'@': 147}), 59: (1, {'@': 147}), 66: (1, {'@': 147}), 62: (1, {'@': 147}), 26: (1, {'@': 147}), 75: (1, {'@': 147}), 67: (1, {'@': 147}), 76: (1, {'@': 147}), 68: (1, {'@': 147}), 71: (1, {'@': 147}), 27: (1, {'@': 147}), 61: (1, {'@': 147}), 28: (1, {'@': 147}), 63: (1, {'@': 147}), 77: (1, {'@': 147}), 2: (1, {'@': 147}), 78: (1, {'@': 147}), 30: (1, {'@': 147}), 31: (1, {'@': 147}), 64: (1, {'@': 147})}, 182: {0: (1, {'@': 148}), 1: (1, {'@': 148}), 2: (1, {'@': 148}), 28: (1, {'@': 148}), 4: (1, {'@': 148})}, 183: {27: (0, 33), 34: (0, 234), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 184: {27: (0, 33), 34: (0, 235), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 22: (0, 236), 8: (0, 237), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 185: {2: (0, 1), 4: (0, 9), 28: (0, 238), 7: (0, 5), 8: (0, 239), 22: (0, 240), 0: (0, 4)}, 186: {14: (1, {'@': 149}), 15: (1, {'@': 149}), 16: (1, {'@': 149}), 1: (1, {'@': 149}), 33: (1, {'@': 149}), 60: (1, {'@': 149}), 17: (1, {'@': 149}), 4: (1, {'@': 149}), 0: (1, {'@': 149}), 18: (1, {'@': 149}), 19: (1, {'@': 149}), 20: (1, {'@': 149}), 74: (1, {'@': 149}), 70: (1, {'@': 149}), 21: (1, {'@': 149}), 69: (1, {'@': 149}), 22: (1, {'@': 149}), 65: (1, {'@': 149}), 23: (1, {'@': 149}), 5: (1, {'@': 149}), 25: (1, {'@': 149}), 59: (1, {'@': 149}), 66: (1, {'@': 149}), 62: (1, {'@': 149}), 26: (1, {'@': 149}), 75: (1, {'@': 149}), 67: (1, {'@': 149}), 76: (1, {'@': 149}), 68: (1, {'@': 149}), 71: (1, {'@': 149}), 27: (1, {'@': 149}), 61: (1, {'@': 149}), 28: (1, {'@': 149}), 63: (1, {'@': 149}), 77: (1, {'@': 149}), 2: (1, {'@': 149}), 78: (1, {'@': 149}), 30: (1, {'@': 149}), 31: (1, {'@': 149}), 64: (1, {'@': 149})}, 187: {14: (1, {'@': 150}), 22: (1, {'@': 150}), 2: (1, {'@': 150}), 75: (1, {'@': 150}), 4: (1, {'@': 150}), 0: (1, {'@': 150}), 28: (1, {'@': 150}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 188: {27: (0, 33), 34: (0, 241), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 22: (0, 242), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 189: {14: (1, {'@': 151}), 15: (1, {'@': 151}), 16: (1, {'@': 151}), 1: (1, {'@': 151}), 33: (1, {'@': 151}), 60: (1, {'@': 151}), 17: (1, {'@': 151}), 4: (1, {'@': 151}), 0: (1, {'@': 151}), 18: (1, {'@': 151}), 19: (1, {'@': 151}), 20: (1, {'@': 151}), 74: (1, {'@': 151}), 70: (1, {'@': 151}), 21: (1, {'@': 151}), 69: (1, {'@': 151}), 22: (1, {'@': 151}), 65: (1, {'@': 151}), 23: (1, {'@': 151}), 5: (1, {'@': 151}), 25: (1, {'@': 151}), 59: (1, {'@': 151}), 66: (1, {'@': 151}), 62: (1, {'@': 151}), 26: (1, {'@': 151}), 75: (1, {'@': 151}), 67: (1, {'@': 151}), 76: (1, {'@': 151}), 68: (1, {'@': 151}), 71: (1, {'@': 151}), 27: (1, {'@': 151}), 61: (1, {'@': 151}), 28: (1, {'@': 151}), 63: (1, {'@': 151}), 77: (1, {'@': 151}), 2: (1, {'@': 151}), 78: (1, {'@': 151}), 30: (1, {'@': 151}), 31: (1, {'@': 151}), 64: (1, {'@': 151})}, 190: {27: (0, 33), 34: (0, 243), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 22: (0, 244), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 8: (0, 245), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 191: {14: (1, {'@': 152}), 15: (1, {'@': 152}), 16: (1, {'@': 152}), 1: (1, {'@': 152}), 33: (1, {'@': 152}), 60: (1, {'@': 152}), 17: (1, {'@': 152}), 4: (1, {'@': 152}), 0: (1, {'@': 152}), 18: (1, {'@': 152}), 19: (1, {'@': 152}), 20: (1, {'@': 152}), 74: (1, {'@': 152}), 70: (1, {'@': 152}), 21: (1, {'@': 152}), 69: (1, {'@': 152}), 22: (1, {'@': 152}), 65: (1, {'@': 152}), 23: (1, {'@': 152}), 5: (1, {'@': 152}), 25: (1, {'@': 152}), 59: (1, {'@': 152}), 66: (1, {'@': 152}), 62: (1, {'@': 152}), 26: (1, {'@': 152}), 75: (1, {'@': 152}), 67: (1, {'@': 152}), 76: (1, {'@': 152}), 68: (1, {'@': 152}), 71: (1, {'@': 152}), 27: (1, {'@': 152}), 61: (1, {'@': 152}), 28: (1, {'@': 152}), 63: (1, {'@': 152}), 77: (1, {'@': 152}), 2: (1, {'@': 152}), 78: (1, {'@': 152}), 30: (1, {'@': 152}), 31: (1, {'@': 152}), 64: (1, {'@': 152})}, 192: {22: (0, 246)}, 193: {28: (0, 247), 2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 8: (0, 248), 22: (0, 249)}, 194: {8: (0, 250), 2: (0, 1), 28: (0, 251), 0: (0, 4), 7: (0, 5), 4: (0, 9), 22: (0, 252)}, 195: {27: (0, 33), 34: (0, 187), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 8: (0, 253), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 22: (0, 254), 4: (0, 9), 23: (0, 68)}, 196: {14: (1, {'@': 153}), 15: (1, {'@': 153}), 16: (1, {'@': 153}), 1: (1, {'@': 153}), 33: (1, {'@': 153}), 60: (1, {'@': 153}), 17: (1, {'@': 153}), 4: (1, {'@': 153}), 0: (1, {'@': 153}), 18: (1, {'@': 153}), 19: (1, {'@': 153}), 20: (1, {'@': 153}), 74: (1, {'@': 153}), 70: (1, {'@': 153}), 21: (1, {'@': 153}), 69: (1, {'@': 153}), 22: (1, {'@': 153}), 65: (1, {'@': 153}), 23: (1, {'@': 153}), 5: (1, {'@': 153}), 25: (1, {'@': 153}), 59: (1, {'@': 153}), 66: (1, {'@': 153}), 62: (1, {'@': 153}), 26: (1, {'@': 153}), 75: (1, {'@': 153}), 67: (1, {'@': 153}), 76: (1, {'@': 153}), 68: (1, {'@': 153}), 71: (1, {'@': 153}), 27: (1, {'@': 153}), 61: (1, {'@': 153}), 28: (1, {'@': 153}), 63: (1, {'@': 153}), 77: (1, {'@': 153}), 2: (1, {'@': 153}), 78: (1, {'@': 153}), 30: (1, {'@': 153}), 31: (1, {'@': 153}), 64: (1, {'@': 153})}, 197: {59: (0, 83), 61: (0, 85), 19: (0, 199), 62: (0, 86), 63: (0, 87), 89: (0, 255), 0: (0, 4), 64: (0, 88), 7: (0, 5), 65: (0, 89), 16: (0, 93), 8: (0, 256), 71: (0, 97), 72: (0, 98), 73: (0, 99), 2: (0, 1), 60: (0, 84), 22: (0, 257), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 198: {27: (0, 33), 34: (0, 258), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 199: {27: (0, 33), 34: (0, 259), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 8: (0, 260), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 200: {2: (0, 1), 4: (0, 9), 7: (0, 5), 89: (0, 261), 19: (0, 199), 22: (0, 262), 0: (0, 4), 8: (0, 263)}, 201: {22: (0, 264), 2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 8: (0, 265)}, 202: {14: (1, {'@': 154}), 15: (1, {'@': 154}), 16: (1, {'@': 154}), 1: (1, {'@': 154}), 33: (1, {'@': 154}), 60: (1, {'@': 154}), 17: (1, {'@': 154}), 4: (1, {'@': 154}), 0: (1, {'@': 154}), 18: (1, {'@': 154}), 19: (1, {'@': 154}), 20: (1, {'@': 154}), 74: (1, {'@': 154}), 70: (1, {'@': 154}), 21: (1, {'@': 154}), 69: (1, {'@': 154}), 22: (1, {'@': 154}), 65: (1, {'@': 154}), 23: (1, {'@': 154}), 5: (1, {'@': 154}), 25: (1, {'@': 154}), 59: (1, {'@': 154}), 66: (1, {'@': 154}), 62: (1, {'@': 154}), 26: (1, {'@': 154}), 75: (1, {'@': 154}), 67: (1, {'@': 154}), 76: (1, {'@': 154}), 68: (1, {'@': 154}), 71: (1, {'@': 154}), 27: (1, {'@': 154}), 61: (1, {'@': 154}), 28: (1, {'@': 154}), 63: (1, {'@': 154}), 77: (1, {'@': 154}), 2: (1, {'@': 154}), 78: (1, {'@': 154}), 30: (1, {'@': 154}), 31: (1, {'@': 154}), 64: (1, {'@': 154})}, 203: {59: (0, 83), 61: (0, 85), 19: (0, 199), 62: (0, 86), 22: (0, 266), 63: (0, 87), 0: (0, 4), 64: (0, 88), 7: (0, 5), 8: (0, 267), 89: (0, 268), 65: (0, 89), 16: (0, 93), 71: (0, 97), 72: (0, 98), 73: (0, 99), 2: (0, 1), 60: (0, 84), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 204: {35: (0, 269), 17: (0, 56)}, 205: {0: (0, 4), 14: (1, {'@': 155}), 2: (0, 1), 4: (0, 9), 8: (0, 270), 75: (0, 271), 28: (0, 272), 7: (0, 5)}, 206: {0: (0, 4), 14: (1, {'@': 156}), 2: (0, 1), 4: (0, 9), 27: (0, 33), 34: (0, 187), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 8: (0, 273), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 207: {0: (1, {'@': 157}), 14: (1, {'@': 157}), 2: (1, {'@': 157}), 4: (1, {'@': 157}), 28: (0, 274)}, 208: {0: (0, 4), 14: (1, {'@': 158}), 2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 275)}, 209: {14: (0, 276)}, 210: {14: (1, {'@': 159}), 15: (1, {'@': 159}), 16: (1, {'@': 159}), 1: (1, {'@': 159}), 33: (1, {'@': 159}), 60: (1, {'@': 159}), 17: (1, {'@': 159}), 4: (1, {'@': 159}), 0: (1, {'@': 159}), 18: (1, {'@': 159}), 19: (1, {'@': 159}), 20: (1, {'@': 159}), 74: (1, {'@': 159}), 70: (1, {'@': 159}), 21: (1, {'@': 159}), 69: (1, {'@': 159}), 22: (1, {'@': 159}), 65: (1, {'@': 159}), 23: (1, {'@': 159}), 5: (1, {'@': 159}), 25: (1, {'@': 159}), 59: (1, {'@': 159}), 66: (1, {'@': 159}), 62: (1, {'@': 159}), 26: (1, {'@': 159}), 75: (1, {'@': 159}), 67: (1, {'@': 159}), 76: (1, {'@': 159}), 68: (1, {'@': 159}), 71: (1, {'@': 159}), 27: (1, {'@': 159}), 61: (1, {'@': 159}), 28: (1, {'@': 159}), 63: (1, {'@': 159}), 77: (1, {'@': 159}), 2: (1, {'@': 159}), 78: (1, {'@': 159}), 30: (1, {'@': 159}), 31: (1, {'@': 159}), 64: (1, {'@': 159})}, 211: {14: (0, 277), 2: (0, 1), 4: (0, 9), 8: (0, 278), 7: (0, 5), 0: (0, 4)}, 212: {14: (1, {'@': 160}), 15: (1, {'@': 160}), 16: (1, {'@': 160}), 1: (1, {'@': 160}), 33: (1, {'@': 160}), 60: (1, {'@': 160}), 17: (1, {'@': 160}), 4: (1, {'@': 160}), 0: (1, {'@': 160}), 18: (1, {'@': 160}), 19: (1, {'@': 160}), 20: (1, {'@': 160}), 74: (1, {'@': 160}), 70: (1, {'@': 160}), 21: (1, {'@': 160}), 69: (1, {'@': 160}), 22: (1, {'@': 160}), 65: (1, {'@': 160}), 23: (1, {'@': 160}), 5: (1, {'@': 160}), 25: (1, {'@': 160}), 59: (1, {'@': 160}), 66: (1, {'@': 160}), 62: (1, {'@': 160}), 26: (1, {'@': 160}), 75: (1, {'@': 160}), 67: (1, {'@': 160}), 76: (1, {'@': 160}), 68: (1, {'@': 160}), 71: (1, {'@': 160}), 27: (1, {'@': 160}), 61: (1, {'@': 160}), 28: (1, {'@': 160}), 63: (1, {'@': 160}), 77: (1, {'@': 160}), 2: (1, {'@': 160}), 78: (1, {'@': 160}), 30: (1, {'@': 160}), 31: (1, {'@': 160}), 64: (1, {'@': 160})}, 213: {14: (0, 279)}, 214: {14: (1, {'@': 161}), 15: (1, {'@': 161}), 16: (1, {'@': 161}), 1: (1, {'@': 161}), 33: (1, {'@': 161}), 60: (1, {'@': 161}), 17: (1, {'@': 161}), 4: (1, {'@': 161}), 0: (1, {'@': 161}), 18: (1, {'@': 161}), 19: (1, {'@': 161}), 20: (1, {'@': 161}), 74: (1, {'@': 161}), 70: (1, {'@': 161}), 21: (1, {'@': 161}), 69: (1, {'@': 161}), 22: (1, {'@': 161}), 65: (1, {'@': 161}), 23: (1, {'@': 161}), 5: (1, {'@': 161}), 25: (1, {'@': 161}), 59: (1, {'@': 161}), 66: (1, {'@': 161}), 62: (1, {'@': 161}), 26: (1, {'@': 161}), 75: (1, {'@': 161}), 67: (1, {'@': 161}), 76: (1, {'@': 161}), 68: (1, {'@': 161}), 71: (1, {'@': 161}), 27: (1, {'@': 161}), 61: (1, {'@': 161}), 28: (1, {'@': 161}), 63: (1, {'@': 161}), 77: (1, {'@': 161}), 2: (1, {'@': 161}), 78: (1, {'@': 161}), 30: (1, {'@': 161}), 31: (1, {'@': 161}), 64: (1, {'@': 161})}, 215: {14: (1, {'@': 162}), 15: (1, {'@': 162}), 16: (1, {'@': 162}), 1: (1, {'@': 162}), 33: (1, {'@': 162}), 60: (1, {'@': 162}), 17: (1, {'@': 162}), 4: (1, {'@': 162}), 0: (1, {'@': 162}), 18: (1, {'@': 162}), 19: (1, {'@': 162}), 20: (1, {'@': 162}), 74: (1, {'@': 162}), 70: (1, {'@': 162}), 21: (1, {'@': 162}), 69: (1, {'@': 162}), 22: (1, {'@': 162}), 65: (1, {'@': 162}), 23: (1, {'@': 162}), 5: (1, {'@': 162}), 25: (1, {'@': 162}), 59: (1, {'@': 162}), 66: (1, {'@': 162}), 62: (1, {'@': 162}), 26: (1, {'@': 162}), 75: (1, {'@': 162}), 67: (1, {'@': 162}), 76: (1, {'@': 162}), 68: (1, {'@': 162}), 71: (1, {'@': 162}), 27: (1, {'@': 162}), 61: (1, {'@': 162}), 28: (1, {'@': 162}), 63: (1, {'@': 162}), 77: (1, {'@': 162}), 2: (1, {'@': 162}), 78: (1, {'@': 162}), 30: (1, {'@': 162}), 31: (1, {'@': 162}), 64: (1, {'@': 162})}, 216: {14: (1, {'@': 163}), 15: (0, 281), 16: (1, {'@': 163}), 1: (1, {'@': 163}), 33: (1, {'@': 163}), 60: (1, {'@': 163}), 17: (1, {'@': 163}), 4: (1, {'@': 163}), 0: (1, {'@': 163}), 18: (1, {'@': 163}), 19: (1, {'@': 163}), 20: (1, {'@': 163}), 74: (1, {'@': 163}), 70: (1, {'@': 163}), 21: (1, {'@': 163}), 69: (1, {'@': 163}), 22: (1, {'@': 163}), 65: (1, {'@': 163}), 23: (1, {'@': 163}), 5: (1, {'@': 163}), 25: (1, {'@': 163}), 59: (1, {'@': 163}), 66: (1, {'@': 163}), 62: (1, {'@': 163}), 26: (1, {'@': 163}), 75: (1, {'@': 163}), 67: (1, {'@': 163}), 76: (1, {'@': 163}), 68: (1, {'@': 163}), 71: (1, {'@': 163}), 27: (1, {'@': 163}), 61: (1, {'@': 163}), 28: (1, {'@': 163}), 63: (1, {'@': 163}), 77: (0, 115), 2: (1, {'@': 163}), 78: (1, {'@': 163}), 30: (1, {'@': 163}), 31: (1, {'@': 163}), 64: (1, {'@': 163}), 90: (0, 280), 83: (0, 282), 80: (0, 283)}, 217: {1: (1, {'@': 164}), 2: (1, {'@': 164}), 4: (1, {'@': 164}), 0: (1, {'@': 164}), 5: (1, {'@': 164}), 3: (1, {'@': 164})}, 218: {2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 284), 0: (0, 4)}, 219: {1: (1, {'@': 165}), 2: (1, {'@': 165}), 4: (1, {'@': 165}), 0: (1, {'@': 165}), 5: (1, {'@': 165}), 3: (1, {'@': 165})}, 220: {27: (0, 33), 34: (0, 285), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 8: (0, 286), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 221: {2: (0, 1), 8: (0, 287), 24: (0, 288), 0: (0, 4), 7: (0, 5), 4: (0, 9)}, 222: {59: (0, 83), 60: (0, 84), 61: (0, 85), 76: (0, 289), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 223: {27: (0, 33), 34: (0, 290), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 224: {5: (0, 291)}, 225: {24: (0, 292)}, 226: {27: (0, 33), 34: (0, 293), 15: (0, 35), 35: (0, 36), 5: (0, 37), 8: (0, 294), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 227: {27: (0, 33), 34: (0, 295), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 228: {14: (1, {'@': 166}), 15: (1, {'@': 166}), 16: (1, {'@': 166}), 1: (1, {'@': 166}), 33: (1, {'@': 166}), 60: (1, {'@': 166}), 17: (1, {'@': 166}), 4: (1, {'@': 166}), 0: (1, {'@': 166}), 18: (1, {'@': 166}), 19: (1, {'@': 166}), 20: (1, {'@': 166}), 74: (1, {'@': 166}), 70: (1, {'@': 166}), 21: (1, {'@': 166}), 69: (1, {'@': 166}), 22: (1, {'@': 166}), 65: (1, {'@': 166}), 23: (1, {'@': 166}), 5: (1, {'@': 166}), 25: (1, {'@': 166}), 59: (1, {'@': 166}), 66: (1, {'@': 166}), 62: (1, {'@': 166}), 26: (1, {'@': 166}), 75: (1, {'@': 166}), 67: (1, {'@': 166}), 76: (1, {'@': 166}), 68: (1, {'@': 166}), 71: (1, {'@': 166}), 27: (1, {'@': 166}), 61: (1, {'@': 166}), 28: (1, {'@': 166}), 63: (1, {'@': 166}), 77: (1, {'@': 166}), 2: (1, {'@': 166}), 78: (1, {'@': 166}), 30: (1, {'@': 166}), 31: (1, {'@': 166}), 64: (1, {'@': 166})}, 229: {27: (0, 33), 34: (0, 77), 15: (0, 35), 35: (0, 36), 5: (0, 79), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 58: (0, 232), 1: (0, 296), 23: (0, 68)}, 230: {14: (1, {'@': 167}), 15: (1, {'@': 167}), 16: (1, {'@': 167}), 1: (1, {'@': 167}), 33: (1, {'@': 167}), 60: (1, {'@': 167}), 17: (1, {'@': 167}), 4: (1, {'@': 167}), 0: (1, {'@': 167}), 18: (1, {'@': 167}), 19: (1, {'@': 167}), 20: (1, {'@': 167}), 74: (1, {'@': 167}), 70: (1, {'@': 167}), 21: (1, {'@': 167}), 69: (1, {'@': 167}), 22: (1, {'@': 167}), 65: (1, {'@': 167}), 23: (1, {'@': 167}), 5: (1, {'@': 167}), 25: (1, {'@': 167}), 59: (1, {'@': 167}), 66: (1, {'@': 167}), 62: (1, {'@': 167}), 26: (1, {'@': 167}), 75: (1, {'@': 167}), 67: (1, {'@': 167}), 76: (1, {'@': 167}), 68: (1, {'@': 167}), 71: (1, {'@': 167}), 27: (1, {'@': 167}), 61: (1, {'@': 167}), 28: (1, {'@': 167}), 63: (1, {'@': 167}), 77: (1, {'@': 167}), 2: (1, {'@': 167}), 78: (1, {'@': 167}), 30: (1, {'@': 167}), 31: (1, {'@': 167}), 64: (1, {'@': 167})}, 231: {59: (0, 83), 61: (0, 85), 19: (0, 199), 62: (0, 86), 63: (0, 87), 0: (0, 4), 75: (0, 297), 64: (0, 88), 7: (0, 5), 89: (0, 298), 65: (0, 89), 16: (0, 93), 8: (0, 299), 71: (0, 97), 72: (0, 98), 73: (0, 99), 1: (0, 300), 2: (0, 1), 60: (0, 84), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 232: {0: (1, {'@': 168}), 1: (1, {'@': 168}), 2: (1, {'@': 168}), 28: (1, {'@': 168}), 4: (1, {'@': 168})}, 233: {14: (1, {'@': 169}), 15: (1, {'@': 169}), 16: (1, {'@': 169}), 1: (1, {'@': 169}), 33: (1, {'@': 169}), 60: (1, {'@': 169}), 17: (1, {'@': 169}), 4: (1, {'@': 169}), 0: (1, {'@': 169}), 18: (1, {'@': 169}), 19: (1, {'@': 169}), 20: (1, {'@': 169}), 74: (1, {'@': 169}), 70: (1, {'@': 169}), 21: (1, {'@': 169}), 69: (1, {'@': 169}), 22: (1, {'@': 169}), 65: (1, {'@': 169}), 23: (1, {'@': 169}), 5: (1, {'@': 169}), 25: (1, {'@': 169}), 59: (1, {'@': 169}), 66: (1, {'@': 169}), 62: (1, {'@': 169}), 26: (1, {'@': 169}), 75: (1, {'@': 169}), 67: (1, {'@': 169}), 76: (1, {'@': 169}), 68: (1, {'@': 169}), 71: (1, {'@': 169}), 27: (1, {'@': 169}), 61: (1, {'@': 169}), 28: (1, {'@': 169}), 63: (1, {'@': 169}), 77: (1, {'@': 169}), 2: (1, {'@': 169}), 78: (1, {'@': 169}), 30: (1, {'@': 169}), 31: (1, {'@': 169}), 64: (1, {'@': 169})}, 234: {14: (1, {'@': 170}), 15: (1, {'@': 170}), 16: (0, 93), 1: (1, {'@': 170}), 33: (1, {'@': 170}), 60: (0, 84), 17: (1, {'@': 170}), 4: (1, {'@': 170}), 0: (1, {'@': 170}), 18: (1, {'@': 170}), 19: (1, {'@': 170}), 20: (1, {'@': 170}), 74: (1, {'@': 170}), 70: (0, 96), 21: (1, {'@': 170}), 69: (0, 94), 22: (1, {'@': 170}), 65: (0, 89), 23: (1, {'@': 170}), 5: (1, {'@': 170}), 25: (1, {'@': 170}), 59: (0, 83), 66: (0, 90), 62: (0, 86), 26: (1, {'@': 170}), 75: (1, {'@': 170}), 67: (0, 91), 76: (1, {'@': 170}), 68: (0, 92), 71: (0, 97), 27: (1, {'@': 170}), 61: (0, 85), 28: (1, {'@': 170}), 63: (0, 87), 2: (1, {'@': 170}), 30: (1, {'@': 170}), 31: (1, {'@': 170}), 64: (0, 88), 72: (0, 98), 73: (0, 99)}, 235: {14: (1, {'@': 171}), 22: (1, {'@': 171}), 2: (1, {'@': 171}), 75: (1, {'@': 171}), 4: (1, {'@': 171}), 0: (1, {'@': 171}), 28: (1, {'@': 171}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 236: {14: (1, {'@': 172}), 15: (1, {'@': 172}), 16: (1, {'@': 172}), 1: (1, {'@': 172}), 33: (1, {'@': 172}), 60: (1, {'@': 172}), 17: (1, {'@': 172}), 4: (1, {'@': 172}), 0: (1, {'@': 172}), 18: (1, {'@': 172}), 19: (1, {'@': 172}), 20: (1, {'@': 172}), 74: (1, {'@': 172}), 70: (1, {'@': 172}), 21: (1, {'@': 172}), 69: (1, {'@': 172}), 22: (1, {'@': 172}), 65: (1, {'@': 172}), 23: (1, {'@': 172}), 5: (1, {'@': 172}), 25: (1, {'@': 172}), 59: (1, {'@': 172}), 66: (1, {'@': 172}), 62: (1, {'@': 172}), 26: (1, {'@': 172}), 75: (1, {'@': 172}), 67: (1, {'@': 172}), 76: (1, {'@': 172}), 68: (1, {'@': 172}), 71: (1, {'@': 172}), 27: (1, {'@': 172}), 61: (1, {'@': 172}), 28: (1, {'@': 172}), 63: (1, {'@': 172}), 77: (1, {'@': 172}), 2: (1, {'@': 172}), 78: (1, {'@': 172}), 30: (1, {'@': 172}), 31: (1, {'@': 172}), 64: (1, {'@': 172})}, 237: {27: (0, 33), 34: (0, 301), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 22: (0, 302), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 238: {27: (0, 33), 34: (0, 303), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 8: (0, 304), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 22: (0, 305), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 239: {22: (0, 306)}, 240: {14: (1, {'@': 173}), 15: (1, {'@': 173}), 16: (1, {'@': 173}), 1: (1, {'@': 173}), 33: (1, {'@': 173}), 60: (1, {'@': 173}), 17: (1, {'@': 173}), 4: (1, {'@': 173}), 0: (1, {'@': 173}), 18: (1, {'@': 173}), 19: (1, {'@': 173}), 20: (1, {'@': 173}), 74: (1, {'@': 173}), 70: (1, {'@': 173}), 21: (1, {'@': 173}), 69: (1, {'@': 173}), 22: (1, {'@': 173}), 65: (1, {'@': 173}), 23: (1, {'@': 173}), 5: (1, {'@': 173}), 25: (1, {'@': 173}), 59: (1, {'@': 173}), 66: (1, {'@': 173}), 62: (1, {'@': 173}), 26: (1, {'@': 173}), 75: (1, {'@': 173}), 67: (1, {'@': 173}), 76: (1, {'@': 173}), 68: (1, {'@': 173}), 71: (1, {'@': 173}), 27: (1, {'@': 173}), 61: (1, {'@': 173}), 28: (1, {'@': 173}), 63: (1, {'@': 173}), 77: (1, {'@': 173}), 2: (1, {'@': 173}), 78: (1, {'@': 173}), 30: (1, {'@': 173}), 31: (1, {'@': 173}), 64: (1, {'@': 173})}, 241: {14: (1, {'@': 174}), 22: (1, {'@': 174}), 2: (1, {'@': 174}), 75: (1, {'@': 174}), 4: (1, {'@': 174}), 0: (1, {'@': 174}), 28: (1, {'@': 174}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 242: {14: (1, {'@': 175}), 15: (1, {'@': 175}), 16: (1, {'@': 175}), 1: (1, {'@': 175}), 33: (1, {'@': 175}), 60: (1, {'@': 175}), 17: (1, {'@': 175}), 4: (1, {'@': 175}), 0: (1, {'@': 175}), 18: (1, {'@': 175}), 19: (1, {'@': 175}), 20: (1, {'@': 175}), 74: (1, {'@': 175}), 70: (1, {'@': 175}), 21: (1, {'@': 175}), 69: (1, {'@': 175}), 22: (1, {'@': 175}), 65: (1, {'@': 175}), 23: (1, {'@': 175}), 5: (1, {'@': 175}), 25: (1, {'@': 175}), 59: (1, {'@': 175}), 66: (1, {'@': 175}), 62: (1, {'@': 175}), 26: (1, {'@': 175}), 75: (1, {'@': 175}), 67: (1, {'@': 175}), 76: (1, {'@': 175}), 68: (1, {'@': 175}), 71: (1, {'@': 175}), 27: (1, {'@': 175}), 61: (1, {'@': 175}), 28: (1, {'@': 175}), 63: (1, {'@': 175}), 77: (1, {'@': 175}), 2: (1, {'@': 175}), 78: (1, {'@': 175}), 30: (1, {'@': 175}), 31: (1, {'@': 175}), 64: (1, {'@': 175})}, 243: {14: (1, {'@': 176}), 22: (1, {'@': 176}), 2: (1, {'@': 176}), 75: (1, {'@': 176}), 4: (1, {'@': 176}), 0: (1, {'@': 176}), 28: (1, {'@': 176}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 244: {14: (1, {'@': 177}), 15: (1, {'@': 177}), 16: (1, {'@': 177}), 1: (1, {'@': 177}), 33: (1, {'@': 177}), 60: (1, {'@': 177}), 17: (1, {'@': 177}), 4: (1, {'@': 177}), 0: (1, {'@': 177}), 18: (1, {'@': 177}), 19: (1, {'@': 177}), 20: (1, {'@': 177}), 74: (1, {'@': 177}), 70: (1, {'@': 177}), 21: (1, {'@': 177}), 69: (1, {'@': 177}), 22: (1, {'@': 177}), 65: (1, {'@': 177}), 23: (1, {'@': 177}), 5: (1, {'@': 177}), 25: (1, {'@': 177}), 59: (1, {'@': 177}), 66: (1, {'@': 177}), 62: (1, {'@': 177}), 26: (1, {'@': 177}), 75: (1, {'@': 177}), 67: (1, {'@': 177}), 76: (1, {'@': 177}), 68: (1, {'@': 177}), 71: (1, {'@': 177}), 27: (1, {'@': 177}), 61: (1, {'@': 177}), 28: (1, {'@': 177}), 63: (1, {'@': 177}), 77: (1, {'@': 177}), 2: (1, {'@': 177}), 78: (1, {'@': 177}), 30: (1, {'@': 177}), 31: (1, {'@': 177}), 64: (1, {'@': 177})}, 245: {27: (0, 33), 34: (0, 307), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 22: (0, 308), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 246: {14: (1, {'@': 178}), 15: (1, {'@': 178}), 16: (1, {'@': 178}), 1: (1, {'@': 178}), 33: (1, {'@': 178}), 60: (1, {'@': 178}), 17: (1, {'@': 178}), 4: (1, {'@': 178}), 0: (1, {'@': 178}), 18: (1, {'@': 178}), 19: (1, {'@': 178}), 20: (1, {'@': 178}), 74: (1, {'@': 178}), 70: (1, {'@': 178}), 21: (1, {'@': 178}), 69: (1, {'@': 178}), 22: (1, {'@': 178}), 65: (1, {'@': 178}), 23: (1, {'@': 178}), 5: (1, {'@': 178}), 25: (1, {'@': 178}), 59: (1, {'@': 178}), 66: (1, {'@': 178}), 62: (1, {'@': 178}), 26: (1, {'@': 178}), 75: (1, {'@': 178}), 67: (1, {'@': 178}), 76: (1, {'@': 178}), 68: (1, {'@': 178}), 71: (1, {'@': 178}), 27: (1, {'@': 178}), 61: (1, {'@': 178}), 28: (1, {'@': 178}), 63: (1, {'@': 178}), 77: (1, {'@': 178}), 2: (1, {'@': 178}), 78: (1, {'@': 178}), 30: (1, {'@': 178}), 31: (1, {'@': 178}), 64: (1, {'@': 178})}, 247: {27: (0, 33), 34: (0, 243), 15: (0, 35), 22: (0, 309), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 8: (0, 310), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 248: {22: (0, 311)}, 249: {14: (1, {'@': 179}), 15: (1, {'@': 179}), 16: (1, {'@': 179}), 1: (1, {'@': 179}), 33: (1, {'@': 179}), 60: (1, {'@': 179}), 17: (1, {'@': 179}), 4: (1, {'@': 179}), 0: (1, {'@': 179}), 18: (1, {'@': 179}), 19: (1, {'@': 179}), 20: (1, {'@': 179}), 74: (1, {'@': 179}), 70: (1, {'@': 179}), 21: (1, {'@': 179}), 69: (1, {'@': 179}), 22: (1, {'@': 179}), 65: (1, {'@': 179}), 23: (1, {'@': 179}), 5: (1, {'@': 179}), 25: (1, {'@': 179}), 59: (1, {'@': 179}), 66: (1, {'@': 179}), 62: (1, {'@': 179}), 26: (1, {'@': 179}), 75: (1, {'@': 179}), 67: (1, {'@': 179}), 76: (1, {'@': 179}), 68: (1, {'@': 179}), 71: (1, {'@': 179}), 27: (1, {'@': 179}), 61: (1, {'@': 179}), 28: (1, {'@': 179}), 63: (1, {'@': 179}), 77: (1, {'@': 179}), 2: (1, {'@': 179}), 78: (1, {'@': 179}), 30: (1, {'@': 179}), 31: (1, {'@': 179}), 64: (1, {'@': 179})}, 250: {2: (0, 1), 4: (0, 9), 28: (0, 312), 7: (0, 5), 22: (0, 313), 0: (0, 4), 8: (0, 314)}, 251: {27: (0, 33), 34: (0, 235), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 8: (0, 315), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 22: (0, 316), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 252: {14: (1, {'@': 180}), 15: (1, {'@': 180}), 16: (1, {'@': 180}), 1: (1, {'@': 180}), 33: (1, {'@': 180}), 60: (1, {'@': 180}), 17: (1, {'@': 180}), 4: (1, {'@': 180}), 0: (1, {'@': 180}), 18: (1, {'@': 180}), 19: (1, {'@': 180}), 20: (1, {'@': 180}), 74: (1, {'@': 180}), 70: (1, {'@': 180}), 21: (1, {'@': 180}), 69: (1, {'@': 180}), 22: (1, {'@': 180}), 65: (1, {'@': 180}), 23: (1, {'@': 180}), 5: (1, {'@': 180}), 25: (1, {'@': 180}), 59: (1, {'@': 180}), 66: (1, {'@': 180}), 62: (1, {'@': 180}), 26: (1, {'@': 180}), 75: (1, {'@': 180}), 67: (1, {'@': 180}), 76: (1, {'@': 180}), 68: (1, {'@': 180}), 71: (1, {'@': 180}), 27: (1, {'@': 180}), 61: (1, {'@': 180}), 28: (1, {'@': 180}), 63: (1, {'@': 180}), 77: (1, {'@': 180}), 2: (1, {'@': 180}), 78: (1, {'@': 180}), 30: (1, {'@': 180}), 31: (1, {'@': 180}), 64: (1, {'@': 180})}, 253: {27: (0, 33), 34: (0, 241), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 22: (0, 317), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 254: {14: (1, {'@': 181}), 15: (1, {'@': 181}), 16: (1, {'@': 181}), 1: (1, {'@': 181}), 33: (1, {'@': 181}), 60: (1, {'@': 181}), 17: (1, {'@': 181}), 4: (1, {'@': 181}), 0: (1, {'@': 181}), 18: (1, {'@': 181}), 19: (1, {'@': 181}), 20: (1, {'@': 181}), 74: (1, {'@': 181}), 70: (1, {'@': 181}), 21: (1, {'@': 181}), 69: (1, {'@': 181}), 22: (1, {'@': 181}), 65: (1, {'@': 181}), 23: (1, {'@': 181}), 5: (1, {'@': 181}), 25: (1, {'@': 181}), 59: (1, {'@': 181}), 66: (1, {'@': 181}), 62: (1, {'@': 181}), 26: (1, {'@': 181}), 75: (1, {'@': 181}), 67: (1, {'@': 181}), 76: (1, {'@': 181}), 68: (1, {'@': 181}), 71: (1, {'@': 181}), 27: (1, {'@': 181}), 61: (1, {'@': 181}), 28: (1, {'@': 181}), 63: (1, {'@': 181}), 77: (1, {'@': 181}), 2: (1, {'@': 181}), 78: (1, {'@': 181}), 30: (1, {'@': 181}), 31: (1, {'@': 181}), 64: (1, {'@': 181})}, 255: {2: (0, 1), 4: (0, 9), 7: (0, 5), 22: (0, 318), 0: (0, 4), 8: (0, 319)}, 256: {2: (0, 1), 4: (0, 9), 89: (0, 320), 7: (0, 5), 19: (0, 199), 22: (0, 321), 0: (0, 4), 8: (0, 322)}, 257: {14: (1, {'@': 182}), 15: (1, {'@': 182}), 16: (1, {'@': 182}), 1: (1, {'@': 182}), 33: (1, {'@': 182}), 60: (1, {'@': 182}), 17: (1, {'@': 182}), 4: (1, {'@': 182}), 0: (1, {'@': 182}), 18: (1, {'@': 182}), 19: (1, {'@': 182}), 20: (1, {'@': 182}), 74: (1, {'@': 182}), 70: (1, {'@': 182}), 21: (1, {'@': 182}), 69: (1, {'@': 182}), 22: (1, {'@': 182}), 65: (1, {'@': 182}), 23: (1, {'@': 182}), 5: (1, {'@': 182}), 25: (1, {'@': 182}), 59: (1, {'@': 182}), 66: (1, {'@': 182}), 62: (1, {'@': 182}), 26: (1, {'@': 182}), 75: (1, {'@': 182}), 67: (1, {'@': 182}), 76: (1, {'@': 182}), 68: (1, {'@': 182}), 71: (1, {'@': 182}), 27: (1, {'@': 182}), 61: (1, {'@': 182}), 28: (1, {'@': 182}), 63: (1, {'@': 182}), 77: (1, {'@': 182}), 2: (1, {'@': 182}), 78: (1, {'@': 182}), 30: (1, {'@': 182}), 31: (1, {'@': 182}), 64: (1, {'@': 182})}, 258: {59: (0, 83), 8: (0, 323), 61: (0, 85), 19: (0, 199), 62: (0, 86), 63: (0, 87), 0: (0, 4), 64: (0, 88), 7: (0, 5), 65: (0, 89), 16: (0, 93), 71: (0, 97), 72: (0, 98), 73: (0, 99), 2: (0, 1), 60: (0, 84), 89: (0, 324), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 22: (0, 325), 70: (0, 96)}, 259: {0: (1, {'@': 183}), 22: (1, {'@': 183}), 2: (1, {'@': 183}), 1: (1, {'@': 183}), 4: (1, {'@': 183}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 260: {27: (0, 33), 34: (0, 326), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 261: {7: (0, 5), 2: (0, 1), 4: (0, 9), 8: (0, 327), 0: (0, 4), 22: (0, 328)}, 262: {14: (1, {'@': 184}), 15: (1, {'@': 184}), 16: (1, {'@': 184}), 1: (1, {'@': 184}), 33: (1, {'@': 184}), 60: (1, {'@': 184}), 17: (1, {'@': 184}), 4: (1, {'@': 184}), 0: (1, {'@': 184}), 18: (1, {'@': 184}), 19: (1, {'@': 184}), 20: (1, {'@': 184}), 74: (1, {'@': 184}), 70: (1, {'@': 184}), 21: (1, {'@': 184}), 69: (1, {'@': 184}), 22: (1, {'@': 184}), 65: (1, {'@': 184}), 23: (1, {'@': 184}), 5: (1, {'@': 184}), 25: (1, {'@': 184}), 59: (1, {'@': 184}), 66: (1, {'@': 184}), 62: (1, {'@': 184}), 26: (1, {'@': 184}), 75: (1, {'@': 184}), 67: (1, {'@': 184}), 76: (1, {'@': 184}), 68: (1, {'@': 184}), 71: (1, {'@': 184}), 27: (1, {'@': 184}), 61: (1, {'@': 184}), 28: (1, {'@': 184}), 63: (1, {'@': 184}), 77: (1, {'@': 184}), 2: (1, {'@': 184}), 78: (1, {'@': 184}), 30: (1, {'@': 184}), 31: (1, {'@': 184}), 64: (1, {'@': 184})}, 263: {22: (0, 329)}, 264: {14: (1, {'@': 185}), 15: (1, {'@': 185}), 16: (1, {'@': 185}), 1: (1, {'@': 185}), 33: (1, {'@': 185}), 60: (1, {'@': 185}), 17: (1, {'@': 185}), 4: (1, {'@': 185}), 0: (1, {'@': 185}), 18: (1, {'@': 185}), 19: (1, {'@': 185}), 20: (1, {'@': 185}), 74: (1, {'@': 185}), 70: (1, {'@': 185}), 21: (1, {'@': 185}), 69: (1, {'@': 185}), 22: (1, {'@': 185}), 65: (1, {'@': 185}), 23: (1, {'@': 185}), 5: (1, {'@': 185}), 25: (1, {'@': 185}), 59: (1, {'@': 185}), 66: (1, {'@': 185}), 62: (1, {'@': 185}), 26: (1, {'@': 185}), 75: (1, {'@': 185}), 67: (1, {'@': 185}), 76: (1, {'@': 185}), 68: (1, {'@': 185}), 71: (1, {'@': 185}), 27: (1, {'@': 185}), 61: (1, {'@': 185}), 28: (1, {'@': 185}), 63: (1, {'@': 185}), 77: (1, {'@': 185}), 2: (1, {'@': 185}), 78: (1, {'@': 185}), 30: (1, {'@': 185}), 31: (1, {'@': 185}), 64: (1, {'@': 185})}, 265: {22: (0, 330)}, 266: {14: (1, {'@': 186}), 15: (1, {'@': 186}), 16: (1, {'@': 186}), 1: (1, {'@': 186}), 33: (1, {'@': 186}), 60: (1, {'@': 186}), 17: (1, {'@': 186}), 4: (1, {'@': 186}), 0: (1, {'@': 186}), 18: (1, {'@': 186}), 19: (1, {'@': 186}), 20: (1, {'@': 186}), 74: (1, {'@': 186}), 70: (1, {'@': 186}), 21: (1, {'@': 186}), 69: (1, {'@': 186}), 22: (1, {'@': 186}), 65: (1, {'@': 186}), 23: (1, {'@': 186}), 5: (1, {'@': 186}), 25: (1, {'@': 186}), 59: (1, {'@': 186}), 66: (1, {'@': 186}), 62: (1, {'@': 186}), 26: (1, {'@': 186}), 75: (1, {'@': 186}), 67: (1, {'@': 186}), 76: (1, {'@': 186}), 68: (1, {'@': 186}), 71: (1, {'@': 186}), 27: (1, {'@': 186}), 61: (1, {'@': 186}), 28: (1, {'@': 186}), 63: (1, {'@': 186}), 77: (1, {'@': 186}), 2: (1, {'@': 186}), 78: (1, {'@': 186}), 30: (1, {'@': 186}), 31: (1, {'@': 186}), 64: (1, {'@': 186})}, 267: {2: (0, 1), 4: (0, 9), 89: (0, 331), 7: (0, 5), 19: (0, 199), 22: (0, 332), 0: (0, 4), 8: (0, 333)}, 268: {2: (0, 1), 4: (0, 9), 7: (0, 5), 22: (0, 334), 0: (0, 4), 8: (0, 335)}, 269: {14: (1, {'@': 187}), 15: (1, {'@': 187}), 16: (1, {'@': 187}), 1: (1, {'@': 187}), 33: (1, {'@': 187}), 60: (1, {'@': 187}), 17: (0, 105), 4: (1, {'@': 187}), 0: (1, {'@': 187}), 18: (1, {'@': 187}), 19: (1, {'@': 187}), 20: (1, {'@': 187}), 74: (1, {'@': 187}), 70: (1, {'@': 187}), 21: (1, {'@': 187}), 69: (1, {'@': 187}), 22: (1, {'@': 187}), 65: (1, {'@': 187}), 23: (1, {'@': 187}), 5: (1, {'@': 187}), 25: (1, {'@': 187}), 59: (1, {'@': 187}), 66: (1, {'@': 187}), 62: (1, {'@': 187}), 26: (1, {'@': 187}), 75: (1, {'@': 187}), 67: (1, {'@': 187}), 76: (1, {'@': 187}), 68: (1, {'@': 187}), 71: (1, {'@': 187}), 27: (1, {'@': 187}), 61: (1, {'@': 187}), 28: (1, {'@': 187}), 63: (1, {'@': 187}), 77: (1, {'@': 187}), 2: (1, {'@': 187}), 78: (1, {'@': 187}), 30: (1, {'@': 187}), 31: (1, {'@': 187}), 64: (1, {'@': 187})}, 270: {0: (1, {'@': 188}), 14: (1, {'@': 188}), 2: (1, {'@': 188}), 4: (1, {'@': 188}), 28: (0, 336)}, 271: {0: (0, 4), 14: (1, {'@': 189}), 2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 337)}, 272: {0: (0, 4), 14: (1, {'@': 190}), 2: (0, 1), 4: (0, 9), 27: (0, 33), 34: (0, 235), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 8: (0, 338), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 273: {0: (1, {'@': 191}), 14: (1, {'@': 191}), 2: (1, {'@': 191}), 4: (1, {'@': 191}), 27: (0, 33), 34: (0, 241), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 274: {27: (0, 33), 34: (0, 243), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 8: (0, 339), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 275: {0: (1, {'@': 192}), 14: (1, {'@': 192}), 2: (1, {'@': 192}), 4: (1, {'@': 192})}, 276: {14: (1, {'@': 193}), 15: (1, {'@': 193}), 16: (1, {'@': 193}), 1: (1, {'@': 193}), 33: (1, {'@': 193}), 60: (1, {'@': 193}), 17: (1, {'@': 193}), 4: (1, {'@': 193}), 0: (1, {'@': 193}), 18: (1, {'@': 193}), 19: (1, {'@': 193}), 20: (1, {'@': 193}), 74: (1, {'@': 193}), 70: (1, {'@': 193}), 21: (1, {'@': 193}), 69: (1, {'@': 193}), 22: (1, {'@': 193}), 65: (1, {'@': 193}), 23: (1, {'@': 193}), 5: (1, {'@': 193}), 25: (1, {'@': 193}), 59: (1, {'@': 193}), 66: (1, {'@': 193}), 62: (1, {'@': 193}), 26: (1, {'@': 193}), 75: (1, {'@': 193}), 67: (1, {'@': 193}), 76: (1, {'@': 193}), 68: (1, {'@': 193}), 71: (1, {'@': 193}), 27: (1, {'@': 193}), 61: (1, {'@': 193}), 28: (1, {'@': 193}), 63: (1, {'@': 193}), 77: (1, {'@': 193}), 2: (1, {'@': 193}), 78: (1, {'@': 193}), 30: (1, {'@': 193}), 31: (1, {'@': 193}), 64: (1, {'@': 193})}, 277: {14: (1, {'@': 194}), 15: (1, {'@': 194}), 16: (1, {'@': 194}), 1: (1, {'@': 194}), 33: (1, {'@': 194}), 60: (1, {'@': 194}), 17: (1, {'@': 194}), 4: (1, {'@': 194}), 0: (1, {'@': 194}), 18: (1, {'@': 194}), 19: (1, {'@': 194}), 20: (1, {'@': 194}), 74: (1, {'@': 194}), 70: (1, {'@': 194}), 21: (1, {'@': 194}), 69: (1, {'@': 194}), 22: (1, {'@': 194}), 65: (1, {'@': 194}), 23: (1, {'@': 194}), 5: (1, {'@': 194}), 25: (1, {'@': 194}), 59: (1, {'@': 194}), 66: (1, {'@': 194}), 62: (1, {'@': 194}), 26: (1, {'@': 194}), 75: (1, {'@': 194}), 67: (1, {'@': 194}), 76: (1, {'@': 194}), 68: (1, {'@': 194}), 71: (1, {'@': 194}), 27: (1, {'@': 194}), 61: (1, {'@': 194}), 28: (1, {'@': 194}), 63: (1, {'@': 194}), 77: (1, {'@': 194}), 2: (1, {'@': 194}), 78: (1, {'@': 194}), 30: (1, {'@': 194}), 31: (1, {'@': 194}), 64: (1, {'@': 194})}, 278: {14: (0, 340)}, 279: {14: (1, {'@': 195}), 15: (1, {'@': 195}), 16: (1, {'@': 195}), 1: (1, {'@': 195}), 33: (1, {'@': 195}), 60: (1, {'@': 195}), 17: (1, {'@': 195}), 4: (1, {'@': 195}), 0: (1, {'@': 195}), 18: (1, {'@': 195}), 19: (1, {'@': 195}), 20: (1, {'@': 195}), 74: (1, {'@': 195}), 70: (1, {'@': 195}), 21: (1, {'@': 195}), 69: (1, {'@': 195}), 22: (1, {'@': 195}), 65: (1, {'@': 195}), 23: (1, {'@': 195}), 5: (1, {'@': 195}), 25: (1, {'@': 195}), 59: (1, {'@': 195}), 66: (1, {'@': 195}), 62: (1, {'@': 195}), 26: (1, {'@': 195}), 75: (1, {'@': 195}), 67: (1, {'@': 195}), 76: (1, {'@': 195}), 68: (1, {'@': 195}), 71: (1, {'@': 195}), 27: (1, {'@': 195}), 61: (1, {'@': 195}), 28: (1, {'@': 195}), 63: (1, {'@': 195}), 77: (1, {'@': 195}), 2: (1, {'@': 195}), 78: (1, {'@': 195}), 30: (1, {'@': 195}), 31: (1, {'@': 195}), 64: (1, {'@': 195})}, 280: {14: (1, {'@': 196}), 15: (0, 281), 16: (1, {'@': 196}), 1: (1, {'@': 196}), 33: (1, {'@': 196}), 60: (1, {'@': 196}), 17: (1, {'@': 196}), 4: (1, {'@': 196}), 0: (1, {'@': 196}), 18: (1, {'@': 196}), 19: (1, {'@': 196}), 20: (1, {'@': 196}), 74: (1, {'@': 196}), 70: (1, {'@': 196}), 21: (1, {'@': 196}), 69: (1, {'@': 196}), 22: (1, {'@': 196}), 65: (1, {'@': 196}), 23: (1, {'@': 196}), 5: (1, {'@': 196}), 25: (1, {'@': 196}), 59: (1, {'@': 196}), 66: (1, {'@': 196}), 62: (1, {'@': 196}), 26: (1, {'@': 196}), 75: (1, {'@': 196}), 67: (1, {'@': 196}), 76: (1, {'@': 196}), 68: (1, {'@': 196}), 71: (1, {'@': 196}), 27: (1, {'@': 196}), 61: (1, {'@': 196}), 28: (1, {'@': 196}), 63: (1, {'@': 196}), 77: (0, 115), 2: (1, {'@': 196}), 78: (1, {'@': 196}), 30: (1, {'@': 196}), 31: (1, {'@': 196}), 64: (1, {'@': 196}), 80: (0, 341), 83: (0, 342)}, 281: {27: (0, 33), 34: (0, 159), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 282: {14: (1, {'@': 197}), 15: (1, {'@': 197}), 16: (1, {'@': 197}), 1: (1, {'@': 197}), 33: (1, {'@': 197}), 60: (1, {'@': 197}), 17: (1, {'@': 197}), 4: (1, {'@': 197}), 0: (1, {'@': 197}), 18: (1, {'@': 197}), 19: (1, {'@': 197}), 20: (1, {'@': 197}), 74: (1, {'@': 197}), 70: (1, {'@': 197}), 21: (1, {'@': 197}), 69: (1, {'@': 197}), 22: (1, {'@': 197}), 65: (1, {'@': 197}), 23: (1, {'@': 197}), 5: (1, {'@': 197}), 25: (1, {'@': 197}), 59: (1, {'@': 197}), 66: (1, {'@': 197}), 62: (1, {'@': 197}), 26: (1, {'@': 197}), 75: (1, {'@': 197}), 67: (1, {'@': 197}), 76: (1, {'@': 197}), 68: (1, {'@': 197}), 71: (1, {'@': 197}), 27: (1, {'@': 197}), 61: (1, {'@': 197}), 28: (1, {'@': 197}), 63: (1, {'@': 197}), 77: (1, {'@': 197}), 2: (1, {'@': 197}), 78: (1, {'@': 197}), 30: (1, {'@': 197}), 31: (1, {'@': 197}), 64: (1, {'@': 197})}, 283: {14: (1, {'@': 198}), 15: (1, {'@': 198}), 16: (1, {'@': 198}), 1: (1, {'@': 198}), 33: (1, {'@': 198}), 60: (1, {'@': 198}), 17: (1, {'@': 198}), 4: (1, {'@': 198}), 0: (1, {'@': 198}), 18: (1, {'@': 198}), 19: (1, {'@': 198}), 20: (1, {'@': 198}), 74: (1, {'@': 198}), 70: (1, {'@': 198}), 21: (1, {'@': 198}), 69: (1, {'@': 198}), 22: (1, {'@': 198}), 65: (1, {'@': 198}), 23: (1, {'@': 198}), 5: (1, {'@': 198}), 25: (1, {'@': 198}), 59: (1, {'@': 198}), 66: (1, {'@': 198}), 62: (1, {'@': 198}), 26: (1, {'@': 198}), 75: (1, {'@': 198}), 67: (1, {'@': 198}), 76: (1, {'@': 198}), 68: (1, {'@': 198}), 71: (1, {'@': 198}), 27: (1, {'@': 198}), 61: (1, {'@': 198}), 28: (1, {'@': 198}), 63: (1, {'@': 198}), 77: (1, {'@': 198}), 2: (1, {'@': 198}), 78: (1, {'@': 198}), 30: (1, {'@': 198}), 31: (1, {'@': 198}), 64: (1, {'@': 198})}, 284: {1: (1, {'@': 199}), 2: (1, {'@': 199}), 4: (1, {'@': 199}), 0: (1, {'@': 199}), 5: (1, {'@': 199}), 3: (1, {'@': 199})}, 285: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 76: (0, 343), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 286: {27: (0, 33), 34: (0, 344), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 287: {2: (0, 1), 24: (0, 345), 4: (0, 9), 8: (0, 346), 7: (0, 5), 0: (0, 4)}, 288: {27: (0, 33), 34: (0, 347), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 8: (0, 348), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 289: {15: (1, {'@': 200}), 16: (1, {'@': 200}), 26: (1, {'@': 200}), 17: (1, {'@': 200}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 200}), 20: (1, {'@': 200}), 27: (1, {'@': 200}), 21: (1, {'@': 200}), 2: (0, 1), 23: (1, {'@': 200}), 30: (1, {'@': 200}), 5: (1, {'@': 200}), 31: (1, {'@': 200}), 25: (1, {'@': 200}), 7: (0, 5), 8: (0, 349)}, 290: {59: (0, 83), 60: (0, 84), 61: (0, 85), 76: (0, 350), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 291: {8: (0, 351), 2: (0, 1), 24: (0, 352), 0: (0, 4), 7: (0, 5), 4: (0, 9)}, 292: {27: (0, 33), 34: (0, 353), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 8: (0, 354), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 293: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 76: (0, 355), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 294: {27: (0, 33), 34: (0, 356), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 295: {59: (0, 83), 61: (0, 85), 19: (0, 199), 62: (0, 86), 63: (0, 87), 0: (0, 4), 64: (0, 88), 7: (0, 5), 8: (0, 357), 65: (0, 89), 16: (0, 93), 75: (0, 358), 89: (0, 359), 71: (0, 97), 1: (0, 360), 72: (0, 98), 73: (0, 99), 2: (0, 1), 60: (0, 84), 66: (0, 90), 67: (0, 91), 4: (0, 9), 68: (0, 92), 69: (0, 94), 70: (0, 96)}, 296: {14: (1, {'@': 201}), 15: (1, {'@': 201}), 16: (1, {'@': 201}), 1: (1, {'@': 201}), 33: (1, {'@': 201}), 60: (1, {'@': 201}), 17: (1, {'@': 201}), 4: (1, {'@': 201}), 0: (1, {'@': 201}), 18: (1, {'@': 201}), 19: (1, {'@': 201}), 20: (1, {'@': 201}), 74: (1, {'@': 201}), 70: (1, {'@': 201}), 21: (1, {'@': 201}), 69: (1, {'@': 201}), 22: (1, {'@': 201}), 65: (1, {'@': 201}), 23: (1, {'@': 201}), 5: (1, {'@': 201}), 25: (1, {'@': 201}), 59: (1, {'@': 201}), 66: (1, {'@': 201}), 62: (1, {'@': 201}), 26: (1, {'@': 201}), 75: (1, {'@': 201}), 67: (1, {'@': 201}), 76: (1, {'@': 201}), 68: (1, {'@': 201}), 71: (1, {'@': 201}), 27: (1, {'@': 201}), 61: (1, {'@': 201}), 28: (1, {'@': 201}), 63: (1, {'@': 201}), 77: (1, {'@': 201}), 2: (1, {'@': 201}), 78: (1, {'@': 201}), 30: (1, {'@': 201}), 31: (1, {'@': 201}), 64: (1, {'@': 201})}, 297: {2: (0, 1), 89: (0, 361), 8: (0, 362), 19: (0, 199), 0: (0, 4), 7: (0, 5), 4: (0, 9), 1: (0, 363)}, 298: {2: (0, 1), 4: (0, 9), 7: (0, 5), 1: (0, 364), 0: (0, 4), 8: (0, 365)}, 299: {2: (0, 1), 89: (0, 366), 4: (0, 9), 7: (0, 5), 19: (0, 199), 1: (0, 367), 0: (0, 4), 8: (0, 368)}, 300: {14: (1, {'@': 202}), 15: (1, {'@': 202}), 16: (1, {'@': 202}), 1: (1, {'@': 202}), 33: (1, {'@': 202}), 60: (1, {'@': 202}), 17: (1, {'@': 202}), 4: (1, {'@': 202}), 0: (1, {'@': 202}), 18: (1, {'@': 202}), 19: (1, {'@': 202}), 20: (1, {'@': 202}), 74: (1, {'@': 202}), 70: (1, {'@': 202}), 21: (1, {'@': 202}), 69: (1, {'@': 202}), 22: (1, {'@': 202}), 65: (1, {'@': 202}), 23: (1, {'@': 202}), 5: (1, {'@': 202}), 25: (1, {'@': 202}), 59: (1, {'@': 202}), 66: (1, {'@': 202}), 62: (1, {'@': 202}), 26: (1, {'@': 202}), 75: (1, {'@': 202}), 67: (1, {'@': 202}), 76: (1, {'@': 202}), 68: (1, {'@': 202}), 71: (1, {'@': 202}), 27: (1, {'@': 202}), 61: (1, {'@': 202}), 28: (1, {'@': 202}), 63: (1, {'@': 202}), 77: (1, {'@': 202}), 2: (1, {'@': 202}), 78: (1, {'@': 202}), 30: (1, {'@': 202}), 31: (1, {'@': 202}), 64: (1, {'@': 202})}, 301: {14: (1, {'@': 203}), 22: (1, {'@': 203}), 2: (1, {'@': 203}), 75: (1, {'@': 203}), 4: (1, {'@': 203}), 0: (1, {'@': 203}), 28: (1, {'@': 203}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 302: {14: (1, {'@': 204}), 15: (1, {'@': 204}), 16: (1, {'@': 204}), 1: (1, {'@': 204}), 33: (1, {'@': 204}), 60: (1, {'@': 204}), 17: (1, {'@': 204}), 4: (1, {'@': 204}), 0: (1, {'@': 204}), 18: (1, {'@': 204}), 19: (1, {'@': 204}), 20: (1, {'@': 204}), 74: (1, {'@': 204}), 70: (1, {'@': 204}), 21: (1, {'@': 204}), 69: (1, {'@': 204}), 22: (1, {'@': 204}), 65: (1, {'@': 204}), 23: (1, {'@': 204}), 5: (1, {'@': 204}), 25: (1, {'@': 204}), 59: (1, {'@': 204}), 66: (1, {'@': 204}), 62: (1, {'@': 204}), 26: (1, {'@': 204}), 75: (1, {'@': 204}), 67: (1, {'@': 204}), 76: (1, {'@': 204}), 68: (1, {'@': 204}), 71: (1, {'@': 204}), 27: (1, {'@': 204}), 61: (1, {'@': 204}), 28: (1, {'@': 204}), 63: (1, {'@': 204}), 77: (1, {'@': 204}), 2: (1, {'@': 204}), 78: (1, {'@': 204}), 30: (1, {'@': 204}), 31: (1, {'@': 204}), 64: (1, {'@': 204})}, 303: {14: (1, {'@': 205}), 22: (1, {'@': 205}), 2: (1, {'@': 205}), 75: (1, {'@': 205}), 4: (1, {'@': 205}), 0: (1, {'@': 205}), 28: (1, {'@': 205}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 304: {27: (0, 33), 34: (0, 369), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 22: (0, 370), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 305: {14: (1, {'@': 206}), 15: (1, {'@': 206}), 16: (1, {'@': 206}), 1: (1, {'@': 206}), 33: (1, {'@': 206}), 60: (1, {'@': 206}), 17: (1, {'@': 206}), 4: (1, {'@': 206}), 0: (1, {'@': 206}), 18: (1, {'@': 206}), 19: (1, {'@': 206}), 20: (1, {'@': 206}), 74: (1, {'@': 206}), 70: (1, {'@': 206}), 21: (1, {'@': 206}), 69: (1, {'@': 206}), 22: (1, {'@': 206}), 65: (1, {'@': 206}), 23: (1, {'@': 206}), 5: (1, {'@': 206}), 25: (1, {'@': 206}), 59: (1, {'@': 206}), 66: (1, {'@': 206}), 62: (1, {'@': 206}), 26: (1, {'@': 206}), 75: (1, {'@': 206}), 67: (1, {'@': 206}), 76: (1, {'@': 206}), 68: (1, {'@': 206}), 71: (1, {'@': 206}), 27: (1, {'@': 206}), 61: (1, {'@': 206}), 28: (1, {'@': 206}), 63: (1, {'@': 206}), 77: (1, {'@': 206}), 2: (1, {'@': 206}), 78: (1, {'@': 206}), 30: (1, {'@': 206}), 31: (1, {'@': 206}), 64: (1, {'@': 206})}, 306: {14: (1, {'@': 207}), 15: (1, {'@': 207}), 16: (1, {'@': 207}), 1: (1, {'@': 207}), 33: (1, {'@': 207}), 60: (1, {'@': 207}), 17: (1, {'@': 207}), 4: (1, {'@': 207}), 0: (1, {'@': 207}), 18: (1, {'@': 207}), 19: (1, {'@': 207}), 20: (1, {'@': 207}), 74: (1, {'@': 207}), 70: (1, {'@': 207}), 21: (1, {'@': 207}), 69: (1, {'@': 207}), 22: (1, {'@': 207}), 65: (1, {'@': 207}), 23: (1, {'@': 207}), 5: (1, {'@': 207}), 25: (1, {'@': 207}), 59: (1, {'@': 207}), 66: (1, {'@': 207}), 62: (1, {'@': 207}), 26: (1, {'@': 207}), 75: (1, {'@': 207}), 67: (1, {'@': 207}), 76: (1, {'@': 207}), 68: (1, {'@': 207}), 71: (1, {'@': 207}), 27: (1, {'@': 207}), 61: (1, {'@': 207}), 28: (1, {'@': 207}), 63: (1, {'@': 207}), 77: (1, {'@': 207}), 2: (1, {'@': 207}), 78: (1, {'@': 207}), 30: (1, {'@': 207}), 31: (1, {'@': 207}), 64: (1, {'@': 207})}, 307: {14: (1, {'@': 208}), 22: (1, {'@': 208}), 2: (1, {'@': 208}), 75: (1, {'@': 208}), 4: (1, {'@': 208}), 0: (1, {'@': 208}), 28: (1, {'@': 208}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 308: {14: (1, {'@': 209}), 15: (1, {'@': 209}), 16: (1, {'@': 209}), 1: (1, {'@': 209}), 33: (1, {'@': 209}), 60: (1, {'@': 209}), 17: (1, {'@': 209}), 4: (1, {'@': 209}), 0: (1, {'@': 209}), 18: (1, {'@': 209}), 19: (1, {'@': 209}), 20: (1, {'@': 209}), 74: (1, {'@': 209}), 70: (1, {'@': 209}), 21: (1, {'@': 209}), 69: (1, {'@': 209}), 22: (1, {'@': 209}), 65: (1, {'@': 209}), 23: (1, {'@': 209}), 5: (1, {'@': 209}), 25: (1, {'@': 209}), 59: (1, {'@': 209}), 66: (1, {'@': 209}), 62: (1, {'@': 209}), 26: (1, {'@': 209}), 75: (1, {'@': 209}), 67: (1, {'@': 209}), 76: (1, {'@': 209}), 68: (1, {'@': 209}), 71: (1, {'@': 209}), 27: (1, {'@': 209}), 61: (1, {'@': 209}), 28: (1, {'@': 209}), 63: (1, {'@': 209}), 77: (1, {'@': 209}), 2: (1, {'@': 209}), 78: (1, {'@': 209}), 30: (1, {'@': 209}), 31: (1, {'@': 209}), 64: (1, {'@': 209})}, 309: {14: (1, {'@': 210}), 15: (1, {'@': 210}), 16: (1, {'@': 210}), 1: (1, {'@': 210}), 33: (1, {'@': 210}), 60: (1, {'@': 210}), 17: (1, {'@': 210}), 4: (1, {'@': 210}), 0: (1, {'@': 210}), 18: (1, {'@': 210}), 19: (1, {'@': 210}), 20: (1, {'@': 210}), 74: (1, {'@': 210}), 70: (1, {'@': 210}), 21: (1, {'@': 210}), 69: (1, {'@': 210}), 22: (1, {'@': 210}), 65: (1, {'@': 210}), 23: (1, {'@': 210}), 5: (1, {'@': 210}), 25: (1, {'@': 210}), 59: (1, {'@': 210}), 66: (1, {'@': 210}), 62: (1, {'@': 210}), 26: (1, {'@': 210}), 75: (1, {'@': 210}), 67: (1, {'@': 210}), 76: (1, {'@': 210}), 68: (1, {'@': 210}), 71: (1, {'@': 210}), 27: (1, {'@': 210}), 61: (1, {'@': 210}), 28: (1, {'@': 210}), 63: (1, {'@': 210}), 77: (1, {'@': 210}), 2: (1, {'@': 210}), 78: (1, {'@': 210}), 30: (1, {'@': 210}), 31: (1, {'@': 210}), 64: (1, {'@': 210})}, 310: {27: (0, 33), 34: (0, 307), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 22: (0, 371), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 311: {14: (1, {'@': 211}), 15: (1, {'@': 211}), 16: (1, {'@': 211}), 1: (1, {'@': 211}), 33: (1, {'@': 211}), 60: (1, {'@': 211}), 17: (1, {'@': 211}), 4: (1, {'@': 211}), 0: (1, {'@': 211}), 18: (1, {'@': 211}), 19: (1, {'@': 211}), 20: (1, {'@': 211}), 74: (1, {'@': 211}), 70: (1, {'@': 211}), 21: (1, {'@': 211}), 69: (1, {'@': 211}), 22: (1, {'@': 211}), 65: (1, {'@': 211}), 23: (1, {'@': 211}), 5: (1, {'@': 211}), 25: (1, {'@': 211}), 59: (1, {'@': 211}), 66: (1, {'@': 211}), 62: (1, {'@': 211}), 26: (1, {'@': 211}), 75: (1, {'@': 211}), 67: (1, {'@': 211}), 76: (1, {'@': 211}), 68: (1, {'@': 211}), 71: (1, {'@': 211}), 27: (1, {'@': 211}), 61: (1, {'@': 211}), 28: (1, {'@': 211}), 63: (1, {'@': 211}), 77: (1, {'@': 211}), 2: (1, {'@': 211}), 78: (1, {'@': 211}), 30: (1, {'@': 211}), 31: (1, {'@': 211}), 64: (1, {'@': 211})}, 312: {27: (0, 33), 34: (0, 303), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 8: (0, 372), 7: (0, 5), 16: (0, 39), 36: (0, 40), 22: (0, 373), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 313: {14: (1, {'@': 212}), 15: (1, {'@': 212}), 16: (1, {'@': 212}), 1: (1, {'@': 212}), 33: (1, {'@': 212}), 60: (1, {'@': 212}), 17: (1, {'@': 212}), 4: (1, {'@': 212}), 0: (1, {'@': 212}), 18: (1, {'@': 212}), 19: (1, {'@': 212}), 20: (1, {'@': 212}), 74: (1, {'@': 212}), 70: (1, {'@': 212}), 21: (1, {'@': 212}), 69: (1, {'@': 212}), 22: (1, {'@': 212}), 65: (1, {'@': 212}), 23: (1, {'@': 212}), 5: (1, {'@': 212}), 25: (1, {'@': 212}), 59: (1, {'@': 212}), 66: (1, {'@': 212}), 62: (1, {'@': 212}), 26: (1, {'@': 212}), 75: (1, {'@': 212}), 67: (1, {'@': 212}), 76: (1, {'@': 212}), 68: (1, {'@': 212}), 71: (1, {'@': 212}), 27: (1, {'@': 212}), 61: (1, {'@': 212}), 28: (1, {'@': 212}), 63: (1, {'@': 212}), 77: (1, {'@': 212}), 2: (1, {'@': 212}), 78: (1, {'@': 212}), 30: (1, {'@': 212}), 31: (1, {'@': 212}), 64: (1, {'@': 212})}, 314: {22: (0, 374)}, 315: {27: (0, 33), 34: (0, 301), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 22: (0, 375), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 316: {14: (1, {'@': 213}), 15: (1, {'@': 213}), 16: (1, {'@': 213}), 1: (1, {'@': 213}), 33: (1, {'@': 213}), 60: (1, {'@': 213}), 17: (1, {'@': 213}), 4: (1, {'@': 213}), 0: (1, {'@': 213}), 18: (1, {'@': 213}), 19: (1, {'@': 213}), 20: (1, {'@': 213}), 74: (1, {'@': 213}), 70: (1, {'@': 213}), 21: (1, {'@': 213}), 69: (1, {'@': 213}), 22: (1, {'@': 213}), 65: (1, {'@': 213}), 23: (1, {'@': 213}), 5: (1, {'@': 213}), 25: (1, {'@': 213}), 59: (1, {'@': 213}), 66: (1, {'@': 213}), 62: (1, {'@': 213}), 26: (1, {'@': 213}), 75: (1, {'@': 213}), 67: (1, {'@': 213}), 76: (1, {'@': 213}), 68: (1, {'@': 213}), 71: (1, {'@': 213}), 27: (1, {'@': 213}), 61: (1, {'@': 213}), 28: (1, {'@': 213}), 63: (1, {'@': 213}), 77: (1, {'@': 213}), 2: (1, {'@': 213}), 78: (1, {'@': 213}), 30: (1, {'@': 213}), 31: (1, {'@': 213}), 64: (1, {'@': 213})}, 317: {14: (1, {'@': 214}), 15: (1, {'@': 214}), 16: (1, {'@': 214}), 1: (1, {'@': 214}), 33: (1, {'@': 214}), 60: (1, {'@': 214}), 17: (1, {'@': 214}), 4: (1, {'@': 214}), 0: (1, {'@': 214}), 18: (1, {'@': 214}), 19: (1, {'@': 214}), 20: (1, {'@': 214}), 74: (1, {'@': 214}), 70: (1, {'@': 214}), 21: (1, {'@': 214}), 69: (1, {'@': 214}), 22: (1, {'@': 214}), 65: (1, {'@': 214}), 23: (1, {'@': 214}), 5: (1, {'@': 214}), 25: (1, {'@': 214}), 59: (1, {'@': 214}), 66: (1, {'@': 214}), 62: (1, {'@': 214}), 26: (1, {'@': 214}), 75: (1, {'@': 214}), 67: (1, {'@': 214}), 76: (1, {'@': 214}), 68: (1, {'@': 214}), 71: (1, {'@': 214}), 27: (1, {'@': 214}), 61: (1, {'@': 214}), 28: (1, {'@': 214}), 63: (1, {'@': 214}), 77: (1, {'@': 214}), 2: (1, {'@': 214}), 78: (1, {'@': 214}), 30: (1, {'@': 214}), 31: (1, {'@': 214}), 64: (1, {'@': 214})}, 318: {14: (1, {'@': 215}), 15: (1, {'@': 215}), 16: (1, {'@': 215}), 1: (1, {'@': 215}), 33: (1, {'@': 215}), 60: (1, {'@': 215}), 17: (1, {'@': 215}), 4: (1, {'@': 215}), 0: (1, {'@': 215}), 18: (1, {'@': 215}), 19: (1, {'@': 215}), 20: (1, {'@': 215}), 74: (1, {'@': 215}), 70: (1, {'@': 215}), 21: (1, {'@': 215}), 69: (1, {'@': 215}), 22: (1, {'@': 215}), 65: (1, {'@': 215}), 23: (1, {'@': 215}), 5: (1, {'@': 215}), 25: (1, {'@': 215}), 59: (1, {'@': 215}), 66: (1, {'@': 215}), 62: (1, {'@': 215}), 26: (1, {'@': 215}), 75: (1, {'@': 215}), 67: (1, {'@': 215}), 76: (1, {'@': 215}), 68: (1, {'@': 215}), 71: (1, {'@': 215}), 27: (1, {'@': 215}), 61: (1, {'@': 215}), 28: (1, {'@': 215}), 63: (1, {'@': 215}), 77: (1, {'@': 215}), 2: (1, {'@': 215}), 78: (1, {'@': 215}), 30: (1, {'@': 215}), 31: (1, {'@': 215}), 64: (1, {'@': 215})}, 319: {22: (0, 376)}, 320: {2: (0, 1), 4: (0, 9), 8: (0, 377), 7: (0, 5), 22: (0, 378), 0: (0, 4)}, 321: {14: (1, {'@': 216}), 15: (1, {'@': 216}), 16: (1, {'@': 216}), 1: (1, {'@': 216}), 33: (1, {'@': 216}), 60: (1, {'@': 216}), 17: (1, {'@': 216}), 4: (1, {'@': 216}), 0: (1, {'@': 216}), 18: (1, {'@': 216}), 19: (1, {'@': 216}), 20: (1, {'@': 216}), 74: (1, {'@': 216}), 70: (1, {'@': 216}), 21: (1, {'@': 216}), 69: (1, {'@': 216}), 22: (1, {'@': 216}), 65: (1, {'@': 216}), 23: (1, {'@': 216}), 5: (1, {'@': 216}), 25: (1, {'@': 216}), 59: (1, {'@': 216}), 66: (1, {'@': 216}), 62: (1, {'@': 216}), 26: (1, {'@': 216}), 75: (1, {'@': 216}), 67: (1, {'@': 216}), 76: (1, {'@': 216}), 68: (1, {'@': 216}), 71: (1, {'@': 216}), 27: (1, {'@': 216}), 61: (1, {'@': 216}), 28: (1, {'@': 216}), 63: (1, {'@': 216}), 77: (1, {'@': 216}), 2: (1, {'@': 216}), 78: (1, {'@': 216}), 30: (1, {'@': 216}), 31: (1, {'@': 216}), 64: (1, {'@': 216})}, 322: {22: (0, 379)}, 323: {22: (0, 380), 2: (0, 1), 4: (0, 9), 7: (0, 5), 19: (0, 199), 0: (0, 4), 89: (0, 381), 8: (0, 382)}, 324: {2: (0, 1), 4: (0, 9), 8: (0, 383), 7: (0, 5), 0: (0, 4), 22: (0, 384)}, 325: {14: (1, {'@': 217}), 15: (1, {'@': 217}), 16: (1, {'@': 217}), 1: (1, {'@': 217}), 33: (1, {'@': 217}), 60: (1, {'@': 217}), 17: (1, {'@': 217}), 4: (1, {'@': 217}), 0: (1, {'@': 217}), 18: (1, {'@': 217}), 19: (1, {'@': 217}), 20: (1, {'@': 217}), 74: (1, {'@': 217}), 70: (1, {'@': 217}), 21: (1, {'@': 217}), 69: (1, {'@': 217}), 22: (1, {'@': 217}), 65: (1, {'@': 217}), 23: (1, {'@': 217}), 5: (1, {'@': 217}), 25: (1, {'@': 217}), 59: (1, {'@': 217}), 66: (1, {'@': 217}), 62: (1, {'@': 217}), 26: (1, {'@': 217}), 75: (1, {'@': 217}), 67: (1, {'@': 217}), 76: (1, {'@': 217}), 68: (1, {'@': 217}), 71: (1, {'@': 217}), 27: (1, {'@': 217}), 61: (1, {'@': 217}), 28: (1, {'@': 217}), 63: (1, {'@': 217}), 77: (1, {'@': 217}), 2: (1, {'@': 217}), 78: (1, {'@': 217}), 30: (1, {'@': 217}), 31: (1, {'@': 217}), 64: (1, {'@': 217})}, 326: {0: (1, {'@': 218}), 22: (1, {'@': 218}), 2: (1, {'@': 218}), 1: (1, {'@': 218}), 4: (1, {'@': 218}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 327: {22: (0, 385)}, 328: {14: (1, {'@': 219}), 15: (1, {'@': 219}), 16: (1, {'@': 219}), 1: (1, {'@': 219}), 33: (1, {'@': 219}), 60: (1, {'@': 219}), 17: (1, {'@': 219}), 4: (1, {'@': 219}), 0: (1, {'@': 219}), 18: (1, {'@': 219}), 19: (1, {'@': 219}), 20: (1, {'@': 219}), 74: (1, {'@': 219}), 70: (1, {'@': 219}), 21: (1, {'@': 219}), 69: (1, {'@': 219}), 22: (1, {'@': 219}), 65: (1, {'@': 219}), 23: (1, {'@': 219}), 5: (1, {'@': 219}), 25: (1, {'@': 219}), 59: (1, {'@': 219}), 66: (1, {'@': 219}), 62: (1, {'@': 219}), 26: (1, {'@': 219}), 75: (1, {'@': 219}), 67: (1, {'@': 219}), 76: (1, {'@': 219}), 68: (1, {'@': 219}), 71: (1, {'@': 219}), 27: (1, {'@': 219}), 61: (1, {'@': 219}), 28: (1, {'@': 219}), 63: (1, {'@': 219}), 77: (1, {'@': 219}), 2: (1, {'@': 219}), 78: (1, {'@': 219}), 30: (1, {'@': 219}), 31: (1, {'@': 219}), 64: (1, {'@': 219})}, 329: {14: (1, {'@': 220}), 15: (1, {'@': 220}), 16: (1, {'@': 220}), 1: (1, {'@': 220}), 33: (1, {'@': 220}), 60: (1, {'@': 220}), 17: (1, {'@': 220}), 4: (1, {'@': 220}), 0: (1, {'@': 220}), 18: (1, {'@': 220}), 19: (1, {'@': 220}), 20: (1, {'@': 220}), 74: (1, {'@': 220}), 70: (1, {'@': 220}), 21: (1, {'@': 220}), 69: (1, {'@': 220}), 22: (1, {'@': 220}), 65: (1, {'@': 220}), 23: (1, {'@': 220}), 5: (1, {'@': 220}), 25: (1, {'@': 220}), 59: (1, {'@': 220}), 66: (1, {'@': 220}), 62: (1, {'@': 220}), 26: (1, {'@': 220}), 75: (1, {'@': 220}), 67: (1, {'@': 220}), 76: (1, {'@': 220}), 68: (1, {'@': 220}), 71: (1, {'@': 220}), 27: (1, {'@': 220}), 61: (1, {'@': 220}), 28: (1, {'@': 220}), 63: (1, {'@': 220}), 77: (1, {'@': 220}), 2: (1, {'@': 220}), 78: (1, {'@': 220}), 30: (1, {'@': 220}), 31: (1, {'@': 220}), 64: (1, {'@': 220})}, 330: {14: (1, {'@': 221}), 15: (1, {'@': 221}), 16: (1, {'@': 221}), 1: (1, {'@': 221}), 33: (1, {'@': 221}), 60: (1, {'@': 221}), 17: (1, {'@': 221}), 4: (1, {'@': 221}), 0: (1, {'@': 221}), 18: (1, {'@': 221}), 19: (1, {'@': 221}), 20: (1, {'@': 221}), 74: (1, {'@': 221}), 70: (1, {'@': 221}), 21: (1, {'@': 221}), 69: (1, {'@': 221}), 22: (1, {'@': 221}), 65: (1, {'@': 221}), 23: (1, {'@': 221}), 5: (1, {'@': 221}), 25: (1, {'@': 221}), 59: (1, {'@': 221}), 66: (1, {'@': 221}), 62: (1, {'@': 221}), 26: (1, {'@': 221}), 75: (1, {'@': 221}), 67: (1, {'@': 221}), 76: (1, {'@': 221}), 68: (1, {'@': 221}), 71: (1, {'@': 221}), 27: (1, {'@': 221}), 61: (1, {'@': 221}), 28: (1, {'@': 221}), 63: (1, {'@': 221}), 77: (1, {'@': 221}), 2: (1, {'@': 221}), 78: (1, {'@': 221}), 30: (1, {'@': 221}), 31: (1, {'@': 221}), 64: (1, {'@': 221})}, 331: {2: (0, 1), 4: (0, 9), 8: (0, 386), 7: (0, 5), 22: (0, 387), 0: (0, 4)}, 332: {14: (1, {'@': 222}), 15: (1, {'@': 222}), 16: (1, {'@': 222}), 1: (1, {'@': 222}), 33: (1, {'@': 222}), 60: (1, {'@': 222}), 17: (1, {'@': 222}), 4: (1, {'@': 222}), 0: (1, {'@': 222}), 18: (1, {'@': 222}), 19: (1, {'@': 222}), 20: (1, {'@': 222}), 74: (1, {'@': 222}), 70: (1, {'@': 222}), 21: (1, {'@': 222}), 69: (1, {'@': 222}), 22: (1, {'@': 222}), 65: (1, {'@': 222}), 23: (1, {'@': 222}), 5: (1, {'@': 222}), 25: (1, {'@': 222}), 59: (1, {'@': 222}), 66: (1, {'@': 222}), 62: (1, {'@': 222}), 26: (1, {'@': 222}), 75: (1, {'@': 222}), 67: (1, {'@': 222}), 76: (1, {'@': 222}), 68: (1, {'@': 222}), 71: (1, {'@': 222}), 27: (1, {'@': 222}), 61: (1, {'@': 222}), 28: (1, {'@': 222}), 63: (1, {'@': 222}), 77: (1, {'@': 222}), 2: (1, {'@': 222}), 78: (1, {'@': 222}), 30: (1, {'@': 222}), 31: (1, {'@': 222}), 64: (1, {'@': 222})}, 333: {22: (0, 388)}, 334: {14: (1, {'@': 223}), 15: (1, {'@': 223}), 16: (1, {'@': 223}), 1: (1, {'@': 223}), 33: (1, {'@': 223}), 60: (1, {'@': 223}), 17: (1, {'@': 223}), 4: (1, {'@': 223}), 0: (1, {'@': 223}), 18: (1, {'@': 223}), 19: (1, {'@': 223}), 20: (1, {'@': 223}), 74: (1, {'@': 223}), 70: (1, {'@': 223}), 21: (1, {'@': 223}), 69: (1, {'@': 223}), 22: (1, {'@': 223}), 65: (1, {'@': 223}), 23: (1, {'@': 223}), 5: (1, {'@': 223}), 25: (1, {'@': 223}), 59: (1, {'@': 223}), 66: (1, {'@': 223}), 62: (1, {'@': 223}), 26: (1, {'@': 223}), 75: (1, {'@': 223}), 67: (1, {'@': 223}), 76: (1, {'@': 223}), 68: (1, {'@': 223}), 71: (1, {'@': 223}), 27: (1, {'@': 223}), 61: (1, {'@': 223}), 28: (1, {'@': 223}), 63: (1, {'@': 223}), 77: (1, {'@': 223}), 2: (1, {'@': 223}), 78: (1, {'@': 223}), 30: (1, {'@': 223}), 31: (1, {'@': 223}), 64: (1, {'@': 223})}, 335: {22: (0, 389)}, 336: {27: (0, 33), 34: (0, 303), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 8: (0, 390), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 337: {0: (1, {'@': 224}), 14: (1, {'@': 224}), 2: (1, {'@': 224}), 4: (1, {'@': 224})}, 338: {0: (1, {'@': 225}), 14: (1, {'@': 225}), 2: (1, {'@': 225}), 4: (1, {'@': 225}), 27: (0, 33), 34: (0, 301), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 339: {27: (0, 33), 34: (0, 307), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 340: {14: (1, {'@': 226}), 15: (1, {'@': 226}), 16: (1, {'@': 226}), 1: (1, {'@': 226}), 33: (1, {'@': 226}), 60: (1, {'@': 226}), 17: (1, {'@': 226}), 4: (1, {'@': 226}), 0: (1, {'@': 226}), 18: (1, {'@': 226}), 19: (1, {'@': 226}), 20: (1, {'@': 226}), 74: (1, {'@': 226}), 70: (1, {'@': 226}), 21: (1, {'@': 226}), 69: (1, {'@': 226}), 22: (1, {'@': 226}), 65: (1, {'@': 226}), 23: (1, {'@': 226}), 5: (1, {'@': 226}), 25: (1, {'@': 226}), 59: (1, {'@': 226}), 66: (1, {'@': 226}), 62: (1, {'@': 226}), 26: (1, {'@': 226}), 75: (1, {'@': 226}), 67: (1, {'@': 226}), 76: (1, {'@': 226}), 68: (1, {'@': 226}), 71: (1, {'@': 226}), 27: (1, {'@': 226}), 61: (1, {'@': 226}), 28: (1, {'@': 226}), 63: (1, {'@': 226}), 77: (1, {'@': 226}), 2: (1, {'@': 226}), 78: (1, {'@': 226}), 30: (1, {'@': 226}), 31: (1, {'@': 226}), 64: (1, {'@': 226})}, 341: {14: (1, {'@': 227}), 15: (1, {'@': 227}), 16: (1, {'@': 227}), 1: (1, {'@': 227}), 33: (1, {'@': 227}), 60: (1, {'@': 227}), 17: (1, {'@': 227}), 4: (1, {'@': 227}), 0: (1, {'@': 227}), 18: (1, {'@': 227}), 19: (1, {'@': 227}), 20: (1, {'@': 227}), 74: (1, {'@': 227}), 70: (1, {'@': 227}), 21: (1, {'@': 227}), 69: (1, {'@': 227}), 22: (1, {'@': 227}), 65: (1, {'@': 227}), 23: (1, {'@': 227}), 5: (1, {'@': 227}), 25: (1, {'@': 227}), 59: (1, {'@': 227}), 66: (1, {'@': 227}), 62: (1, {'@': 227}), 26: (1, {'@': 227}), 75: (1, {'@': 227}), 67: (1, {'@': 227}), 76: (1, {'@': 227}), 68: (1, {'@': 227}), 71: (1, {'@': 227}), 27: (1, {'@': 227}), 61: (1, {'@': 227}), 28: (1, {'@': 227}), 63: (1, {'@': 227}), 77: (1, {'@': 227}), 2: (1, {'@': 227}), 78: (1, {'@': 227}), 30: (1, {'@': 227}), 31: (1, {'@': 227}), 64: (1, {'@': 227})}, 342: {14: (1, {'@': 228}), 15: (1, {'@': 228}), 16: (1, {'@': 228}), 1: (1, {'@': 228}), 33: (1, {'@': 228}), 60: (1, {'@': 228}), 17: (1, {'@': 228}), 4: (1, {'@': 228}), 0: (1, {'@': 228}), 18: (1, {'@': 228}), 19: (1, {'@': 228}), 20: (1, {'@': 228}), 74: (1, {'@': 228}), 70: (1, {'@': 228}), 21: (1, {'@': 228}), 69: (1, {'@': 228}), 22: (1, {'@': 228}), 65: (1, {'@': 228}), 23: (1, {'@': 228}), 5: (1, {'@': 228}), 25: (1, {'@': 228}), 59: (1, {'@': 228}), 66: (1, {'@': 228}), 62: (1, {'@': 228}), 26: (1, {'@': 228}), 75: (1, {'@': 228}), 67: (1, {'@': 228}), 76: (1, {'@': 228}), 68: (1, {'@': 228}), 71: (1, {'@': 228}), 27: (1, {'@': 228}), 61: (1, {'@': 228}), 28: (1, {'@': 228}), 63: (1, {'@': 228}), 77: (1, {'@': 228}), 2: (1, {'@': 228}), 78: (1, {'@': 228}), 30: (1, {'@': 228}), 31: (1, {'@': 228}), 64: (1, {'@': 228})}, 343: {15: (1, {'@': 229}), 16: (1, {'@': 229}), 26: (1, {'@': 229}), 17: (1, {'@': 229}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 229}), 20: (1, {'@': 229}), 27: (1, {'@': 229}), 21: (1, {'@': 229}), 2: (0, 1), 23: (1, {'@': 229}), 30: (1, {'@': 229}), 5: (1, {'@': 229}), 31: (1, {'@': 229}), 25: (1, {'@': 229}), 7: (0, 5), 8: (0, 391)}, 344: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 76: (0, 392), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 345: {27: (0, 33), 34: (0, 393), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 8: (0, 394), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 346: {24: (0, 395)}, 347: {59: (0, 83), 60: (0, 84), 76: (0, 396), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 348: {27: (0, 33), 34: (0, 397), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 349: {15: (1, {'@': 230}), 16: (1, {'@': 230}), 26: (1, {'@': 230}), 17: (1, {'@': 230}), 4: (1, {'@': 230}), 0: (1, {'@': 230}), 18: (1, {'@': 230}), 20: (1, {'@': 230}), 27: (1, {'@': 230}), 21: (1, {'@': 230}), 2: (1, {'@': 230}), 23: (1, {'@': 230}), 30: (1, {'@': 230}), 5: (1, {'@': 230}), 31: (1, {'@': 230}), 25: (1, {'@': 230})}, 350: {15: (1, {'@': 231}), 16: (1, {'@': 231}), 26: (1, {'@': 231}), 17: (1, {'@': 231}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 231}), 20: (1, {'@': 231}), 27: (1, {'@': 231}), 21: (1, {'@': 231}), 2: (0, 1), 23: (1, {'@': 231}), 30: (1, {'@': 231}), 5: (1, {'@': 231}), 31: (1, {'@': 231}), 25: (1, {'@': 231}), 8: (0, 398), 7: (0, 5)}, 351: {2: (0, 1), 24: (0, 399), 8: (0, 400), 4: (0, 9), 7: (0, 5), 0: (0, 4)}, 352: {27: (0, 33), 34: (0, 401), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 8: (0, 402), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 353: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 76: (0, 403), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 354: {27: (0, 33), 34: (0, 404), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 355: {15: (1, {'@': 232}), 16: (1, {'@': 232}), 26: (1, {'@': 232}), 17: (1, {'@': 232}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 232}), 20: (1, {'@': 232}), 27: (1, {'@': 232}), 21: (1, {'@': 232}), 2: (0, 1), 23: (1, {'@': 232}), 30: (1, {'@': 232}), 5: (1, {'@': 232}), 31: (1, {'@': 232}), 25: (1, {'@': 232}), 7: (0, 5), 8: (0, 405)}, 356: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 76: (0, 406), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 357: {1: (0, 407), 89: (0, 408), 2: (0, 1), 4: (0, 9), 7: (0, 5), 19: (0, 199), 0: (0, 4), 8: (0, 409)}, 358: {2: (0, 1), 8: (0, 410), 89: (0, 411), 19: (0, 199), 1: (0, 412), 0: (0, 4), 7: (0, 5), 4: (0, 9)}, 359: {2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 413), 1: (0, 414), 0: (0, 4)}, 360: {14: (1, {'@': 233}), 15: (1, {'@': 233}), 16: (1, {'@': 233}), 1: (1, {'@': 233}), 33: (1, {'@': 233}), 60: (1, {'@': 233}), 17: (1, {'@': 233}), 4: (1, {'@': 233}), 0: (1, {'@': 233}), 18: (1, {'@': 233}), 19: (1, {'@': 233}), 20: (1, {'@': 233}), 74: (1, {'@': 233}), 70: (1, {'@': 233}), 21: (1, {'@': 233}), 69: (1, {'@': 233}), 22: (1, {'@': 233}), 65: (1, {'@': 233}), 23: (1, {'@': 233}), 5: (1, {'@': 233}), 25: (1, {'@': 233}), 59: (1, {'@': 233}), 66: (1, {'@': 233}), 62: (1, {'@': 233}), 26: (1, {'@': 233}), 75: (1, {'@': 233}), 67: (1, {'@': 233}), 76: (1, {'@': 233}), 68: (1, {'@': 233}), 71: (1, {'@': 233}), 27: (1, {'@': 233}), 61: (1, {'@': 233}), 28: (1, {'@': 233}), 63: (1, {'@': 233}), 77: (1, {'@': 233}), 2: (1, {'@': 233}), 78: (1, {'@': 233}), 30: (1, {'@': 233}), 31: (1, {'@': 233}), 64: (1, {'@': 233})}, 361: {2: (0, 1), 4: (0, 9), 8: (0, 415), 7: (0, 5), 0: (0, 4), 1: (0, 416)}, 362: {7: (0, 5), 2: (0, 1), 4: (0, 9), 89: (0, 417), 1: (0, 418), 19: (0, 199), 0: (0, 4), 8: (0, 419)}, 363: {14: (1, {'@': 234}), 15: (1, {'@': 234}), 16: (1, {'@': 234}), 1: (1, {'@': 234}), 33: (1, {'@': 234}), 60: (1, {'@': 234}), 17: (1, {'@': 234}), 4: (1, {'@': 234}), 0: (1, {'@': 234}), 18: (1, {'@': 234}), 19: (1, {'@': 234}), 20: (1, {'@': 234}), 74: (1, {'@': 234}), 70: (1, {'@': 234}), 21: (1, {'@': 234}), 69: (1, {'@': 234}), 22: (1, {'@': 234}), 65: (1, {'@': 234}), 23: (1, {'@': 234}), 5: (1, {'@': 234}), 25: (1, {'@': 234}), 59: (1, {'@': 234}), 66: (1, {'@': 234}), 62: (1, {'@': 234}), 26: (1, {'@': 234}), 75: (1, {'@': 234}), 67: (1, {'@': 234}), 76: (1, {'@': 234}), 68: (1, {'@': 234}), 71: (1, {'@': 234}), 27: (1, {'@': 234}), 61: (1, {'@': 234}), 28: (1, {'@': 234}), 63: (1, {'@': 234}), 77: (1, {'@': 234}), 2: (1, {'@': 234}), 78: (1, {'@': 234}), 30: (1, {'@': 234}), 31: (1, {'@': 234}), 64: (1, {'@': 234})}, 364: {14: (1, {'@': 235}), 15: (1, {'@': 235}), 16: (1, {'@': 235}), 1: (1, {'@': 235}), 33: (1, {'@': 235}), 60: (1, {'@': 235}), 17: (1, {'@': 235}), 4: (1, {'@': 235}), 0: (1, {'@': 235}), 18: (1, {'@': 235}), 19: (1, {'@': 235}), 20: (1, {'@': 235}), 74: (1, {'@': 235}), 70: (1, {'@': 235}), 21: (1, {'@': 235}), 69: (1, {'@': 235}), 22: (1, {'@': 235}), 65: (1, {'@': 235}), 23: (1, {'@': 235}), 5: (1, {'@': 235}), 25: (1, {'@': 235}), 59: (1, {'@': 235}), 66: (1, {'@': 235}), 62: (1, {'@': 235}), 26: (1, {'@': 235}), 75: (1, {'@': 235}), 67: (1, {'@': 235}), 76: (1, {'@': 235}), 68: (1, {'@': 235}), 71: (1, {'@': 235}), 27: (1, {'@': 235}), 61: (1, {'@': 235}), 28: (1, {'@': 235}), 63: (1, {'@': 235}), 77: (1, {'@': 235}), 2: (1, {'@': 235}), 78: (1, {'@': 235}), 30: (1, {'@': 235}), 31: (1, {'@': 235}), 64: (1, {'@': 235})}, 365: {1: (0, 420)}, 366: {2: (0, 1), 4: (0, 9), 1: (0, 421), 7: (0, 5), 0: (0, 4), 8: (0, 422)}, 367: {14: (1, {'@': 236}), 15: (1, {'@': 236}), 16: (1, {'@': 236}), 1: (1, {'@': 236}), 33: (1, {'@': 236}), 60: (1, {'@': 236}), 17: (1, {'@': 236}), 4: (1, {'@': 236}), 0: (1, {'@': 236}), 18: (1, {'@': 236}), 19: (1, {'@': 236}), 20: (1, {'@': 236}), 74: (1, {'@': 236}), 70: (1, {'@': 236}), 21: (1, {'@': 236}), 69: (1, {'@': 236}), 22: (1, {'@': 236}), 65: (1, {'@': 236}), 23: (1, {'@': 236}), 5: (1, {'@': 236}), 25: (1, {'@': 236}), 59: (1, {'@': 236}), 66: (1, {'@': 236}), 62: (1, {'@': 236}), 26: (1, {'@': 236}), 75: (1, {'@': 236}), 67: (1, {'@': 236}), 76: (1, {'@': 236}), 68: (1, {'@': 236}), 71: (1, {'@': 236}), 27: (1, {'@': 236}), 61: (1, {'@': 236}), 28: (1, {'@': 236}), 63: (1, {'@': 236}), 77: (1, {'@': 236}), 2: (1, {'@': 236}), 78: (1, {'@': 236}), 30: (1, {'@': 236}), 31: (1, {'@': 236}), 64: (1, {'@': 236})}, 368: {1: (0, 423)}, 369: {14: (1, {'@': 237}), 22: (1, {'@': 237}), 2: (1, {'@': 237}), 75: (1, {'@': 237}), 4: (1, {'@': 237}), 0: (1, {'@': 237}), 28: (1, {'@': 237}), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 370: {14: (1, {'@': 238}), 15: (1, {'@': 238}), 16: (1, {'@': 238}), 1: (1, {'@': 238}), 33: (1, {'@': 238}), 60: (1, {'@': 238}), 17: (1, {'@': 238}), 4: (1, {'@': 238}), 0: (1, {'@': 238}), 18: (1, {'@': 238}), 19: (1, {'@': 238}), 20: (1, {'@': 238}), 74: (1, {'@': 238}), 70: (1, {'@': 238}), 21: (1, {'@': 238}), 69: (1, {'@': 238}), 22: (1, {'@': 238}), 65: (1, {'@': 238}), 23: (1, {'@': 238}), 5: (1, {'@': 238}), 25: (1, {'@': 238}), 59: (1, {'@': 238}), 66: (1, {'@': 238}), 62: (1, {'@': 238}), 26: (1, {'@': 238}), 75: (1, {'@': 238}), 67: (1, {'@': 238}), 76: (1, {'@': 238}), 68: (1, {'@': 238}), 71: (1, {'@': 238}), 27: (1, {'@': 238}), 61: (1, {'@': 238}), 28: (1, {'@': 238}), 63: (1, {'@': 238}), 77: (1, {'@': 238}), 2: (1, {'@': 238}), 78: (1, {'@': 238}), 30: (1, {'@': 238}), 31: (1, {'@': 238}), 64: (1, {'@': 238})}, 371: {14: (1, {'@': 239}), 15: (1, {'@': 239}), 16: (1, {'@': 239}), 1: (1, {'@': 239}), 33: (1, {'@': 239}), 60: (1, {'@': 239}), 17: (1, {'@': 239}), 4: (1, {'@': 239}), 0: (1, {'@': 239}), 18: (1, {'@': 239}), 19: (1, {'@': 239}), 20: (1, {'@': 239}), 74: (1, {'@': 239}), 70: (1, {'@': 239}), 21: (1, {'@': 239}), 69: (1, {'@': 239}), 22: (1, {'@': 239}), 65: (1, {'@': 239}), 23: (1, {'@': 239}), 5: (1, {'@': 239}), 25: (1, {'@': 239}), 59: (1, {'@': 239}), 66: (1, {'@': 239}), 62: (1, {'@': 239}), 26: (1, {'@': 239}), 75: (1, {'@': 239}), 67: (1, {'@': 239}), 76: (1, {'@': 239}), 68: (1, {'@': 239}), 71: (1, {'@': 239}), 27: (1, {'@': 239}), 61: (1, {'@': 239}), 28: (1, {'@': 239}), 63: (1, {'@': 239}), 77: (1, {'@': 239}), 2: (1, {'@': 239}), 78: (1, {'@': 239}), 30: (1, {'@': 239}), 31: (1, {'@': 239}), 64: (1, {'@': 239})}, 372: {27: (0, 33), 34: (0, 369), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 22: (0, 424), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 373: {14: (1, {'@': 240}), 15: (1, {'@': 240}), 16: (1, {'@': 240}), 1: (1, {'@': 240}), 33: (1, {'@': 240}), 60: (1, {'@': 240}), 17: (1, {'@': 240}), 4: (1, {'@': 240}), 0: (1, {'@': 240}), 18: (1, {'@': 240}), 19: (1, {'@': 240}), 20: (1, {'@': 240}), 74: (1, {'@': 240}), 70: (1, {'@': 240}), 21: (1, {'@': 240}), 69: (1, {'@': 240}), 22: (1, {'@': 240}), 65: (1, {'@': 240}), 23: (1, {'@': 240}), 5: (1, {'@': 240}), 25: (1, {'@': 240}), 59: (1, {'@': 240}), 66: (1, {'@': 240}), 62: (1, {'@': 240}), 26: (1, {'@': 240}), 75: (1, {'@': 240}), 67: (1, {'@': 240}), 76: (1, {'@': 240}), 68: (1, {'@': 240}), 71: (1, {'@': 240}), 27: (1, {'@': 240}), 61: (1, {'@': 240}), 28: (1, {'@': 240}), 63: (1, {'@': 240}), 77: (1, {'@': 240}), 2: (1, {'@': 240}), 78: (1, {'@': 240}), 30: (1, {'@': 240}), 31: (1, {'@': 240}), 64: (1, {'@': 240})}, 374: {14: (1, {'@': 241}), 15: (1, {'@': 241}), 16: (1, {'@': 241}), 1: (1, {'@': 241}), 33: (1, {'@': 241}), 60: (1, {'@': 241}), 17: (1, {'@': 241}), 4: (1, {'@': 241}), 0: (1, {'@': 241}), 18: (1, {'@': 241}), 19: (1, {'@': 241}), 20: (1, {'@': 241}), 74: (1, {'@': 241}), 70: (1, {'@': 241}), 21: (1, {'@': 241}), 69: (1, {'@': 241}), 22: (1, {'@': 241}), 65: (1, {'@': 241}), 23: (1, {'@': 241}), 5: (1, {'@': 241}), 25: (1, {'@': 241}), 59: (1, {'@': 241}), 66: (1, {'@': 241}), 62: (1, {'@': 241}), 26: (1, {'@': 241}), 75: (1, {'@': 241}), 67: (1, {'@': 241}), 76: (1, {'@': 241}), 68: (1, {'@': 241}), 71: (1, {'@': 241}), 27: (1, {'@': 241}), 61: (1, {'@': 241}), 28: (1, {'@': 241}), 63: (1, {'@': 241}), 77: (1, {'@': 241}), 2: (1, {'@': 241}), 78: (1, {'@': 241}), 30: (1, {'@': 241}), 31: (1, {'@': 241}), 64: (1, {'@': 241})}, 375: {14: (1, {'@': 242}), 15: (1, {'@': 242}), 16: (1, {'@': 242}), 1: (1, {'@': 242}), 33: (1, {'@': 242}), 60: (1, {'@': 242}), 17: (1, {'@': 242}), 4: (1, {'@': 242}), 0: (1, {'@': 242}), 18: (1, {'@': 242}), 19: (1, {'@': 242}), 20: (1, {'@': 242}), 74: (1, {'@': 242}), 70: (1, {'@': 242}), 21: (1, {'@': 242}), 69: (1, {'@': 242}), 22: (1, {'@': 242}), 65: (1, {'@': 242}), 23: (1, {'@': 242}), 5: (1, {'@': 242}), 25: (1, {'@': 242}), 59: (1, {'@': 242}), 66: (1, {'@': 242}), 62: (1, {'@': 242}), 26: (1, {'@': 242}), 75: (1, {'@': 242}), 67: (1, {'@': 242}), 76: (1, {'@': 242}), 68: (1, {'@': 242}), 71: (1, {'@': 242}), 27: (1, {'@': 242}), 61: (1, {'@': 242}), 28: (1, {'@': 242}), 63: (1, {'@': 242}), 77: (1, {'@': 242}), 2: (1, {'@': 242}), 78: (1, {'@': 242}), 30: (1, {'@': 242}), 31: (1, {'@': 242}), 64: (1, {'@': 242})}, 376: {14: (1, {'@': 243}), 15: (1, {'@': 243}), 16: (1, {'@': 243}), 1: (1, {'@': 243}), 33: (1, {'@': 243}), 60: (1, {'@': 243}), 17: (1, {'@': 243}), 4: (1, {'@': 243}), 0: (1, {'@': 243}), 18: (1, {'@': 243}), 19: (1, {'@': 243}), 20: (1, {'@': 243}), 74: (1, {'@': 243}), 70: (1, {'@': 243}), 21: (1, {'@': 243}), 69: (1, {'@': 243}), 22: (1, {'@': 243}), 65: (1, {'@': 243}), 23: (1, {'@': 243}), 5: (1, {'@': 243}), 25: (1, {'@': 243}), 59: (1, {'@': 243}), 66: (1, {'@': 243}), 62: (1, {'@': 243}), 26: (1, {'@': 243}), 75: (1, {'@': 243}), 67: (1, {'@': 243}), 76: (1, {'@': 243}), 68: (1, {'@': 243}), 71: (1, {'@': 243}), 27: (1, {'@': 243}), 61: (1, {'@': 243}), 28: (1, {'@': 243}), 63: (1, {'@': 243}), 77: (1, {'@': 243}), 2: (1, {'@': 243}), 78: (1, {'@': 243}), 30: (1, {'@': 243}), 31: (1, {'@': 243}), 64: (1, {'@': 243})}, 377: {22: (0, 425)}, 378: {14: (1, {'@': 244}), 15: (1, {'@': 244}), 16: (1, {'@': 244}), 1: (1, {'@': 244}), 33: (1, {'@': 244}), 60: (1, {'@': 244}), 17: (1, {'@': 244}), 4: (1, {'@': 244}), 0: (1, {'@': 244}), 18: (1, {'@': 244}), 19: (1, {'@': 244}), 20: (1, {'@': 244}), 74: (1, {'@': 244}), 70: (1, {'@': 244}), 21: (1, {'@': 244}), 69: (1, {'@': 244}), 22: (1, {'@': 244}), 65: (1, {'@': 244}), 23: (1, {'@': 244}), 5: (1, {'@': 244}), 25: (1, {'@': 244}), 59: (1, {'@': 244}), 66: (1, {'@': 244}), 62: (1, {'@': 244}), 26: (1, {'@': 244}), 75: (1, {'@': 244}), 67: (1, {'@': 244}), 76: (1, {'@': 244}), 68: (1, {'@': 244}), 71: (1, {'@': 244}), 27: (1, {'@': 244}), 61: (1, {'@': 244}), 28: (1, {'@': 244}), 63: (1, {'@': 244}), 77: (1, {'@': 244}), 2: (1, {'@': 244}), 78: (1, {'@': 244}), 30: (1, {'@': 244}), 31: (1, {'@': 244}), 64: (1, {'@': 244})}, 379: {14: (1, {'@': 245}), 15: (1, {'@': 245}), 16: (1, {'@': 245}), 1: (1, {'@': 245}), 33: (1, {'@': 245}), 60: (1, {'@': 245}), 17: (1, {'@': 245}), 4: (1, {'@': 245}), 0: (1, {'@': 245}), 18: (1, {'@': 245}), 19: (1, {'@': 245}), 20: (1, {'@': 245}), 74: (1, {'@': 245}), 70: (1, {'@': 245}), 21: (1, {'@': 245}), 69: (1, {'@': 245}), 22: (1, {'@': 245}), 65: (1, {'@': 245}), 23: (1, {'@': 245}), 5: (1, {'@': 245}), 25: (1, {'@': 245}), 59: (1, {'@': 245}), 66: (1, {'@': 245}), 62: (1, {'@': 245}), 26: (1, {'@': 245}), 75: (1, {'@': 245}), 67: (1, {'@': 245}), 76: (1, {'@': 245}), 68: (1, {'@': 245}), 71: (1, {'@': 245}), 27: (1, {'@': 245}), 61: (1, {'@': 245}), 28: (1, {'@': 245}), 63: (1, {'@': 245}), 77: (1, {'@': 245}), 2: (1, {'@': 245}), 78: (1, {'@': 245}), 30: (1, {'@': 245}), 31: (1, {'@': 245}), 64: (1, {'@': 245})}, 380: {14: (1, {'@': 246}), 15: (1, {'@': 246}), 16: (1, {'@': 246}), 1: (1, {'@': 246}), 33: (1, {'@': 246}), 60: (1, {'@': 246}), 17: (1, {'@': 246}), 4: (1, {'@': 246}), 0: (1, {'@': 246}), 18: (1, {'@': 246}), 19: (1, {'@': 246}), 20: (1, {'@': 246}), 74: (1, {'@': 246}), 70: (1, {'@': 246}), 21: (1, {'@': 246}), 69: (1, {'@': 246}), 22: (1, {'@': 246}), 65: (1, {'@': 246}), 23: (1, {'@': 246}), 5: (1, {'@': 246}), 25: (1, {'@': 246}), 59: (1, {'@': 246}), 66: (1, {'@': 246}), 62: (1, {'@': 246}), 26: (1, {'@': 246}), 75: (1, {'@': 246}), 67: (1, {'@': 246}), 76: (1, {'@': 246}), 68: (1, {'@': 246}), 71: (1, {'@': 246}), 27: (1, {'@': 246}), 61: (1, {'@': 246}), 28: (1, {'@': 246}), 63: (1, {'@': 246}), 77: (1, {'@': 246}), 2: (1, {'@': 246}), 78: (1, {'@': 246}), 30: (1, {'@': 246}), 31: (1, {'@': 246}), 64: (1, {'@': 246})}, 381: {2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 22: (0, 426), 8: (0, 427)}, 382: {22: (0, 428)}, 383: {22: (0, 429)}, 384: {14: (1, {'@': 247}), 15: (1, {'@': 247}), 16: (1, {'@': 247}), 1: (1, {'@': 247}), 33: (1, {'@': 247}), 60: (1, {'@': 247}), 17: (1, {'@': 247}), 4: (1, {'@': 247}), 0: (1, {'@': 247}), 18: (1, {'@': 247}), 19: (1, {'@': 247}), 20: (1, {'@': 247}), 74: (1, {'@': 247}), 70: (1, {'@': 247}), 21: (1, {'@': 247}), 69: (1, {'@': 247}), 22: (1, {'@': 247}), 65: (1, {'@': 247}), 23: (1, {'@': 247}), 5: (1, {'@': 247}), 25: (1, {'@': 247}), 59: (1, {'@': 247}), 66: (1, {'@': 247}), 62: (1, {'@': 247}), 26: (1, {'@': 247}), 75: (1, {'@': 247}), 67: (1, {'@': 247}), 76: (1, {'@': 247}), 68: (1, {'@': 247}), 71: (1, {'@': 247}), 27: (1, {'@': 247}), 61: (1, {'@': 247}), 28: (1, {'@': 247}), 63: (1, {'@': 247}), 77: (1, {'@': 247}), 2: (1, {'@': 247}), 78: (1, {'@': 247}), 30: (1, {'@': 247}), 31: (1, {'@': 247}), 64: (1, {'@': 247})}, 385: {14: (1, {'@': 248}), 15: (1, {'@': 248}), 16: (1, {'@': 248}), 1: (1, {'@': 248}), 33: (1, {'@': 248}), 60: (1, {'@': 248}), 17: (1, {'@': 248}), 4: (1, {'@': 248}), 0: (1, {'@': 248}), 18: (1, {'@': 248}), 19: (1, {'@': 248}), 20: (1, {'@': 248}), 74: (1, {'@': 248}), 70: (1, {'@': 248}), 21: (1, {'@': 248}), 69: (1, {'@': 248}), 22: (1, {'@': 248}), 65: (1, {'@': 248}), 23: (1, {'@': 248}), 5: (1, {'@': 248}), 25: (1, {'@': 248}), 59: (1, {'@': 248}), 66: (1, {'@': 248}), 62: (1, {'@': 248}), 26: (1, {'@': 248}), 75: (1, {'@': 248}), 67: (1, {'@': 248}), 76: (1, {'@': 248}), 68: (1, {'@': 248}), 71: (1, {'@': 248}), 27: (1, {'@': 248}), 61: (1, {'@': 248}), 28: (1, {'@': 248}), 63: (1, {'@': 248}), 77: (1, {'@': 248}), 2: (1, {'@': 248}), 78: (1, {'@': 248}), 30: (1, {'@': 248}), 31: (1, {'@': 248}), 64: (1, {'@': 248})}, 386: {22: (0, 430)}, 387: {14: (1, {'@': 249}), 15: (1, {'@': 249}), 16: (1, {'@': 249}), 1: (1, {'@': 249}), 33: (1, {'@': 249}), 60: (1, {'@': 249}), 17: (1, {'@': 249}), 4: (1, {'@': 249}), 0: (1, {'@': 249}), 18: (1, {'@': 249}), 19: (1, {'@': 249}), 20: (1, {'@': 249}), 74: (1, {'@': 249}), 70: (1, {'@': 249}), 21: (1, {'@': 249}), 69: (1, {'@': 249}), 22: (1, {'@': 249}), 65: (1, {'@': 249}), 23: (1, {'@': 249}), 5: (1, {'@': 249}), 25: (1, {'@': 249}), 59: (1, {'@': 249}), 66: (1, {'@': 249}), 62: (1, {'@': 249}), 26: (1, {'@': 249}), 75: (1, {'@': 249}), 67: (1, {'@': 249}), 76: (1, {'@': 249}), 68: (1, {'@': 249}), 71: (1, {'@': 249}), 27: (1, {'@': 249}), 61: (1, {'@': 249}), 28: (1, {'@': 249}), 63: (1, {'@': 249}), 77: (1, {'@': 249}), 2: (1, {'@': 249}), 78: (1, {'@': 249}), 30: (1, {'@': 249}), 31: (1, {'@': 249}), 64: (1, {'@': 249})}, 388: {14: (1, {'@': 250}), 15: (1, {'@': 250}), 16: (1, {'@': 250}), 1: (1, {'@': 250}), 33: (1, {'@': 250}), 60: (1, {'@': 250}), 17: (1, {'@': 250}), 4: (1, {'@': 250}), 0: (1, {'@': 250}), 18: (1, {'@': 250}), 19: (1, {'@': 250}), 20: (1, {'@': 250}), 74: (1, {'@': 250}), 70: (1, {'@': 250}), 21: (1, {'@': 250}), 69: (1, {'@': 250}), 22: (1, {'@': 250}), 65: (1, {'@': 250}), 23: (1, {'@': 250}), 5: (1, {'@': 250}), 25: (1, {'@': 250}), 59: (1, {'@': 250}), 66: (1, {'@': 250}), 62: (1, {'@': 250}), 26: (1, {'@': 250}), 75: (1, {'@': 250}), 67: (1, {'@': 250}), 76: (1, {'@': 250}), 68: (1, {'@': 250}), 71: (1, {'@': 250}), 27: (1, {'@': 250}), 61: (1, {'@': 250}), 28: (1, {'@': 250}), 63: (1, {'@': 250}), 77: (1, {'@': 250}), 2: (1, {'@': 250}), 78: (1, {'@': 250}), 30: (1, {'@': 250}), 31: (1, {'@': 250}), 64: (1, {'@': 250})}, 389: {14: (1, {'@': 251}), 15: (1, {'@': 251}), 16: (1, {'@': 251}), 1: (1, {'@': 251}), 33: (1, {'@': 251}), 60: (1, {'@': 251}), 17: (1, {'@': 251}), 4: (1, {'@': 251}), 0: (1, {'@': 251}), 18: (1, {'@': 251}), 19: (1, {'@': 251}), 20: (1, {'@': 251}), 74: (1, {'@': 251}), 70: (1, {'@': 251}), 21: (1, {'@': 251}), 69: (1, {'@': 251}), 22: (1, {'@': 251}), 65: (1, {'@': 251}), 23: (1, {'@': 251}), 5: (1, {'@': 251}), 25: (1, {'@': 251}), 59: (1, {'@': 251}), 66: (1, {'@': 251}), 62: (1, {'@': 251}), 26: (1, {'@': 251}), 75: (1, {'@': 251}), 67: (1, {'@': 251}), 76: (1, {'@': 251}), 68: (1, {'@': 251}), 71: (1, {'@': 251}), 27: (1, {'@': 251}), 61: (1, {'@': 251}), 28: (1, {'@': 251}), 63: (1, {'@': 251}), 77: (1, {'@': 251}), 2: (1, {'@': 251}), 78: (1, {'@': 251}), 30: (1, {'@': 251}), 31: (1, {'@': 251}), 64: (1, {'@': 251})}, 390: {27: (0, 33), 34: (0, 369), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 391: {15: (1, {'@': 252}), 16: (1, {'@': 252}), 26: (1, {'@': 252}), 17: (1, {'@': 252}), 4: (1, {'@': 252}), 0: (1, {'@': 252}), 18: (1, {'@': 252}), 20: (1, {'@': 252}), 27: (1, {'@': 252}), 21: (1, {'@': 252}), 2: (1, {'@': 252}), 23: (1, {'@': 252}), 30: (1, {'@': 252}), 5: (1, {'@': 252}), 31: (1, {'@': 252}), 25: (1, {'@': 252})}, 392: {15: (1, {'@': 253}), 16: (1, {'@': 253}), 26: (1, {'@': 253}), 17: (1, {'@': 253}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 253}), 20: (1, {'@': 253}), 27: (1, {'@': 253}), 21: (1, {'@': 253}), 2: (0, 1), 23: (1, {'@': 253}), 30: (1, {'@': 253}), 5: (1, {'@': 253}), 31: (1, {'@': 253}), 25: (1, {'@': 253}), 7: (0, 5), 8: (0, 431)}, 393: {76: (0, 432), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 394: {27: (0, 33), 34: (0, 433), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 395: {27: (0, 33), 34: (0, 434), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 8: (0, 435), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 0: (0, 4), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 396: {15: (1, {'@': 254}), 16: (1, {'@': 254}), 26: (1, {'@': 254}), 17: (1, {'@': 254}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 254}), 20: (1, {'@': 254}), 27: (1, {'@': 254}), 21: (1, {'@': 254}), 2: (0, 1), 23: (1, {'@': 254}), 30: (1, {'@': 254}), 5: (1, {'@': 254}), 31: (1, {'@': 254}), 25: (1, {'@': 254}), 8: (0, 436), 7: (0, 5)}, 397: {76: (0, 437), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 398: {15: (1, {'@': 255}), 16: (1, {'@': 255}), 26: (1, {'@': 255}), 17: (1, {'@': 255}), 4: (1, {'@': 255}), 0: (1, {'@': 255}), 18: (1, {'@': 255}), 20: (1, {'@': 255}), 27: (1, {'@': 255}), 21: (1, {'@': 255}), 2: (1, {'@': 255}), 23: (1, {'@': 255}), 30: (1, {'@': 255}), 5: (1, {'@': 255}), 31: (1, {'@': 255}), 25: (1, {'@': 255})}, 399: {27: (0, 33), 34: (0, 438), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 8: (0, 439), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 400: {24: (0, 440)}, 401: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 76: (0, 441), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 402: {27: (0, 33), 34: (0, 442), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 403: {15: (1, {'@': 256}), 16: (1, {'@': 256}), 26: (1, {'@': 256}), 17: (1, {'@': 256}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 256}), 20: (1, {'@': 256}), 27: (1, {'@': 256}), 21: (1, {'@': 256}), 2: (0, 1), 23: (1, {'@': 256}), 30: (1, {'@': 256}), 5: (1, {'@': 256}), 31: (1, {'@': 256}), 25: (1, {'@': 256}), 7: (0, 5), 8: (0, 443)}, 404: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 76: (0, 444), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 405: {15: (1, {'@': 257}), 16: (1, {'@': 257}), 26: (1, {'@': 257}), 17: (1, {'@': 257}), 4: (1, {'@': 257}), 0: (1, {'@': 257}), 18: (1, {'@': 257}), 20: (1, {'@': 257}), 27: (1, {'@': 257}), 21: (1, {'@': 257}), 2: (1, {'@': 257}), 23: (1, {'@': 257}), 30: (1, {'@': 257}), 5: (1, {'@': 257}), 31: (1, {'@': 257}), 25: (1, {'@': 257})}, 406: {15: (1, {'@': 258}), 16: (1, {'@': 258}), 26: (1, {'@': 258}), 17: (1, {'@': 258}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 258}), 20: (1, {'@': 258}), 27: (1, {'@': 258}), 21: (1, {'@': 258}), 2: (0, 1), 23: (1, {'@': 258}), 30: (1, {'@': 258}), 5: (1, {'@': 258}), 31: (1, {'@': 258}), 25: (1, {'@': 258}), 7: (0, 5), 8: (0, 445)}, 407: {14: (1, {'@': 259}), 15: (1, {'@': 259}), 16: (1, {'@': 259}), 1: (1, {'@': 259}), 33: (1, {'@': 259}), 60: (1, {'@': 259}), 17: (1, {'@': 259}), 4: (1, {'@': 259}), 0: (1, {'@': 259}), 18: (1, {'@': 259}), 19: (1, {'@': 259}), 20: (1, {'@': 259}), 74: (1, {'@': 259}), 70: (1, {'@': 259}), 21: (1, {'@': 259}), 69: (1, {'@': 259}), 22: (1, {'@': 259}), 65: (1, {'@': 259}), 23: (1, {'@': 259}), 5: (1, {'@': 259}), 25: (1, {'@': 259}), 59: (1, {'@': 259}), 66: (1, {'@': 259}), 62: (1, {'@': 259}), 26: (1, {'@': 259}), 75: (1, {'@': 259}), 67: (1, {'@': 259}), 76: (1, {'@': 259}), 68: (1, {'@': 259}), 71: (1, {'@': 259}), 27: (1, {'@': 259}), 61: (1, {'@': 259}), 28: (1, {'@': 259}), 63: (1, {'@': 259}), 77: (1, {'@': 259}), 2: (1, {'@': 259}), 78: (1, {'@': 259}), 30: (1, {'@': 259}), 31: (1, {'@': 259}), 64: (1, {'@': 259})}, 408: {2: (0, 1), 4: (0, 9), 8: (0, 446), 7: (0, 5), 1: (0, 447), 0: (0, 4)}, 409: {1: (0, 448)}, 410: {1: (0, 449), 2: (0, 1), 4: (0, 9), 7: (0, 5), 89: (0, 450), 19: (0, 199), 8: (0, 451), 0: (0, 4)}, 411: {2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 8: (0, 452), 1: (0, 453)}, 412: {14: (1, {'@': 260}), 15: (1, {'@': 260}), 16: (1, {'@': 260}), 1: (1, {'@': 260}), 33: (1, {'@': 260}), 60: (1, {'@': 260}), 17: (1, {'@': 260}), 4: (1, {'@': 260}), 0: (1, {'@': 260}), 18: (1, {'@': 260}), 19: (1, {'@': 260}), 20: (1, {'@': 260}), 74: (1, {'@': 260}), 70: (1, {'@': 260}), 21: (1, {'@': 260}), 69: (1, {'@': 260}), 22: (1, {'@': 260}), 65: (1, {'@': 260}), 23: (1, {'@': 260}), 5: (1, {'@': 260}), 25: (1, {'@': 260}), 59: (1, {'@': 260}), 66: (1, {'@': 260}), 62: (1, {'@': 260}), 26: (1, {'@': 260}), 75: (1, {'@': 260}), 67: (1, {'@': 260}), 76: (1, {'@': 260}), 68: (1, {'@': 260}), 71: (1, {'@': 260}), 27: (1, {'@': 260}), 61: (1, {'@': 260}), 28: (1, {'@': 260}), 63: (1, {'@': 260}), 77: (1, {'@': 260}), 2: (1, {'@': 260}), 78: (1, {'@': 260}), 30: (1, {'@': 260}), 31: (1, {'@': 260}), 64: (1, {'@': 260})}, 413: {1: (0, 454)}, 414: {14: (1, {'@': 261}), 15: (1, {'@': 261}), 16: (1, {'@': 261}), 1: (1, {'@': 261}), 33: (1, {'@': 261}), 60: (1, {'@': 261}), 17: (1, {'@': 261}), 4: (1, {'@': 261}), 0: (1, {'@': 261}), 18: (1, {'@': 261}), 19: (1, {'@': 261}), 20: (1, {'@': 261}), 74: (1, {'@': 261}), 70: (1, {'@': 261}), 21: (1, {'@': 261}), 69: (1, {'@': 261}), 22: (1, {'@': 261}), 65: (1, {'@': 261}), 23: (1, {'@': 261}), 5: (1, {'@': 261}), 25: (1, {'@': 261}), 59: (1, {'@': 261}), 66: (1, {'@': 261}), 62: (1, {'@': 261}), 26: (1, {'@': 261}), 75: (1, {'@': 261}), 67: (1, {'@': 261}), 76: (1, {'@': 261}), 68: (1, {'@': 261}), 71: (1, {'@': 261}), 27: (1, {'@': 261}), 61: (1, {'@': 261}), 28: (1, {'@': 261}), 63: (1, {'@': 261}), 77: (1, {'@': 261}), 2: (1, {'@': 261}), 78: (1, {'@': 261}), 30: (1, {'@': 261}), 31: (1, {'@': 261}), 64: (1, {'@': 261})}, 415: {1: (0, 455)}, 416: {14: (1, {'@': 262}), 15: (1, {'@': 262}), 16: (1, {'@': 262}), 1: (1, {'@': 262}), 33: (1, {'@': 262}), 60: (1, {'@': 262}), 17: (1, {'@': 262}), 4: (1, {'@': 262}), 0: (1, {'@': 262}), 18: (1, {'@': 262}), 19: (1, {'@': 262}), 20: (1, {'@': 262}), 74: (1, {'@': 262}), 70: (1, {'@': 262}), 21: (1, {'@': 262}), 69: (1, {'@': 262}), 22: (1, {'@': 262}), 65: (1, {'@': 262}), 23: (1, {'@': 262}), 5: (1, {'@': 262}), 25: (1, {'@': 262}), 59: (1, {'@': 262}), 66: (1, {'@': 262}), 62: (1, {'@': 262}), 26: (1, {'@': 262}), 75: (1, {'@': 262}), 67: (1, {'@': 262}), 76: (1, {'@': 262}), 68: (1, {'@': 262}), 71: (1, {'@': 262}), 27: (1, {'@': 262}), 61: (1, {'@': 262}), 28: (1, {'@': 262}), 63: (1, {'@': 262}), 77: (1, {'@': 262}), 2: (1, {'@': 262}), 78: (1, {'@': 262}), 30: (1, {'@': 262}), 31: (1, {'@': 262}), 64: (1, {'@': 262})}, 417: {1: (0, 456), 2: (0, 1), 4: (0, 9), 7: (0, 5), 0: (0, 4), 8: (0, 457)}, 418: {14: (1, {'@': 263}), 15: (1, {'@': 263}), 16: (1, {'@': 263}), 1: (1, {'@': 263}), 33: (1, {'@': 263}), 60: (1, {'@': 263}), 17: (1, {'@': 263}), 4: (1, {'@': 263}), 0: (1, {'@': 263}), 18: (1, {'@': 263}), 19: (1, {'@': 263}), 20: (1, {'@': 263}), 74: (1, {'@': 263}), 70: (1, {'@': 263}), 21: (1, {'@': 263}), 69: (1, {'@': 263}), 22: (1, {'@': 263}), 65: (1, {'@': 263}), 23: (1, {'@': 263}), 5: (1, {'@': 263}), 25: (1, {'@': 263}), 59: (1, {'@': 263}), 66: (1, {'@': 263}), 62: (1, {'@': 263}), 26: (1, {'@': 263}), 75: (1, {'@': 263}), 67: (1, {'@': 263}), 76: (1, {'@': 263}), 68: (1, {'@': 263}), 71: (1, {'@': 263}), 27: (1, {'@': 263}), 61: (1, {'@': 263}), 28: (1, {'@': 263}), 63: (1, {'@': 263}), 77: (1, {'@': 263}), 2: (1, {'@': 263}), 78: (1, {'@': 263}), 30: (1, {'@': 263}), 31: (1, {'@': 263}), 64: (1, {'@': 263})}, 419: {1: (0, 458)}, 420: {14: (1, {'@': 264}), 15: (1, {'@': 264}), 16: (1, {'@': 264}), 1: (1, {'@': 264}), 33: (1, {'@': 264}), 60: (1, {'@': 264}), 17: (1, {'@': 264}), 4: (1, {'@': 264}), 0: (1, {'@': 264}), 18: (1, {'@': 264}), 19: (1, {'@': 264}), 20: (1, {'@': 264}), 74: (1, {'@': 264}), 70: (1, {'@': 264}), 21: (1, {'@': 264}), 69: (1, {'@': 264}), 22: (1, {'@': 264}), 65: (1, {'@': 264}), 23: (1, {'@': 264}), 5: (1, {'@': 264}), 25: (1, {'@': 264}), 59: (1, {'@': 264}), 66: (1, {'@': 264}), 62: (1, {'@': 264}), 26: (1, {'@': 264}), 75: (1, {'@': 264}), 67: (1, {'@': 264}), 76: (1, {'@': 264}), 68: (1, {'@': 264}), 71: (1, {'@': 264}), 27: (1, {'@': 264}), 61: (1, {'@': 264}), 28: (1, {'@': 264}), 63: (1, {'@': 264}), 77: (1, {'@': 264}), 2: (1, {'@': 264}), 78: (1, {'@': 264}), 30: (1, {'@': 264}), 31: (1, {'@': 264}), 64: (1, {'@': 264})}, 421: {14: (1, {'@': 265}), 15: (1, {'@': 265}), 16: (1, {'@': 265}), 1: (1, {'@': 265}), 33: (1, {'@': 265}), 60: (1, {'@': 265}), 17: (1, {'@': 265}), 4: (1, {'@': 265}), 0: (1, {'@': 265}), 18: (1, {'@': 265}), 19: (1, {'@': 265}), 20: (1, {'@': 265}), 74: (1, {'@': 265}), 70: (1, {'@': 265}), 21: (1, {'@': 265}), 69: (1, {'@': 265}), 22: (1, {'@': 265}), 65: (1, {'@': 265}), 23: (1, {'@': 265}), 5: (1, {'@': 265}), 25: (1, {'@': 265}), 59: (1, {'@': 265}), 66: (1, {'@': 265}), 62: (1, {'@': 265}), 26: (1, {'@': 265}), 75: (1, {'@': 265}), 67: (1, {'@': 265}), 76: (1, {'@': 265}), 68: (1, {'@': 265}), 71: (1, {'@': 265}), 27: (1, {'@': 265}), 61: (1, {'@': 265}), 28: (1, {'@': 265}), 63: (1, {'@': 265}), 77: (1, {'@': 265}), 2: (1, {'@': 265}), 78: (1, {'@': 265}), 30: (1, {'@': 265}), 31: (1, {'@': 265}), 64: (1, {'@': 265})}, 422: {1: (0, 459)}, 423: {14: (1, {'@': 266}), 15: (1, {'@': 266}), 16: (1, {'@': 266}), 1: (1, {'@': 266}), 33: (1, {'@': 266}), 60: (1, {'@': 266}), 17: (1, {'@': 266}), 4: (1, {'@': 266}), 0: (1, {'@': 266}), 18: (1, {'@': 266}), 19: (1, {'@': 266}), 20: (1, {'@': 266}), 74: (1, {'@': 266}), 70: (1, {'@': 266}), 21: (1, {'@': 266}), 69: (1, {'@': 266}), 22: (1, {'@': 266}), 65: (1, {'@': 266}), 23: (1, {'@': 266}), 5: (1, {'@': 266}), 25: (1, {'@': 266}), 59: (1, {'@': 266}), 66: (1, {'@': 266}), 62: (1, {'@': 266}), 26: (1, {'@': 266}), 75: (1, {'@': 266}), 67: (1, {'@': 266}), 76: (1, {'@': 266}), 68: (1, {'@': 266}), 71: (1, {'@': 266}), 27: (1, {'@': 266}), 61: (1, {'@': 266}), 28: (1, {'@': 266}), 63: (1, {'@': 266}), 77: (1, {'@': 266}), 2: (1, {'@': 266}), 78: (1, {'@': 266}), 30: (1, {'@': 266}), 31: (1, {'@': 266}), 64: (1, {'@': 266})}, 424: {14: (1, {'@': 267}), 15: (1, {'@': 267}), 16: (1, {'@': 267}), 1: (1, {'@': 267}), 33: (1, {'@': 267}), 60: (1, {'@': 267}), 17: (1, {'@': 267}), 4: (1, {'@': 267}), 0: (1, {'@': 267}), 18: (1, {'@': 267}), 19: (1, {'@': 267}), 20: (1, {'@': 267}), 74: (1, {'@': 267}), 70: (1, {'@': 267}), 21: (1, {'@': 267}), 69: (1, {'@': 267}), 22: (1, {'@': 267}), 65: (1, {'@': 267}), 23: (1, {'@': 267}), 5: (1, {'@': 267}), 25: (1, {'@': 267}), 59: (1, {'@': 267}), 66: (1, {'@': 267}), 62: (1, {'@': 267}), 26: (1, {'@': 267}), 75: (1, {'@': 267}), 67: (1, {'@': 267}), 76: (1, {'@': 267}), 68: (1, {'@': 267}), 71: (1, {'@': 267}), 27: (1, {'@': 267}), 61: (1, {'@': 267}), 28: (1, {'@': 267}), 63: (1, {'@': 267}), 77: (1, {'@': 267}), 2: (1, {'@': 267}), 78: (1, {'@': 267}), 30: (1, {'@': 267}), 31: (1, {'@': 267}), 64: (1, {'@': 267})}, 425: {14: (1, {'@': 268}), 15: (1, {'@': 268}), 16: (1, {'@': 268}), 1: (1, {'@': 268}), 33: (1, {'@': 268}), 60: (1, {'@': 268}), 17: (1, {'@': 268}), 4: (1, {'@': 268}), 0: (1, {'@': 268}), 18: (1, {'@': 268}), 19: (1, {'@': 268}), 20: (1, {'@': 268}), 74: (1, {'@': 268}), 70: (1, {'@': 268}), 21: (1, {'@': 268}), 69: (1, {'@': 268}), 22: (1, {'@': 268}), 65: (1, {'@': 268}), 23: (1, {'@': 268}), 5: (1, {'@': 268}), 25: (1, {'@': 268}), 59: (1, {'@': 268}), 66: (1, {'@': 268}), 62: (1, {'@': 268}), 26: (1, {'@': 268}), 75: (1, {'@': 268}), 67: (1, {'@': 268}), 76: (1, {'@': 268}), 68: (1, {'@': 268}), 71: (1, {'@': 268}), 27: (1, {'@': 268}), 61: (1, {'@': 268}), 28: (1, {'@': 268}), 63: (1, {'@': 268}), 77: (1, {'@': 268}), 2: (1, {'@': 268}), 78: (1, {'@': 268}), 30: (1, {'@': 268}), 31: (1, {'@': 268}), 64: (1, {'@': 268})}, 426: {14: (1, {'@': 269}), 15: (1, {'@': 269}), 16: (1, {'@': 269}), 1: (1, {'@': 269}), 33: (1, {'@': 269}), 60: (1, {'@': 269}), 17: (1, {'@': 269}), 4: (1, {'@': 269}), 0: (1, {'@': 269}), 18: (1, {'@': 269}), 19: (1, {'@': 269}), 20: (1, {'@': 269}), 74: (1, {'@': 269}), 70: (1, {'@': 269}), 21: (1, {'@': 269}), 69: (1, {'@': 269}), 22: (1, {'@': 269}), 65: (1, {'@': 269}), 23: (1, {'@': 269}), 5: (1, {'@': 269}), 25: (1, {'@': 269}), 59: (1, {'@': 269}), 66: (1, {'@': 269}), 62: (1, {'@': 269}), 26: (1, {'@': 269}), 75: (1, {'@': 269}), 67: (1, {'@': 269}), 76: (1, {'@': 269}), 68: (1, {'@': 269}), 71: (1, {'@': 269}), 27: (1, {'@': 269}), 61: (1, {'@': 269}), 28: (1, {'@': 269}), 63: (1, {'@': 269}), 77: (1, {'@': 269}), 2: (1, {'@': 269}), 78: (1, {'@': 269}), 30: (1, {'@': 269}), 31: (1, {'@': 269}), 64: (1, {'@': 269})}, 427: {22: (0, 460)}, 428: {14: (1, {'@': 270}), 15: (1, {'@': 270}), 16: (1, {'@': 270}), 1: (1, {'@': 270}), 33: (1, {'@': 270}), 60: (1, {'@': 270}), 17: (1, {'@': 270}), 4: (1, {'@': 270}), 0: (1, {'@': 270}), 18: (1, {'@': 270}), 19: (1, {'@': 270}), 20: (1, {'@': 270}), 74: (1, {'@': 270}), 70: (1, {'@': 270}), 21: (1, {'@': 270}), 69: (1, {'@': 270}), 22: (1, {'@': 270}), 65: (1, {'@': 270}), 23: (1, {'@': 270}), 5: (1, {'@': 270}), 25: (1, {'@': 270}), 59: (1, {'@': 270}), 66: (1, {'@': 270}), 62: (1, {'@': 270}), 26: (1, {'@': 270}), 75: (1, {'@': 270}), 67: (1, {'@': 270}), 76: (1, {'@': 270}), 68: (1, {'@': 270}), 71: (1, {'@': 270}), 27: (1, {'@': 270}), 61: (1, {'@': 270}), 28: (1, {'@': 270}), 63: (1, {'@': 270}), 77: (1, {'@': 270}), 2: (1, {'@': 270}), 78: (1, {'@': 270}), 30: (1, {'@': 270}), 31: (1, {'@': 270}), 64: (1, {'@': 270})}, 429: {14: (1, {'@': 271}), 15: (1, {'@': 271}), 16: (1, {'@': 271}), 1: (1, {'@': 271}), 33: (1, {'@': 271}), 60: (1, {'@': 271}), 17: (1, {'@': 271}), 4: (1, {'@': 271}), 0: (1, {'@': 271}), 18: (1, {'@': 271}), 19: (1, {'@': 271}), 20: (1, {'@': 271}), 74: (1, {'@': 271}), 70: (1, {'@': 271}), 21: (1, {'@': 271}), 69: (1, {'@': 271}), 22: (1, {'@': 271}), 65: (1, {'@': 271}), 23: (1, {'@': 271}), 5: (1, {'@': 271}), 25: (1, {'@': 271}), 59: (1, {'@': 271}), 66: (1, {'@': 271}), 62: (1, {'@': 271}), 26: (1, {'@': 271}), 75: (1, {'@': 271}), 67: (1, {'@': 271}), 76: (1, {'@': 271}), 68: (1, {'@': 271}), 71: (1, {'@': 271}), 27: (1, {'@': 271}), 61: (1, {'@': 271}), 28: (1, {'@': 271}), 63: (1, {'@': 271}), 77: (1, {'@': 271}), 2: (1, {'@': 271}), 78: (1, {'@': 271}), 30: (1, {'@': 271}), 31: (1, {'@': 271}), 64: (1, {'@': 271})}, 430: {14: (1, {'@': 272}), 15: (1, {'@': 272}), 16: (1, {'@': 272}), 1: (1, {'@': 272}), 33: (1, {'@': 272}), 60: (1, {'@': 272}), 17: (1, {'@': 272}), 4: (1, {'@': 272}), 0: (1, {'@': 272}), 18: (1, {'@': 272}), 19: (1, {'@': 272}), 20: (1, {'@': 272}), 74: (1, {'@': 272}), 70: (1, {'@': 272}), 21: (1, {'@': 272}), 69: (1, {'@': 272}), 22: (1, {'@': 272}), 65: (1, {'@': 272}), 23: (1, {'@': 272}), 5: (1, {'@': 272}), 25: (1, {'@': 272}), 59: (1, {'@': 272}), 66: (1, {'@': 272}), 62: (1, {'@': 272}), 26: (1, {'@': 272}), 75: (1, {'@': 272}), 67: (1, {'@': 272}), 76: (1, {'@': 272}), 68: (1, {'@': 272}), 71: (1, {'@': 272}), 27: (1, {'@': 272}), 61: (1, {'@': 272}), 28: (1, {'@': 272}), 63: (1, {'@': 272}), 77: (1, {'@': 272}), 2: (1, {'@': 272}), 78: (1, {'@': 272}), 30: (1, {'@': 272}), 31: (1, {'@': 272}), 64: (1, {'@': 272})}, 431: {15: (1, {'@': 273}), 16: (1, {'@': 273}), 26: (1, {'@': 273}), 17: (1, {'@': 273}), 4: (1, {'@': 273}), 0: (1, {'@': 273}), 18: (1, {'@': 273}), 20: (1, {'@': 273}), 27: (1, {'@': 273}), 21: (1, {'@': 273}), 2: (1, {'@': 273}), 23: (1, {'@': 273}), 30: (1, {'@': 273}), 5: (1, {'@': 273}), 31: (1, {'@': 273}), 25: (1, {'@': 273})}, 432: {15: (1, {'@': 274}), 16: (1, {'@': 274}), 26: (1, {'@': 274}), 17: (1, {'@': 274}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 274}), 20: (1, {'@': 274}), 27: (1, {'@': 274}), 21: (1, {'@': 274}), 2: (0, 1), 23: (1, {'@': 274}), 30: (1, {'@': 274}), 5: (1, {'@': 274}), 31: (1, {'@': 274}), 25: (1, {'@': 274}), 8: (0, 461), 7: (0, 5)}, 433: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 76: (0, 462), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 434: {76: (0, 463), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 435: {27: (0, 33), 34: (0, 464), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 436: {15: (1, {'@': 275}), 16: (1, {'@': 275}), 26: (1, {'@': 275}), 17: (1, {'@': 275}), 4: (1, {'@': 275}), 0: (1, {'@': 275}), 18: (1, {'@': 275}), 20: (1, {'@': 275}), 27: (1, {'@': 275}), 21: (1, {'@': 275}), 2: (1, {'@': 275}), 23: (1, {'@': 275}), 30: (1, {'@': 275}), 5: (1, {'@': 275}), 31: (1, {'@': 275}), 25: (1, {'@': 275})}, 437: {15: (1, {'@': 276}), 16: (1, {'@': 276}), 26: (1, {'@': 276}), 17: (1, {'@': 276}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 276}), 20: (1, {'@': 276}), 27: (1, {'@': 276}), 21: (1, {'@': 276}), 2: (0, 1), 23: (1, {'@': 276}), 30: (1, {'@': 276}), 5: (1, {'@': 276}), 31: (1, {'@': 276}), 25: (1, {'@': 276}), 8: (0, 465), 7: (0, 5)}, 438: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 76: (0, 466), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 439: {27: (0, 33), 34: (0, 467), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 440: {27: (0, 33), 34: (0, 468), 8: (0, 469), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 7: (0, 5), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 0: (0, 4), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 2: (0, 1), 56: (0, 67), 4: (0, 9), 23: (0, 68)}, 441: {15: (1, {'@': 277}), 16: (1, {'@': 277}), 26: (1, {'@': 277}), 17: (1, {'@': 277}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 277}), 20: (1, {'@': 277}), 27: (1, {'@': 277}), 21: (1, {'@': 277}), 2: (0, 1), 23: (1, {'@': 277}), 30: (1, {'@': 277}), 5: (1, {'@': 277}), 31: (1, {'@': 277}), 25: (1, {'@': 277}), 7: (0, 5), 8: (0, 470)}, 442: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 76: (0, 471), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 443: {15: (1, {'@': 278}), 16: (1, {'@': 278}), 26: (1, {'@': 278}), 17: (1, {'@': 278}), 4: (1, {'@': 278}), 0: (1, {'@': 278}), 18: (1, {'@': 278}), 20: (1, {'@': 278}), 27: (1, {'@': 278}), 21: (1, {'@': 278}), 2: (1, {'@': 278}), 23: (1, {'@': 278}), 30: (1, {'@': 278}), 5: (1, {'@': 278}), 31: (1, {'@': 278}), 25: (1, {'@': 278})}, 444: {15: (1, {'@': 279}), 16: (1, {'@': 279}), 26: (1, {'@': 279}), 17: (1, {'@': 279}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 279}), 20: (1, {'@': 279}), 27: (1, {'@': 279}), 21: (1, {'@': 279}), 2: (0, 1), 23: (1, {'@': 279}), 30: (1, {'@': 279}), 5: (1, {'@': 279}), 31: (1, {'@': 279}), 25: (1, {'@': 279}), 7: (0, 5), 8: (0, 472)}, 445: {15: (1, {'@': 280}), 16: (1, {'@': 280}), 26: (1, {'@': 280}), 17: (1, {'@': 280}), 4: (1, {'@': 280}), 0: (1, {'@': 280}), 18: (1, {'@': 280}), 20: (1, {'@': 280}), 27: (1, {'@': 280}), 21: (1, {'@': 280}), 2: (1, {'@': 280}), 23: (1, {'@': 280}), 30: (1, {'@': 280}), 5: (1, {'@': 280}), 31: (1, {'@': 280}), 25: (1, {'@': 280})}, 446: {1: (0, 473)}, 447: {14: (1, {'@': 281}), 15: (1, {'@': 281}), 16: (1, {'@': 281}), 1: (1, {'@': 281}), 33: (1, {'@': 281}), 60: (1, {'@': 281}), 17: (1, {'@': 281}), 4: (1, {'@': 281}), 0: (1, {'@': 281}), 18: (1, {'@': 281}), 19: (1, {'@': 281}), 20: (1, {'@': 281}), 74: (1, {'@': 281}), 70: (1, {'@': 281}), 21: (1, {'@': 281}), 69: (1, {'@': 281}), 22: (1, {'@': 281}), 65: (1, {'@': 281}), 23: (1, {'@': 281}), 5: (1, {'@': 281}), 25: (1, {'@': 281}), 59: (1, {'@': 281}), 66: (1, {'@': 281}), 62: (1, {'@': 281}), 26: (1, {'@': 281}), 75: (1, {'@': 281}), 67: (1, {'@': 281}), 76: (1, {'@': 281}), 68: (1, {'@': 281}), 71: (1, {'@': 281}), 27: (1, {'@': 281}), 61: (1, {'@': 281}), 28: (1, {'@': 281}), 63: (1, {'@': 281}), 77: (1, {'@': 281}), 2: (1, {'@': 281}), 78: (1, {'@': 281}), 30: (1, {'@': 281}), 31: (1, {'@': 281}), 64: (1, {'@': 281})}, 448: {14: (1, {'@': 282}), 15: (1, {'@': 282}), 16: (1, {'@': 282}), 1: (1, {'@': 282}), 33: (1, {'@': 282}), 60: (1, {'@': 282}), 17: (1, {'@': 282}), 4: (1, {'@': 282}), 0: (1, {'@': 282}), 18: (1, {'@': 282}), 19: (1, {'@': 282}), 20: (1, {'@': 282}), 74: (1, {'@': 282}), 70: (1, {'@': 282}), 21: (1, {'@': 282}), 69: (1, {'@': 282}), 22: (1, {'@': 282}), 65: (1, {'@': 282}), 23: (1, {'@': 282}), 5: (1, {'@': 282}), 25: (1, {'@': 282}), 59: (1, {'@': 282}), 66: (1, {'@': 282}), 62: (1, {'@': 282}), 26: (1, {'@': 282}), 75: (1, {'@': 282}), 67: (1, {'@': 282}), 76: (1, {'@': 282}), 68: (1, {'@': 282}), 71: (1, {'@': 282}), 27: (1, {'@': 282}), 61: (1, {'@': 282}), 28: (1, {'@': 282}), 63: (1, {'@': 282}), 77: (1, {'@': 282}), 2: (1, {'@': 282}), 78: (1, {'@': 282}), 30: (1, {'@': 282}), 31: (1, {'@': 282}), 64: (1, {'@': 282})}, 449: {14: (1, {'@': 283}), 15: (1, {'@': 283}), 16: (1, {'@': 283}), 1: (1, {'@': 283}), 33: (1, {'@': 283}), 60: (1, {'@': 283}), 17: (1, {'@': 283}), 4: (1, {'@': 283}), 0: (1, {'@': 283}), 18: (1, {'@': 283}), 19: (1, {'@': 283}), 20: (1, {'@': 283}), 74: (1, {'@': 283}), 70: (1, {'@': 283}), 21: (1, {'@': 283}), 69: (1, {'@': 283}), 22: (1, {'@': 283}), 65: (1, {'@': 283}), 23: (1, {'@': 283}), 5: (1, {'@': 283}), 25: (1, {'@': 283}), 59: (1, {'@': 283}), 66: (1, {'@': 283}), 62: (1, {'@': 283}), 26: (1, {'@': 283}), 75: (1, {'@': 283}), 67: (1, {'@': 283}), 76: (1, {'@': 283}), 68: (1, {'@': 283}), 71: (1, {'@': 283}), 27: (1, {'@': 283}), 61: (1, {'@': 283}), 28: (1, {'@': 283}), 63: (1, {'@': 283}), 77: (1, {'@': 283}), 2: (1, {'@': 283}), 78: (1, {'@': 283}), 30: (1, {'@': 283}), 31: (1, {'@': 283}), 64: (1, {'@': 283})}, 450: {2: (0, 1), 4: (0, 9), 7: (0, 5), 8: (0, 474), 1: (0, 475), 0: (0, 4)}, 451: {1: (0, 476)}, 452: {1: (0, 477)}, 453: {14: (1, {'@': 284}), 15: (1, {'@': 284}), 16: (1, {'@': 284}), 1: (1, {'@': 284}), 33: (1, {'@': 284}), 60: (1, {'@': 284}), 17: (1, {'@': 284}), 4: (1, {'@': 284}), 0: (1, {'@': 284}), 18: (1, {'@': 284}), 19: (1, {'@': 284}), 20: (1, {'@': 284}), 74: (1, {'@': 284}), 70: (1, {'@': 284}), 21: (1, {'@': 284}), 69: (1, {'@': 284}), 22: (1, {'@': 284}), 65: (1, {'@': 284}), 23: (1, {'@': 284}), 5: (1, {'@': 284}), 25: (1, {'@': 284}), 59: (1, {'@': 284}), 66: (1, {'@': 284}), 62: (1, {'@': 284}), 26: (1, {'@': 284}), 75: (1, {'@': 284}), 67: (1, {'@': 284}), 76: (1, {'@': 284}), 68: (1, {'@': 284}), 71: (1, {'@': 284}), 27: (1, {'@': 284}), 61: (1, {'@': 284}), 28: (1, {'@': 284}), 63: (1, {'@': 284}), 77: (1, {'@': 284}), 2: (1, {'@': 284}), 78: (1, {'@': 284}), 30: (1, {'@': 284}), 31: (1, {'@': 284}), 64: (1, {'@': 284})}, 454: {14: (1, {'@': 285}), 15: (1, {'@': 285}), 16: (1, {'@': 285}), 1: (1, {'@': 285}), 33: (1, {'@': 285}), 60: (1, {'@': 285}), 17: (1, {'@': 285}), 4: (1, {'@': 285}), 0: (1, {'@': 285}), 18: (1, {'@': 285}), 19: (1, {'@': 285}), 20: (1, {'@': 285}), 74: (1, {'@': 285}), 70: (1, {'@': 285}), 21: (1, {'@': 285}), 69: (1, {'@': 285}), 22: (1, {'@': 285}), 65: (1, {'@': 285}), 23: (1, {'@': 285}), 5: (1, {'@': 285}), 25: (1, {'@': 285}), 59: (1, {'@': 285}), 66: (1, {'@': 285}), 62: (1, {'@': 285}), 26: (1, {'@': 285}), 75: (1, {'@': 285}), 67: (1, {'@': 285}), 76: (1, {'@': 285}), 68: (1, {'@': 285}), 71: (1, {'@': 285}), 27: (1, {'@': 285}), 61: (1, {'@': 285}), 28: (1, {'@': 285}), 63: (1, {'@': 285}), 77: (1, {'@': 285}), 2: (1, {'@': 285}), 78: (1, {'@': 285}), 30: (1, {'@': 285}), 31: (1, {'@': 285}), 64: (1, {'@': 285})}, 455: {14: (1, {'@': 286}), 15: (1, {'@': 286}), 16: (1, {'@': 286}), 1: (1, {'@': 286}), 33: (1, {'@': 286}), 60: (1, {'@': 286}), 17: (1, {'@': 286}), 4: (1, {'@': 286}), 0: (1, {'@': 286}), 18: (1, {'@': 286}), 19: (1, {'@': 286}), 20: (1, {'@': 286}), 74: (1, {'@': 286}), 70: (1, {'@': 286}), 21: (1, {'@': 286}), 69: (1, {'@': 286}), 22: (1, {'@': 286}), 65: (1, {'@': 286}), 23: (1, {'@': 286}), 5: (1, {'@': 286}), 25: (1, {'@': 286}), 59: (1, {'@': 286}), 66: (1, {'@': 286}), 62: (1, {'@': 286}), 26: (1, {'@': 286}), 75: (1, {'@': 286}), 67: (1, {'@': 286}), 76: (1, {'@': 286}), 68: (1, {'@': 286}), 71: (1, {'@': 286}), 27: (1, {'@': 286}), 61: (1, {'@': 286}), 28: (1, {'@': 286}), 63: (1, {'@': 286}), 77: (1, {'@': 286}), 2: (1, {'@': 286}), 78: (1, {'@': 286}), 30: (1, {'@': 286}), 31: (1, {'@': 286}), 64: (1, {'@': 286})}, 456: {14: (1, {'@': 287}), 15: (1, {'@': 287}), 16: (1, {'@': 287}), 1: (1, {'@': 287}), 33: (1, {'@': 287}), 60: (1, {'@': 287}), 17: (1, {'@': 287}), 4: (1, {'@': 287}), 0: (1, {'@': 287}), 18: (1, {'@': 287}), 19: (1, {'@': 287}), 20: (1, {'@': 287}), 74: (1, {'@': 287}), 70: (1, {'@': 287}), 21: (1, {'@': 287}), 69: (1, {'@': 287}), 22: (1, {'@': 287}), 65: (1, {'@': 287}), 23: (1, {'@': 287}), 5: (1, {'@': 287}), 25: (1, {'@': 287}), 59: (1, {'@': 287}), 66: (1, {'@': 287}), 62: (1, {'@': 287}), 26: (1, {'@': 287}), 75: (1, {'@': 287}), 67: (1, {'@': 287}), 76: (1, {'@': 287}), 68: (1, {'@': 287}), 71: (1, {'@': 287}), 27: (1, {'@': 287}), 61: (1, {'@': 287}), 28: (1, {'@': 287}), 63: (1, {'@': 287}), 77: (1, {'@': 287}), 2: (1, {'@': 287}), 78: (1, {'@': 287}), 30: (1, {'@': 287}), 31: (1, {'@': 287}), 64: (1, {'@': 287})}, 457: {1: (0, 478)}, 458: {14: (1, {'@': 288}), 15: (1, {'@': 288}), 16: (1, {'@': 288}), 1: (1, {'@': 288}), 33: (1, {'@': 288}), 60: (1, {'@': 288}), 17: (1, {'@': 288}), 4: (1, {'@': 288}), 0: (1, {'@': 288}), 18: (1, {'@': 288}), 19: (1, {'@': 288}), 20: (1, {'@': 288}), 74: (1, {'@': 288}), 70: (1, {'@': 288}), 21: (1, {'@': 288}), 69: (1, {'@': 288}), 22: (1, {'@': 288}), 65: (1, {'@': 288}), 23: (1, {'@': 288}), 5: (1, {'@': 288}), 25: (1, {'@': 288}), 59: (1, {'@': 288}), 66: (1, {'@': 288}), 62: (1, {'@': 288}), 26: (1, {'@': 288}), 75: (1, {'@': 288}), 67: (1, {'@': 288}), 76: (1, {'@': 288}), 68: (1, {'@': 288}), 71: (1, {'@': 288}), 27: (1, {'@': 288}), 61: (1, {'@': 288}), 28: (1, {'@': 288}), 63: (1, {'@': 288}), 77: (1, {'@': 288}), 2: (1, {'@': 288}), 78: (1, {'@': 288}), 30: (1, {'@': 288}), 31: (1, {'@': 288}), 64: (1, {'@': 288})}, 459: {14: (1, {'@': 289}), 15: (1, {'@': 289}), 16: (1, {'@': 289}), 1: (1, {'@': 289}), 33: (1, {'@': 289}), 60: (1, {'@': 289}), 17: (1, {'@': 289}), 4: (1, {'@': 289}), 0: (1, {'@': 289}), 18: (1, {'@': 289}), 19: (1, {'@': 289}), 20: (1, {'@': 289}), 74: (1, {'@': 289}), 70: (1, {'@': 289}), 21: (1, {'@': 289}), 69: (1, {'@': 289}), 22: (1, {'@': 289}), 65: (1, {'@': 289}), 23: (1, {'@': 289}), 5: (1, {'@': 289}), 25: (1, {'@': 289}), 59: (1, {'@': 289}), 66: (1, {'@': 289}), 62: (1, {'@': 289}), 26: (1, {'@': 289}), 75: (1, {'@': 289}), 67: (1, {'@': 289}), 76: (1, {'@': 289}), 68: (1, {'@': 289}), 71: (1, {'@': 289}), 27: (1, {'@': 289}), 61: (1, {'@': 289}), 28: (1, {'@': 289}), 63: (1, {'@': 289}), 77: (1, {'@': 289}), 2: (1, {'@': 289}), 78: (1, {'@': 289}), 30: (1, {'@': 289}), 31: (1, {'@': 289}), 64: (1, {'@': 289})}, 460: {14: (1, {'@': 290}), 15: (1, {'@': 290}), 16: (1, {'@': 290}), 1: (1, {'@': 290}), 33: (1, {'@': 290}), 60: (1, {'@': 290}), 17: (1, {'@': 290}), 4: (1, {'@': 290}), 0: (1, {'@': 290}), 18: (1, {'@': 290}), 19: (1, {'@': 290}), 20: (1, {'@': 290}), 74: (1, {'@': 290}), 70: (1, {'@': 290}), 21: (1, {'@': 290}), 69: (1, {'@': 290}), 22: (1, {'@': 290}), 65: (1, {'@': 290}), 23: (1, {'@': 290}), 5: (1, {'@': 290}), 25: (1, {'@': 290}), 59: (1, {'@': 290}), 66: (1, {'@': 290}), 62: (1, {'@': 290}), 26: (1, {'@': 290}), 75: (1, {'@': 290}), 67: (1, {'@': 290}), 76: (1, {'@': 290}), 68: (1, {'@': 290}), 71: (1, {'@': 290}), 27: (1, {'@': 290}), 61: (1, {'@': 290}), 28: (1, {'@': 290}), 63: (1, {'@': 290}), 77: (1, {'@': 290}), 2: (1, {'@': 290}), 78: (1, {'@': 290}), 30: (1, {'@': 290}), 31: (1, {'@': 290}), 64: (1, {'@': 290})}, 461: {15: (1, {'@': 291}), 16: (1, {'@': 291}), 26: (1, {'@': 291}), 17: (1, {'@': 291}), 4: (1, {'@': 291}), 0: (1, {'@': 291}), 18: (1, {'@': 291}), 20: (1, {'@': 291}), 27: (1, {'@': 291}), 21: (1, {'@': 291}), 2: (1, {'@': 291}), 23: (1, {'@': 291}), 30: (1, {'@': 291}), 5: (1, {'@': 291}), 31: (1, {'@': 291}), 25: (1, {'@': 291})}, 462: {15: (1, {'@': 292}), 16: (1, {'@': 292}), 26: (1, {'@': 292}), 17: (1, {'@': 292}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 292}), 20: (1, {'@': 292}), 27: (1, {'@': 292}), 21: (1, {'@': 292}), 2: (0, 1), 23: (1, {'@': 292}), 30: (1, {'@': 292}), 5: (1, {'@': 292}), 31: (1, {'@': 292}), 25: (1, {'@': 292}), 7: (0, 5), 8: (0, 479)}, 463: {15: (1, {'@': 293}), 16: (1, {'@': 293}), 26: (1, {'@': 293}), 17: (1, {'@': 293}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 293}), 20: (1, {'@': 293}), 27: (1, {'@': 293}), 21: (1, {'@': 293}), 2: (0, 1), 23: (1, {'@': 293}), 30: (1, {'@': 293}), 5: (1, {'@': 293}), 31: (1, {'@': 293}), 25: (1, {'@': 293}), 7: (0, 5), 8: (0, 480)}, 464: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 76: (0, 481), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 465: {15: (1, {'@': 294}), 16: (1, {'@': 294}), 26: (1, {'@': 294}), 17: (1, {'@': 294}), 4: (1, {'@': 294}), 0: (1, {'@': 294}), 18: (1, {'@': 294}), 20: (1, {'@': 294}), 27: (1, {'@': 294}), 21: (1, {'@': 294}), 2: (1, {'@': 294}), 23: (1, {'@': 294}), 30: (1, {'@': 294}), 5: (1, {'@': 294}), 31: (1, {'@': 294}), 25: (1, {'@': 294})}, 466: {15: (1, {'@': 295}), 16: (1, {'@': 295}), 26: (1, {'@': 295}), 17: (1, {'@': 295}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 295}), 20: (1, {'@': 295}), 27: (1, {'@': 295}), 21: (1, {'@': 295}), 2: (0, 1), 23: (1, {'@': 295}), 30: (1, {'@': 295}), 5: (1, {'@': 295}), 31: (1, {'@': 295}), 25: (1, {'@': 295}), 8: (0, 482), 7: (0, 5)}, 467: {76: (0, 483), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 468: {76: (0, 484), 59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 469: {27: (0, 33), 34: (0, 485), 15: (0, 35), 35: (0, 36), 5: (0, 37), 25: (0, 38), 16: (0, 39), 36: (0, 40), 30: (0, 41), 37: (0, 42), 38: (0, 43), 39: (0, 44), 40: (0, 45), 41: (0, 46), 42: (0, 47), 31: (0, 48), 43: (0, 49), 44: (0, 50), 21: (0, 51), 45: (0, 52), 46: (0, 53), 47: (0, 54), 48: (0, 55), 17: (0, 56), 49: (0, 57), 50: (0, 58), 51: (0, 59), 52: (0, 60), 18: (0, 61), 53: (0, 62), 26: (0, 63), 54: (0, 64), 55: (0, 65), 20: (0, 66), 56: (0, 67), 23: (0, 68)}, 470: {15: (1, {'@': 296}), 16: (1, {'@': 296}), 26: (1, {'@': 296}), 17: (1, {'@': 296}), 4: (1, {'@': 296}), 0: (1, {'@': 296}), 18: (1, {'@': 296}), 20: (1, {'@': 296}), 27: (1, {'@': 296}), 21: (1, {'@': 296}), 2: (1, {'@': 296}), 23: (1, {'@': 296}), 30: (1, {'@': 296}), 5: (1, {'@': 296}), 31: (1, {'@': 296}), 25: (1, {'@': 296})}, 471: {15: (1, {'@': 297}), 16: (1, {'@': 297}), 26: (1, {'@': 297}), 17: (1, {'@': 297}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 297}), 20: (1, {'@': 297}), 27: (1, {'@': 297}), 21: (1, {'@': 297}), 2: (0, 1), 23: (1, {'@': 297}), 30: (1, {'@': 297}), 5: (1, {'@': 297}), 31: (1, {'@': 297}), 25: (1, {'@': 297}), 8: (0, 486), 7: (0, 5)}, 472: {15: (1, {'@': 298}), 16: (1, {'@': 298}), 26: (1, {'@': 298}), 17: (1, {'@': 298}), 4: (1, {'@': 298}), 0: (1, {'@': 298}), 18: (1, {'@': 298}), 20: (1, {'@': 298}), 27: (1, {'@': 298}), 21: (1, {'@': 298}), 2: (1, {'@': 298}), 23: (1, {'@': 298}), 30: (1, {'@': 298}), 5: (1, {'@': 298}), 31: (1, {'@': 298}), 25: (1, {'@': 298})}, 473: {14: (1, {'@': 299}), 15: (1, {'@': 299}), 16: (1, {'@': 299}), 1: (1, {'@': 299}), 33: (1, {'@': 299}), 60: (1, {'@': 299}), 17: (1, {'@': 299}), 4: (1, {'@': 299}), 0: (1, {'@': 299}), 18: (1, {'@': 299}), 19: (1, {'@': 299}), 20: (1, {'@': 299}), 74: (1, {'@': 299}), 70: (1, {'@': 299}), 21: (1, {'@': 299}), 69: (1, {'@': 299}), 22: (1, {'@': 299}), 65: (1, {'@': 299}), 23: (1, {'@': 299}), 5: (1, {'@': 299}), 25: (1, {'@': 299}), 59: (1, {'@': 299}), 66: (1, {'@': 299}), 62: (1, {'@': 299}), 26: (1, {'@': 299}), 75: (1, {'@': 299}), 67: (1, {'@': 299}), 76: (1, {'@': 299}), 68: (1, {'@': 299}), 71: (1, {'@': 299}), 27: (1, {'@': 299}), 61: (1, {'@': 299}), 28: (1, {'@': 299}), 63: (1, {'@': 299}), 77: (1, {'@': 299}), 2: (1, {'@': 299}), 78: (1, {'@': 299}), 30: (1, {'@': 299}), 31: (1, {'@': 299}), 64: (1, {'@': 299})}, 474: {1: (0, 487)}, 475: {14: (1, {'@': 300}), 15: (1, {'@': 300}), 16: (1, {'@': 300}), 1: (1, {'@': 300}), 33: (1, {'@': 300}), 60: (1, {'@': 300}), 17: (1, {'@': 300}), 4: (1, {'@': 300}), 0: (1, {'@': 300}), 18: (1, {'@': 300}), 19: (1, {'@': 300}), 20: (1, {'@': 300}), 74: (1, {'@': 300}), 70: (1, {'@': 300}), 21: (1, {'@': 300}), 69: (1, {'@': 300}), 22: (1, {'@': 300}), 65: (1, {'@': 300}), 23: (1, {'@': 300}), 5: (1, {'@': 300}), 25: (1, {'@': 300}), 59: (1, {'@': 300}), 66: (1, {'@': 300}), 62: (1, {'@': 300}), 26: (1, {'@': 300}), 75: (1, {'@': 300}), 67: (1, {'@': 300}), 76: (1, {'@': 300}), 68: (1, {'@': 300}), 71: (1, {'@': 300}), 27: (1, {'@': 300}), 61: (1, {'@': 300}), 28: (1, {'@': 300}), 63: (1, {'@': 300}), 77: (1, {'@': 300}), 2: (1, {'@': 300}), 78: (1, {'@': 300}), 30: (1, {'@': 300}), 31: (1, {'@': 300}), 64: (1, {'@': 300})}, 476: {14: (1, {'@': 301}), 15: (1, {'@': 301}), 16: (1, {'@': 301}), 1: (1, {'@': 301}), 33: (1, {'@': 301}), 60: (1, {'@': 301}), 17: (1, {'@': 301}), 4: (1, {'@': 301}), 0: (1, {'@': 301}), 18: (1, {'@': 301}), 19: (1, {'@': 301}), 20: (1, {'@': 301}), 74: (1, {'@': 301}), 70: (1, {'@': 301}), 21: (1, {'@': 301}), 69: (1, {'@': 301}), 22: (1, {'@': 301}), 65: (1, {'@': 301}), 23: (1, {'@': 301}), 5: (1, {'@': 301}), 25: (1, {'@': 301}), 59: (1, {'@': 301}), 66: (1, {'@': 301}), 62: (1, {'@': 301}), 26: (1, {'@': 301}), 75: (1, {'@': 301}), 67: (1, {'@': 301}), 76: (1, {'@': 301}), 68: (1, {'@': 301}), 71: (1, {'@': 301}), 27: (1, {'@': 301}), 61: (1, {'@': 301}), 28: (1, {'@': 301}), 63: (1, {'@': 301}), 77: (1, {'@': 301}), 2: (1, {'@': 301}), 78: (1, {'@': 301}), 30: (1, {'@': 301}), 31: (1, {'@': 301}), 64: (1, {'@': 301})}, 477: {14: (1, {'@': 302}), 15: (1, {'@': 302}), 16: (1, {'@': 302}), 1: (1, {'@': 302}), 33: (1, {'@': 302}), 60: (1, {'@': 302}), 17: (1, {'@': 302}), 4: (1, {'@': 302}), 0: (1, {'@': 302}), 18: (1, {'@': 302}), 19: (1, {'@': 302}), 20: (1, {'@': 302}), 74: (1, {'@': 302}), 70: (1, {'@': 302}), 21: (1, {'@': 302}), 69: (1, {'@': 302}), 22: (1, {'@': 302}), 65: (1, {'@': 302}), 23: (1, {'@': 302}), 5: (1, {'@': 302}), 25: (1, {'@': 302}), 59: (1, {'@': 302}), 66: (1, {'@': 302}), 62: (1, {'@': 302}), 26: (1, {'@': 302}), 75: (1, {'@': 302}), 67: (1, {'@': 302}), 76: (1, {'@': 302}), 68: (1, {'@': 302}), 71: (1, {'@': 302}), 27: (1, {'@': 302}), 61: (1, {'@': 302}), 28: (1, {'@': 302}), 63: (1, {'@': 302}), 77: (1, {'@': 302}), 2: (1, {'@': 302}), 78: (1, {'@': 302}), 30: (1, {'@': 302}), 31: (1, {'@': 302}), 64: (1, {'@': 302})}, 478: {14: (1, {'@': 303}), 15: (1, {'@': 303}), 16: (1, {'@': 303}), 1: (1, {'@': 303}), 33: (1, {'@': 303}), 60: (1, {'@': 303}), 17: (1, {'@': 303}), 4: (1, {'@': 303}), 0: (1, {'@': 303}), 18: (1, {'@': 303}), 19: (1, {'@': 303}), 20: (1, {'@': 303}), 74: (1, {'@': 303}), 70: (1, {'@': 303}), 21: (1, {'@': 303}), 69: (1, {'@': 303}), 22: (1, {'@': 303}), 65: (1, {'@': 303}), 23: (1, {'@': 303}), 5: (1, {'@': 303}), 25: (1, {'@': 303}), 59: (1, {'@': 303}), 66: (1, {'@': 303}), 62: (1, {'@': 303}), 26: (1, {'@': 303}), 75: (1, {'@': 303}), 67: (1, {'@': 303}), 76: (1, {'@': 303}), 68: (1, {'@': 303}), 71: (1, {'@': 303}), 27: (1, {'@': 303}), 61: (1, {'@': 303}), 28: (1, {'@': 303}), 63: (1, {'@': 303}), 77: (1, {'@': 303}), 2: (1, {'@': 303}), 78: (1, {'@': 303}), 30: (1, {'@': 303}), 31: (1, {'@': 303}), 64: (1, {'@': 303})}, 479: {15: (1, {'@': 304}), 16: (1, {'@': 304}), 26: (1, {'@': 304}), 17: (1, {'@': 304}), 4: (1, {'@': 304}), 0: (1, {'@': 304}), 18: (1, {'@': 304}), 20: (1, {'@': 304}), 27: (1, {'@': 304}), 21: (1, {'@': 304}), 2: (1, {'@': 304}), 23: (1, {'@': 304}), 30: (1, {'@': 304}), 5: (1, {'@': 304}), 31: (1, {'@': 304}), 25: (1, {'@': 304})}, 480: {15: (1, {'@': 305}), 16: (1, {'@': 305}), 26: (1, {'@': 305}), 17: (1, {'@': 305}), 4: (1, {'@': 305}), 0: (1, {'@': 305}), 18: (1, {'@': 305}), 20: (1, {'@': 305}), 27: (1, {'@': 305}), 21: (1, {'@': 305}), 2: (1, {'@': 305}), 23: (1, {'@': 305}), 30: (1, {'@': 305}), 5: (1, {'@': 305}), 31: (1, {'@': 305}), 25: (1, {'@': 305})}, 481: {15: (1, {'@': 306}), 16: (1, {'@': 306}), 26: (1, {'@': 306}), 17: (1, {'@': 306}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 306}), 20: (1, {'@': 306}), 27: (1, {'@': 306}), 21: (1, {'@': 306}), 2: (0, 1), 23: (1, {'@': 306}), 30: (1, {'@': 306}), 5: (1, {'@': 306}), 31: (1, {'@': 306}), 25: (1, {'@': 306}), 8: (0, 488), 7: (0, 5)}, 482: {15: (1, {'@': 307}), 16: (1, {'@': 307}), 26: (1, {'@': 307}), 17: (1, {'@': 307}), 4: (1, {'@': 307}), 0: (1, {'@': 307}), 18: (1, {'@': 307}), 20: (1, {'@': 307}), 27: (1, {'@': 307}), 21: (1, {'@': 307}), 2: (1, {'@': 307}), 23: (1, {'@': 307}), 30: (1, {'@': 307}), 5: (1, {'@': 307}), 31: (1, {'@': 307}), 25: (1, {'@': 307})}, 483: {15: (1, {'@': 308}), 16: (1, {'@': 308}), 26: (1, {'@': 308}), 17: (1, {'@': 308}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 308}), 20: (1, {'@': 308}), 27: (1, {'@': 308}), 21: (1, {'@': 308}), 2: (0, 1), 23: (1, {'@': 308}), 30: (1, {'@': 308}), 5: (1, {'@': 308}), 31: (1, {'@': 308}), 25: (1, {'@': 308}), 8: (0, 489), 7: (0, 5)}, 484: {15: (1, {'@': 309}), 16: (1, {'@': 309}), 26: (1, {'@': 309}), 17: (1, {'@': 309}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 309}), 20: (1, {'@': 309}), 27: (1, {'@': 309}), 21: (1, {'@': 309}), 2: (0, 1), 23: (1, {'@': 309}), 30: (1, {'@': 309}), 5: (1, {'@': 309}), 31: (1, {'@': 309}), 25: (1, {'@': 309}), 7: (0, 5), 8: (0, 490)}, 485: {59: (0, 83), 60: (0, 84), 61: (0, 85), 62: (0, 86), 76: (0, 491), 63: (0, 87), 64: (0, 88), 65: (0, 89), 66: (0, 90), 67: (0, 91), 68: (0, 92), 16: (0, 93), 69: (0, 94), 70: (0, 96), 71: (0, 97), 72: (0, 98), 73: (0, 99)}, 486: {15: (1, {'@': 310}), 16: (1, {'@': 310}), 26: (1, {'@': 310}), 17: (1, {'@': 310}), 4: (1, {'@': 310}), 0: (1, {'@': 310}), 18: (1, {'@': 310}), 20: (1, {'@': 310}), 27: (1, {'@': 310}), 21: (1, {'@': 310}), 2: (1, {'@': 310}), 23: (1, {'@': 310}), 30: (1, {'@': 310}), 5: (1, {'@': 310}), 31: (1, {'@': 310}), 25: (1, {'@': 310})}, 487: {14: (1, {'@': 311}), 15: (1, {'@': 311}), 16: (1, {'@': 311}), 1: (1, {'@': 311}), 33: (1, {'@': 311}), 60: (1, {'@': 311}), 17: (1, {'@': 311}), 4: (1, {'@': 311}), 0: (1, {'@': 311}), 18: (1, {'@': 311}), 19: (1, {'@': 311}), 20: (1, {'@': 311}), 74: (1, {'@': 311}), 70: (1, {'@': 311}), 21: (1, {'@': 311}), 69: (1, {'@': 311}), 22: (1, {'@': 311}), 65: (1, {'@': 311}), 23: (1, {'@': 311}), 5: (1, {'@': 311}), 25: (1, {'@': 311}), 59: (1, {'@': 311}), 66: (1, {'@': 311}), 62: (1, {'@': 311}), 26: (1, {'@': 311}), 75: (1, {'@': 311}), 67: (1, {'@': 311}), 76: (1, {'@': 311}), 68: (1, {'@': 311}), 71: (1, {'@': 311}), 27: (1, {'@': 311}), 61: (1, {'@': 311}), 28: (1, {'@': 311}), 63: (1, {'@': 311}), 77: (1, {'@': 311}), 2: (1, {'@': 311}), 78: (1, {'@': 311}), 30: (1, {'@': 311}), 31: (1, {'@': 311}), 64: (1, {'@': 311})}, 488: {15: (1, {'@': 312}), 16: (1, {'@': 312}), 26: (1, {'@': 312}), 17: (1, {'@': 312}), 4: (1, {'@': 312}), 0: (1, {'@': 312}), 18: (1, {'@': 312}), 20: (1, {'@': 312}), 27: (1, {'@': 312}), 21: (1, {'@': 312}), 2: (1, {'@': 312}), 23: (1, {'@': 312}), 30: (1, {'@': 312}), 5: (1, {'@': 312}), 31: (1, {'@': 312}), 25: (1, {'@': 312})}, 489: {15: (1, {'@': 313}), 16: (1, {'@': 313}), 26: (1, {'@': 313}), 17: (1, {'@': 313}), 4: (1, {'@': 313}), 0: (1, {'@': 313}), 18: (1, {'@': 313}), 20: (1, {'@': 313}), 27: (1, {'@': 313}), 21: (1, {'@': 313}), 2: (1, {'@': 313}), 23: (1, {'@': 313}), 30: (1, {'@': 313}), 5: (1, {'@': 313}), 31: (1, {'@': 313}), 25: (1, {'@': 313})}, 490: {15: (1, {'@': 314}), 16: (1, {'@': 314}), 26: (1, {'@': 314}), 17: (1, {'@': 314}), 4: (1, {'@': 314}), 0: (1, {'@': 314}), 18: (1, {'@': 314}), 20: (1, {'@': 314}), 27: (1, {'@': 314}), 21: (1, {'@': 314}), 2: (1, {'@': 314}), 23: (1, {'@': 314}), 30: (1, {'@': 314}), 5: (1, {'@': 314}), 31: (1, {'@': 314}), 25: (1, {'@': 314})}, 491: {15: (1, {'@': 315}), 16: (1, {'@': 315}), 26: (1, {'@': 315}), 17: (1, {'@': 315}), 4: (0, 9), 0: (0, 4), 18: (1, {'@': 315}), 20: (1, {'@': 315}), 27: (1, {'@': 315}), 21: (1, {'@': 315}), 2: (0, 1), 23: (1, {'@': 315}), 30: (1, {'@': 315}), 5: (1, {'@': 315}), 31: (1, {'@': 315}), 25: (1, {'@': 315}), 7: (0, 5), 8: (0, 492)}, 492: {15: (1, {'@': 316}), 16: (1, {'@': 316}), 26: (1, {'@': 316}), 17: (1, {'@': 316}), 4: (1, {'@': 316}), 0: (1, {'@': 316}), 18: (1, {'@': 316}), 20: (1, {'@': 316}), 27: (1, {'@': 316}), 21: (1, {'@': 316}), 2: (1, {'@': 316}), 23: (1, {'@': 316}), 30: (1, {'@': 316}), 5: (1, {'@': 316}), 31: (1, {'@': 316}), 25: (1, {'@': 316})}}, 'start_states': {'start': 0}, 'end_states': {'start': 25}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 97}, {'@': 63}, {'@': 64}, {'@': 53}, {'@': 47}, {'@': 45}, {'@': 111}, {'@': 164}, {'@': 141}, {'@': 199}, {'@': 124}, {'@': 165}, {'@': 98}, {'@': 127}, {'@': 128}, {'@': 145}, {'@': 49}, {'@': 73}, {'@': 83}, {'@': 80}, {'@': 170}, {'@': 92}, {'@': 82}, {'@': 118}, {'@': 117}, {'@': 114}, {'@': 112}, {'@': 101}, {'@': 106}, {'@': 105}, {'@': 107}, {'@': 102}, {'@': 109}, {'@': 103}, {'@': 113}, {'@': 110}, {'@': 100}, {'@': 108}, {'@': 104}, {'@': 130}, {'@': 137}, {'@': 95}, {'@': 70}, {'@': 75}, {'@': 74}, {'@': 77}, {'@': 91}, {'@': 86}, {'@': 78}, {'@': 90}, {'@': 93}, {'@': 81}, {'@': 68}, {'@': 72}, {'@': 88}, {'@': 71}, {'@': 87}, {'@': 85}, {'@': 69}, {'@': 94}, {'@': 96}, {'@': 76}, {'@': 67}, {'@': 187}, {'@': 133}, {'@': 134}, {'@': 267}, {'@': 240}, {'@': 241}, {'@': 212}, {'@': 242}, {'@': 213}, {'@': 180}, {'@': 239}, {'@': 210}, {'@': 211}, {'@': 179}, {'@': 214}, {'@': 181}, {'@': 153}, {'@': 238}, {'@': 206}, {'@': 207}, {'@': 173}, {'@': 204}, {'@': 172}, {'@': 149}, {'@': 209}, {'@': 177}, {'@': 178}, {'@': 152}, {'@': 175}, {'@': 151}, {'@': 131}, {'@': 132}, {'@': 115}, {'@': 201}, {'@': 167}, {'@': 166}, {'@': 143}, {'@': 169}, {'@': 146}, {'@': 147}, {'@': 129}, {'@': 99}, {'@': 144}, {'@': 126}, {'@': 142}, {'@': 125}, {'@': 89}, {'@': 79}, {'@': 226}, {'@': 194}, {'@': 193}, {'@': 159}, {'@': 195}, {'@': 160}, {'@': 136}, {'@': 225}, {'@': 190}, {'@': 224}, {'@': 189}, {'@': 188}, {'@': 155}, {'@': 191}, {'@': 156}, {'@': 192}, {'@': 158}, {'@': 157}, {'@': 135}, {'@': 123}, {'@': 119}, {'@': 121}, {'@': 122}, {'@': 162}, {'@': 140}, {'@': 138}, {'@': 120}, {'@': 196}, {'@': 163}, {'@': 290}, {'@': 269}, {'@': 270}, {'@': 246}, {'@': 271}, {'@': 247}, {'@': 217}, {'@': 268}, {'@': 244}, {'@': 245}, {'@': 216}, {'@': 243}, {'@': 215}, {'@': 182}, {'@': 272}, {'@': 249}, {'@': 250}, {'@': 222}, {'@': 251}, {'@': 223}, {'@': 186}, {'@': 248}, {'@': 219}, {'@': 220}, {'@': 184}, {'@': 221}, {'@': 185}, {'@': 154}, {'@': 311}, {'@': 300}, {'@': 301}, {'@': 283}, {'@': 302}, {'@': 284}, {'@': 260}, {'@': 299}, {'@': 281}, {'@': 282}, {'@': 259}, {'@': 285}, {'@': 261}, {'@': 233}, {'@': 303}, {'@': 287}, {'@': 288}, {'@': 263}, {'@': 286}, {'@': 262}, {'@': 234}, {'@': 289}, {'@': 265}, {'@': 266}, {'@': 236}, {'@': 264}, {'@': 235}, {'@': 202}, {'@': 316}, {'@': 315}, {'@': 314}, {'@': 309}, {'@': 313}, {'@': 308}, {'@': 307}, {'@': 295}, {'@': 310}, {'@': 297}, {'@': 296}, {'@': 277}, {'@': 298}, {'@': 279}, {'@': 278}, {'@': 256}, {'@': 280}, {'@': 258}, {'@': 257}, {'@': 232}, {'@': 312}, {'@': 306}, {'@': 305}, {'@': 293}, {'@': 304}, {'@': 292}, {'@': 291}, {'@': 274}, {'@': 294}, {'@': 276}, {'@': 275}, {'@': 254}, {'@': 273}, {'@': 253}, {'@': 252}, {'@': 229}, {'@': 255}, {'@': 231}, {'@': 230}, {'@': 200}, {'@': 218}, {'@': 183}, {'@': 54}, {'@': 52}, {'@': 50}, {'@': 59}, {'@': 57}, {'@': 58}, {'@': 56}, {'@': 55}, {'@': 66}, {'@': 65}, {'@': 46}, {'@': 51}, {'@': 48}, {'@': 60}, {'@': 61}, {'@': 62}, {'@': 84}, {'@': 116}, {'@': 208}, {'@': 176}, {'@': 174}, {'@': 150}, {'@': 237}, {'@': 205}, {'@': 203}, {'@': 171}, {'@': 148}, {'@': 168}, {'@': 139}, {'@': 161}, {'@': 198}, {'@': 197}, {'@': 227}, {'@': 228}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'IDENTIFIER', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'STRING_LIT', 'pattern': {'value': '\\"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{[^}]+\\}))*\\"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_3', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_4', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_5', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_6', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_7', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_8', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_9', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_10', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_11', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_12', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_13', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 47: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 49: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'one_line_block', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 63: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 64: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 65: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 66: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 67: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 97: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 117: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 122: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 140: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 149: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 151: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 162: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 169: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 172: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 175: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 177: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 189: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 198: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 199: {'origin': {'name': 'one_line_block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 204: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 206: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 209: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 228: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 229: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 234: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 235: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 238: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_11', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'IDENTIFIER', 'filter_out': False, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

